var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const DEFAULT_CACHE_TIME = 60 * 60 * 24 * 7;
function isExpire(cacheValue) {
  if (cacheValue && cacheValue.cacheTime) {
    const now = Date.now();
    return now - cacheValue.cacheTime > DEFAULT_CACHE_TIME * 1e3;
  }
  return false;
}
function getCache(key) {
  const cacheValue = window.localStorage.getItem(key);
  if (cacheValue) {
    let data2 = JSON.parse(cacheValue);
    if (isExpire(data2)) {
      deleteCache(key);
      return void 0;
    }
    return data2.value;
  }
  return void 0;
}
function deleteCache(key) {
  window.localStorage.removeItem(key);
}
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function commonjsRequire(path) {
  throw new Error('Could not dynamically require "' + path + '". Please configure the dynamicRequireTargets or/and ignoreDynamicRequires option of @rollup/plugin-commonjs appropriately for this require call to work.');
}
var eventemitter3 = { exports: {} };
(function(module2) {
  var has = Object.prototype.hasOwnProperty, prefix = "~";
  function Events() {
  }
  if (Object.create) {
    Events.prototype = /* @__PURE__ */ Object.create(null);
    if (!new Events().__proto__)
      prefix = false;
  }
  function EE(fn, context, once) {
    this.fn = fn;
    this.context = context;
    this.once = once || false;
  }
  function addListener(emitter, event, fn, context, once) {
    if (typeof fn !== "function") {
      throw new TypeError("The listener must be a function");
    }
    var listener = new EE(fn, context || emitter, once), evt = prefix ? prefix + event : event;
    if (!emitter._events[evt])
      emitter._events[evt] = listener, emitter._eventsCount++;
    else if (!emitter._events[evt].fn)
      emitter._events[evt].push(listener);
    else
      emitter._events[evt] = [emitter._events[evt], listener];
    return emitter;
  }
  function clearEvent(emitter, evt) {
    if (--emitter._eventsCount === 0)
      emitter._events = new Events();
    else
      delete emitter._events[evt];
  }
  function EventEmitter() {
    this._events = new Events();
    this._eventsCount = 0;
  }
  EventEmitter.prototype.eventNames = function eventNames() {
    var names = [], events, name;
    if (this._eventsCount === 0)
      return names;
    for (name in events = this._events) {
      if (has.call(events, name))
        names.push(prefix ? name.slice(1) : name);
    }
    if (Object.getOwnPropertySymbols) {
      return names.concat(Object.getOwnPropertySymbols(events));
    }
    return names;
  };
  EventEmitter.prototype.listeners = function listeners(event) {
    var evt = prefix ? prefix + event : event, handlers = this._events[evt];
    if (!handlers)
      return [];
    if (handlers.fn)
      return [handlers.fn];
    for (var i = 0, l = handlers.length, ee = new Array(l); i < l; i++) {
      ee[i] = handlers[i].fn;
    }
    return ee;
  };
  EventEmitter.prototype.listenerCount = function listenerCount(event) {
    var evt = prefix ? prefix + event : event, listeners = this._events[evt];
    if (!listeners)
      return 0;
    if (listeners.fn)
      return 1;
    return listeners.length;
  };
  EventEmitter.prototype.emit = function emit(event, a1, a2, a3, a4, a5) {
    var evt = prefix ? prefix + event : event;
    if (!this._events[evt])
      return false;
    var listeners = this._events[evt], len = arguments.length, args, i;
    if (listeners.fn) {
      if (listeners.once)
        this.removeListener(event, listeners.fn, void 0, true);
      switch (len) {
        case 1:
          return listeners.fn.call(listeners.context), true;
        case 2:
          return listeners.fn.call(listeners.context, a1), true;
        case 3:
          return listeners.fn.call(listeners.context, a1, a2), true;
        case 4:
          return listeners.fn.call(listeners.context, a1, a2, a3), true;
        case 5:
          return listeners.fn.call(listeners.context, a1, a2, a3, a4), true;
        case 6:
          return listeners.fn.call(listeners.context, a1, a2, a3, a4, a5), true;
      }
      for (i = 1, args = new Array(len - 1); i < len; i++) {
        args[i - 1] = arguments[i];
      }
      listeners.fn.apply(listeners.context, args);
    } else {
      var length = listeners.length, j;
      for (i = 0; i < length; i++) {
        if (listeners[i].once)
          this.removeListener(event, listeners[i].fn, void 0, true);
        switch (len) {
          case 1:
            listeners[i].fn.call(listeners[i].context);
            break;
          case 2:
            listeners[i].fn.call(listeners[i].context, a1);
            break;
          case 3:
            listeners[i].fn.call(listeners[i].context, a1, a2);
            break;
          case 4:
            listeners[i].fn.call(listeners[i].context, a1, a2, a3);
            break;
          default:
            if (!args)
              for (j = 1, args = new Array(len - 1); j < len; j++) {
                args[j - 1] = arguments[j];
              }
            listeners[i].fn.apply(listeners[i].context, args);
        }
      }
    }
    return true;
  };
  EventEmitter.prototype.on = function on(event, fn, context) {
    return addListener(this, event, fn, context, false);
  };
  EventEmitter.prototype.once = function once(event, fn, context) {
    return addListener(this, event, fn, context, true);
  };
  EventEmitter.prototype.removeListener = function removeListener(event, fn, context, once) {
    var evt = prefix ? prefix + event : event;
    if (!this._events[evt])
      return this;
    if (!fn) {
      clearEvent(this, evt);
      return this;
    }
    var listeners = this._events[evt];
    if (listeners.fn) {
      if (listeners.fn === fn && (!once || listeners.once) && (!context || listeners.context === context)) {
        clearEvent(this, evt);
      }
    } else {
      for (var i = 0, events = [], length = listeners.length; i < length; i++) {
        if (listeners[i].fn !== fn || once && !listeners[i].once || context && listeners[i].context !== context) {
          events.push(listeners[i]);
        }
      }
      if (events.length)
        this._events[evt] = events.length === 1 ? events[0] : events;
      else
        clearEvent(this, evt);
    }
    return this;
  };
  EventEmitter.prototype.removeAllListeners = function removeAllListeners(event) {
    var evt;
    if (event) {
      evt = prefix ? prefix + event : event;
      if (this._events[evt])
        clearEvent(this, evt);
    } else {
      this._events = new Events();
      this._eventsCount = 0;
    }
    return this;
  };
  EventEmitter.prototype.off = EventEmitter.prototype.removeListener;
  EventEmitter.prototype.addListener = EventEmitter.prototype.on;
  EventEmitter.prefixed = prefix;
  EventEmitter.EventEmitter = EventEmitter;
  {
    module2.exports = EventEmitter;
  }
})(eventemitter3);
var aes = { exports: {} };
var core = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory();
    }
  })(commonjsGlobal, function() {
    var CryptoJS = CryptoJS || function(Math2, undefined$1) {
      var crypto2;
      if (typeof window !== "undefined" && window.crypto) {
        crypto2 = window.crypto;
      }
      if (typeof self !== "undefined" && self.crypto) {
        crypto2 = self.crypto;
      }
      if (typeof globalThis !== "undefined" && globalThis.crypto) {
        crypto2 = globalThis.crypto;
      }
      if (!crypto2 && typeof window !== "undefined" && window.msCrypto) {
        crypto2 = window.msCrypto;
      }
      if (!crypto2 && typeof commonjsGlobal !== "undefined" && commonjsGlobal.crypto) {
        crypto2 = commonjsGlobal.crypto;
      }
      if (!crypto2 && typeof commonjsRequire === "function") {
        try {
          crypto2 = require("crypto");
        } catch (err) {
        }
      }
      var cryptoSecureRandomInt = function() {
        if (crypto2) {
          if (typeof crypto2.getRandomValues === "function") {
            try {
              return crypto2.getRandomValues(new Uint32Array(1))[0];
            } catch (err) {
            }
          }
          if (typeof crypto2.randomBytes === "function") {
            try {
              return crypto2.randomBytes(4).readInt32LE();
            } catch (err) {
            }
          }
        }
        throw new Error("Native crypto module could not be used to get secure random number.");
      };
      var create = Object.create || function() {
        function F() {
        }
        return function(obj) {
          var subtype;
          F.prototype = obj;
          subtype = new F();
          F.prototype = null;
          return subtype;
        };
      }();
      var C = {};
      var C_lib = C.lib = {};
      var Base = C_lib.Base = function() {
        return {
          extend: function(overrides) {
            var subtype = create(this);
            if (overrides) {
              subtype.mixIn(overrides);
            }
            if (!subtype.hasOwnProperty("init") || this.init === subtype.init) {
              subtype.init = function() {
                subtype.$super.init.apply(this, arguments);
              };
            }
            subtype.init.prototype = subtype;
            subtype.$super = this;
            return subtype;
          },
          create: function() {
            var instance = this.extend();
            instance.init.apply(instance, arguments);
            return instance;
          },
          init: function() {
          },
          mixIn: function(properties) {
            for (var propertyName in properties) {
              if (properties.hasOwnProperty(propertyName)) {
                this[propertyName] = properties[propertyName];
              }
            }
            if (properties.hasOwnProperty("toString")) {
              this.toString = properties.toString;
            }
          },
          clone: function() {
            return this.init.prototype.extend(this);
          }
        };
      }();
      var WordArray = C_lib.WordArray = Base.extend({
        init: function(words, sigBytes) {
          words = this.words = words || [];
          if (sigBytes != undefined$1) {
            this.sigBytes = sigBytes;
          } else {
            this.sigBytes = words.length * 4;
          }
        },
        toString: function(encoder) {
          return (encoder || Hex).stringify(this);
        },
        concat: function(wordArray) {
          var thisWords = this.words;
          var thatWords = wordArray.words;
          var thisSigBytes = this.sigBytes;
          var thatSigBytes = wordArray.sigBytes;
          this.clamp();
          if (thisSigBytes % 4) {
            for (var i = 0; i < thatSigBytes; i++) {
              var thatByte = thatWords[i >>> 2] >>> 24 - i % 4 * 8 & 255;
              thisWords[thisSigBytes + i >>> 2] |= thatByte << 24 - (thisSigBytes + i) % 4 * 8;
            }
          } else {
            for (var j = 0; j < thatSigBytes; j += 4) {
              thisWords[thisSigBytes + j >>> 2] = thatWords[j >>> 2];
            }
          }
          this.sigBytes += thatSigBytes;
          return this;
        },
        clamp: function() {
          var words = this.words;
          var sigBytes = this.sigBytes;
          words[sigBytes >>> 2] &= 4294967295 << 32 - sigBytes % 4 * 8;
          words.length = Math2.ceil(sigBytes / 4);
        },
        clone: function() {
          var clone = Base.clone.call(this);
          clone.words = this.words.slice(0);
          return clone;
        },
        random: function(nBytes) {
          var words = [];
          for (var i = 0; i < nBytes; i += 4) {
            words.push(cryptoSecureRandomInt());
          }
          return new WordArray.init(words, nBytes);
        }
      });
      var C_enc = C.enc = {};
      var Hex = C_enc.Hex = {
        stringify: function(wordArray) {
          var words = wordArray.words;
          var sigBytes = wordArray.sigBytes;
          var hexChars = [];
          for (var i = 0; i < sigBytes; i++) {
            var bite = words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
            hexChars.push((bite >>> 4).toString(16));
            hexChars.push((bite & 15).toString(16));
          }
          return hexChars.join("");
        },
        parse: function(hexStr) {
          var hexStrLength = hexStr.length;
          var words = [];
          for (var i = 0; i < hexStrLength; i += 2) {
            words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << 24 - i % 8 * 4;
          }
          return new WordArray.init(words, hexStrLength / 2);
        }
      };
      var Latin1 = C_enc.Latin1 = {
        stringify: function(wordArray) {
          var words = wordArray.words;
          var sigBytes = wordArray.sigBytes;
          var latin1Chars = [];
          for (var i = 0; i < sigBytes; i++) {
            var bite = words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
            latin1Chars.push(String.fromCharCode(bite));
          }
          return latin1Chars.join("");
        },
        parse: function(latin1Str) {
          var latin1StrLength = latin1Str.length;
          var words = [];
          for (var i = 0; i < latin1StrLength; i++) {
            words[i >>> 2] |= (latin1Str.charCodeAt(i) & 255) << 24 - i % 4 * 8;
          }
          return new WordArray.init(words, latin1StrLength);
        }
      };
      var Utf8 = C_enc.Utf8 = {
        stringify: function(wordArray) {
          try {
            return decodeURIComponent(escape(Latin1.stringify(wordArray)));
          } catch (e) {
            throw new Error("Malformed UTF-8 data");
          }
        },
        parse: function(utf8Str) {
          return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
        }
      };
      var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
        reset: function() {
          this._data = new WordArray.init();
          this._nDataBytes = 0;
        },
        _append: function(data2) {
          if (typeof data2 == "string") {
            data2 = Utf8.parse(data2);
          }
          this._data.concat(data2);
          this._nDataBytes += data2.sigBytes;
        },
        _process: function(doFlush) {
          var processedWords;
          var data2 = this._data;
          var dataWords = data2.words;
          var dataSigBytes = data2.sigBytes;
          var blockSize = this.blockSize;
          var blockSizeBytes = blockSize * 4;
          var nBlocksReady = dataSigBytes / blockSizeBytes;
          if (doFlush) {
            nBlocksReady = Math2.ceil(nBlocksReady);
          } else {
            nBlocksReady = Math2.max((nBlocksReady | 0) - this._minBufferSize, 0);
          }
          var nWordsReady = nBlocksReady * blockSize;
          var nBytesReady = Math2.min(nWordsReady * 4, dataSigBytes);
          if (nWordsReady) {
            for (var offset = 0; offset < nWordsReady; offset += blockSize) {
              this._doProcessBlock(dataWords, offset);
            }
            processedWords = dataWords.splice(0, nWordsReady);
            data2.sigBytes -= nBytesReady;
          }
          return new WordArray.init(processedWords, nBytesReady);
        },
        clone: function() {
          var clone = Base.clone.call(this);
          clone._data = this._data.clone();
          return clone;
        },
        _minBufferSize: 0
      });
      C_lib.Hasher = BufferedBlockAlgorithm.extend({
        cfg: Base.extend(),
        init: function(cfg) {
          this.cfg = this.cfg.extend(cfg);
          this.reset();
        },
        reset: function() {
          BufferedBlockAlgorithm.reset.call(this);
          this._doReset();
        },
        update: function(messageUpdate) {
          this._append(messageUpdate);
          this._process();
          return this;
        },
        finalize: function(messageUpdate) {
          if (messageUpdate) {
            this._append(messageUpdate);
          }
          var hash = this._doFinalize();
          return hash;
        },
        blockSize: 512 / 32,
        _createHelper: function(hasher) {
          return function(message, cfg) {
            return new hasher.init(cfg).finalize(message);
          };
        },
        _createHmacHelper: function(hasher) {
          return function(message, key) {
            return new C_algo.HMAC.init(hasher, key).finalize(message);
          };
        }
      });
      var C_algo = C.algo = {};
      return C;
    }(Math);
    return CryptoJS;
  });
})(core);
var encBase64 = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory(core.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function() {
      var C = CryptoJS;
      var C_lib = C.lib;
      var WordArray = C_lib.WordArray;
      var C_enc = C.enc;
      C_enc.Base64 = {
        stringify: function(wordArray) {
          var words = wordArray.words;
          var sigBytes = wordArray.sigBytes;
          var map = this._map;
          wordArray.clamp();
          var base64Chars = [];
          for (var i = 0; i < sigBytes; i += 3) {
            var byte1 = words[i >>> 2] >>> 24 - i % 4 * 8 & 255;
            var byte2 = words[i + 1 >>> 2] >>> 24 - (i + 1) % 4 * 8 & 255;
            var byte3 = words[i + 2 >>> 2] >>> 24 - (i + 2) % 4 * 8 & 255;
            var triplet = byte1 << 16 | byte2 << 8 | byte3;
            for (var j = 0; j < 4 && i + j * 0.75 < sigBytes; j++) {
              base64Chars.push(map.charAt(triplet >>> 6 * (3 - j) & 63));
            }
          }
          var paddingChar = map.charAt(64);
          if (paddingChar) {
            while (base64Chars.length % 4) {
              base64Chars.push(paddingChar);
            }
          }
          return base64Chars.join("");
        },
        parse: function(base64Str) {
          var base64StrLength = base64Str.length;
          var map = this._map;
          var reverseMap = this._reverseMap;
          if (!reverseMap) {
            reverseMap = this._reverseMap = [];
            for (var j = 0; j < map.length; j++) {
              reverseMap[map.charCodeAt(j)] = j;
            }
          }
          var paddingChar = map.charAt(64);
          if (paddingChar) {
            var paddingIndex = base64Str.indexOf(paddingChar);
            if (paddingIndex !== -1) {
              base64StrLength = paddingIndex;
            }
          }
          return parseLoop(base64Str, base64StrLength, reverseMap);
        },
        _map: "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="
      };
      function parseLoop(base64Str, base64StrLength, reverseMap) {
        var words = [];
        var nBytes = 0;
        for (var i = 0; i < base64StrLength; i++) {
          if (i % 4) {
            var bits1 = reverseMap[base64Str.charCodeAt(i - 1)] << i % 4 * 2;
            var bits2 = reverseMap[base64Str.charCodeAt(i)] >>> 6 - i % 4 * 2;
            var bitsCombined = bits1 | bits2;
            words[nBytes >>> 2] |= bitsCombined << 24 - nBytes % 4 * 8;
            nBytes++;
          }
        }
        return WordArray.create(words, nBytes);
      }
    })();
    return CryptoJS.enc.Base64;
  });
})(encBase64);
var md5$1 = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory(core.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function(Math2) {
      var C = CryptoJS;
      var C_lib = C.lib;
      var WordArray = C_lib.WordArray;
      var Hasher = C_lib.Hasher;
      var C_algo = C.algo;
      var T = [];
      (function() {
        for (var i = 0; i < 64; i++) {
          T[i] = Math2.abs(Math2.sin(i + 1)) * 4294967296 | 0;
        }
      })();
      var MD5 = C_algo.MD5 = Hasher.extend({
        _doReset: function() {
          this._hash = new WordArray.init([
            1732584193,
            4023233417,
            2562383102,
            271733878
          ]);
        },
        _doProcessBlock: function(M, offset) {
          for (var i = 0; i < 16; i++) {
            var offset_i = offset + i;
            var M_offset_i = M[offset_i];
            M[offset_i] = (M_offset_i << 8 | M_offset_i >>> 24) & 16711935 | (M_offset_i << 24 | M_offset_i >>> 8) & 4278255360;
          }
          var H = this._hash.words;
          var M_offset_0 = M[offset + 0];
          var M_offset_1 = M[offset + 1];
          var M_offset_2 = M[offset + 2];
          var M_offset_3 = M[offset + 3];
          var M_offset_4 = M[offset + 4];
          var M_offset_5 = M[offset + 5];
          var M_offset_6 = M[offset + 6];
          var M_offset_7 = M[offset + 7];
          var M_offset_8 = M[offset + 8];
          var M_offset_9 = M[offset + 9];
          var M_offset_10 = M[offset + 10];
          var M_offset_11 = M[offset + 11];
          var M_offset_12 = M[offset + 12];
          var M_offset_13 = M[offset + 13];
          var M_offset_14 = M[offset + 14];
          var M_offset_15 = M[offset + 15];
          var a = H[0];
          var b = H[1];
          var c = H[2];
          var d = H[3];
          a = FF(a, b, c, d, M_offset_0, 7, T[0]);
          d = FF(d, a, b, c, M_offset_1, 12, T[1]);
          c = FF(c, d, a, b, M_offset_2, 17, T[2]);
          b = FF(b, c, d, a, M_offset_3, 22, T[3]);
          a = FF(a, b, c, d, M_offset_4, 7, T[4]);
          d = FF(d, a, b, c, M_offset_5, 12, T[5]);
          c = FF(c, d, a, b, M_offset_6, 17, T[6]);
          b = FF(b, c, d, a, M_offset_7, 22, T[7]);
          a = FF(a, b, c, d, M_offset_8, 7, T[8]);
          d = FF(d, a, b, c, M_offset_9, 12, T[9]);
          c = FF(c, d, a, b, M_offset_10, 17, T[10]);
          b = FF(b, c, d, a, M_offset_11, 22, T[11]);
          a = FF(a, b, c, d, M_offset_12, 7, T[12]);
          d = FF(d, a, b, c, M_offset_13, 12, T[13]);
          c = FF(c, d, a, b, M_offset_14, 17, T[14]);
          b = FF(b, c, d, a, M_offset_15, 22, T[15]);
          a = GG(a, b, c, d, M_offset_1, 5, T[16]);
          d = GG(d, a, b, c, M_offset_6, 9, T[17]);
          c = GG(c, d, a, b, M_offset_11, 14, T[18]);
          b = GG(b, c, d, a, M_offset_0, 20, T[19]);
          a = GG(a, b, c, d, M_offset_5, 5, T[20]);
          d = GG(d, a, b, c, M_offset_10, 9, T[21]);
          c = GG(c, d, a, b, M_offset_15, 14, T[22]);
          b = GG(b, c, d, a, M_offset_4, 20, T[23]);
          a = GG(a, b, c, d, M_offset_9, 5, T[24]);
          d = GG(d, a, b, c, M_offset_14, 9, T[25]);
          c = GG(c, d, a, b, M_offset_3, 14, T[26]);
          b = GG(b, c, d, a, M_offset_8, 20, T[27]);
          a = GG(a, b, c, d, M_offset_13, 5, T[28]);
          d = GG(d, a, b, c, M_offset_2, 9, T[29]);
          c = GG(c, d, a, b, M_offset_7, 14, T[30]);
          b = GG(b, c, d, a, M_offset_12, 20, T[31]);
          a = HH(a, b, c, d, M_offset_5, 4, T[32]);
          d = HH(d, a, b, c, M_offset_8, 11, T[33]);
          c = HH(c, d, a, b, M_offset_11, 16, T[34]);
          b = HH(b, c, d, a, M_offset_14, 23, T[35]);
          a = HH(a, b, c, d, M_offset_1, 4, T[36]);
          d = HH(d, a, b, c, M_offset_4, 11, T[37]);
          c = HH(c, d, a, b, M_offset_7, 16, T[38]);
          b = HH(b, c, d, a, M_offset_10, 23, T[39]);
          a = HH(a, b, c, d, M_offset_13, 4, T[40]);
          d = HH(d, a, b, c, M_offset_0, 11, T[41]);
          c = HH(c, d, a, b, M_offset_3, 16, T[42]);
          b = HH(b, c, d, a, M_offset_6, 23, T[43]);
          a = HH(a, b, c, d, M_offset_9, 4, T[44]);
          d = HH(d, a, b, c, M_offset_12, 11, T[45]);
          c = HH(c, d, a, b, M_offset_15, 16, T[46]);
          b = HH(b, c, d, a, M_offset_2, 23, T[47]);
          a = II(a, b, c, d, M_offset_0, 6, T[48]);
          d = II(d, a, b, c, M_offset_7, 10, T[49]);
          c = II(c, d, a, b, M_offset_14, 15, T[50]);
          b = II(b, c, d, a, M_offset_5, 21, T[51]);
          a = II(a, b, c, d, M_offset_12, 6, T[52]);
          d = II(d, a, b, c, M_offset_3, 10, T[53]);
          c = II(c, d, a, b, M_offset_10, 15, T[54]);
          b = II(b, c, d, a, M_offset_1, 21, T[55]);
          a = II(a, b, c, d, M_offset_8, 6, T[56]);
          d = II(d, a, b, c, M_offset_15, 10, T[57]);
          c = II(c, d, a, b, M_offset_6, 15, T[58]);
          b = II(b, c, d, a, M_offset_13, 21, T[59]);
          a = II(a, b, c, d, M_offset_4, 6, T[60]);
          d = II(d, a, b, c, M_offset_11, 10, T[61]);
          c = II(c, d, a, b, M_offset_2, 15, T[62]);
          b = II(b, c, d, a, M_offset_9, 21, T[63]);
          H[0] = H[0] + a | 0;
          H[1] = H[1] + b | 0;
          H[2] = H[2] + c | 0;
          H[3] = H[3] + d | 0;
        },
        _doFinalize: function() {
          var data2 = this._data;
          var dataWords = data2.words;
          var nBitsTotal = this._nDataBytes * 8;
          var nBitsLeft = data2.sigBytes * 8;
          dataWords[nBitsLeft >>> 5] |= 128 << 24 - nBitsLeft % 32;
          var nBitsTotalH = Math2.floor(nBitsTotal / 4294967296);
          var nBitsTotalL = nBitsTotal;
          dataWords[(nBitsLeft + 64 >>> 9 << 4) + 15] = (nBitsTotalH << 8 | nBitsTotalH >>> 24) & 16711935 | (nBitsTotalH << 24 | nBitsTotalH >>> 8) & 4278255360;
          dataWords[(nBitsLeft + 64 >>> 9 << 4) + 14] = (nBitsTotalL << 8 | nBitsTotalL >>> 24) & 16711935 | (nBitsTotalL << 24 | nBitsTotalL >>> 8) & 4278255360;
          data2.sigBytes = (dataWords.length + 1) * 4;
          this._process();
          var hash = this._hash;
          var H = hash.words;
          for (var i = 0; i < 4; i++) {
            var H_i = H[i];
            H[i] = (H_i << 8 | H_i >>> 24) & 16711935 | (H_i << 24 | H_i >>> 8) & 4278255360;
          }
          return hash;
        },
        clone: function() {
          var clone = Hasher.clone.call(this);
          clone._hash = this._hash.clone();
          return clone;
        }
      });
      function FF(a, b, c, d, x, s, t) {
        var n = a + (b & c | ~b & d) + x + t;
        return (n << s | n >>> 32 - s) + b;
      }
      function GG(a, b, c, d, x, s, t) {
        var n = a + (b & d | c & ~d) + x + t;
        return (n << s | n >>> 32 - s) + b;
      }
      function HH(a, b, c, d, x, s, t) {
        var n = a + (b ^ c ^ d) + x + t;
        return (n << s | n >>> 32 - s) + b;
      }
      function II(a, b, c, d, x, s, t) {
        var n = a + (c ^ (b | ~d)) + x + t;
        return (n << s | n >>> 32 - s) + b;
      }
      C.MD5 = Hasher._createHelper(MD5);
      C.HmacMD5 = Hasher._createHmacHelper(MD5);
    })(Math);
    return CryptoJS.MD5;
  });
})(md5$1);
var md5 = md5$1.exports;
var evpkdf = { exports: {} };
var sha1 = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory(core.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function() {
      var C = CryptoJS;
      var C_lib = C.lib;
      var WordArray = C_lib.WordArray;
      var Hasher = C_lib.Hasher;
      var C_algo = C.algo;
      var W = [];
      var SHA1 = C_algo.SHA1 = Hasher.extend({
        _doReset: function() {
          this._hash = new WordArray.init([
            1732584193,
            4023233417,
            2562383102,
            271733878,
            3285377520
          ]);
        },
        _doProcessBlock: function(M, offset) {
          var H = this._hash.words;
          var a = H[0];
          var b = H[1];
          var c = H[2];
          var d = H[3];
          var e = H[4];
          for (var i = 0; i < 80; i++) {
            if (i < 16) {
              W[i] = M[offset + i] | 0;
            } else {
              var n = W[i - 3] ^ W[i - 8] ^ W[i - 14] ^ W[i - 16];
              W[i] = n << 1 | n >>> 31;
            }
            var t = (a << 5 | a >>> 27) + e + W[i];
            if (i < 20) {
              t += (b & c | ~b & d) + 1518500249;
            } else if (i < 40) {
              t += (b ^ c ^ d) + 1859775393;
            } else if (i < 60) {
              t += (b & c | b & d | c & d) - 1894007588;
            } else {
              t += (b ^ c ^ d) - 899497514;
            }
            e = d;
            d = c;
            c = b << 30 | b >>> 2;
            b = a;
            a = t;
          }
          H[0] = H[0] + a | 0;
          H[1] = H[1] + b | 0;
          H[2] = H[2] + c | 0;
          H[3] = H[3] + d | 0;
          H[4] = H[4] + e | 0;
        },
        _doFinalize: function() {
          var data2 = this._data;
          var dataWords = data2.words;
          var nBitsTotal = this._nDataBytes * 8;
          var nBitsLeft = data2.sigBytes * 8;
          dataWords[nBitsLeft >>> 5] |= 128 << 24 - nBitsLeft % 32;
          dataWords[(nBitsLeft + 64 >>> 9 << 4) + 14] = Math.floor(nBitsTotal / 4294967296);
          dataWords[(nBitsLeft + 64 >>> 9 << 4) + 15] = nBitsTotal;
          data2.sigBytes = dataWords.length * 4;
          this._process();
          return this._hash;
        },
        clone: function() {
          var clone = Hasher.clone.call(this);
          clone._hash = this._hash.clone();
          return clone;
        }
      });
      C.SHA1 = Hasher._createHelper(SHA1);
      C.HmacSHA1 = Hasher._createHmacHelper(SHA1);
    })();
    return CryptoJS.SHA1;
  });
})(sha1);
var hmac = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory(core.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function() {
      var C = CryptoJS;
      var C_lib = C.lib;
      var Base = C_lib.Base;
      var C_enc = C.enc;
      var Utf8 = C_enc.Utf8;
      var C_algo = C.algo;
      C_algo.HMAC = Base.extend({
        init: function(hasher, key) {
          hasher = this._hasher = new hasher.init();
          if (typeof key == "string") {
            key = Utf8.parse(key);
          }
          var hasherBlockSize = hasher.blockSize;
          var hasherBlockSizeBytes = hasherBlockSize * 4;
          if (key.sigBytes > hasherBlockSizeBytes) {
            key = hasher.finalize(key);
          }
          key.clamp();
          var oKey = this._oKey = key.clone();
          var iKey = this._iKey = key.clone();
          var oKeyWords = oKey.words;
          var iKeyWords = iKey.words;
          for (var i = 0; i < hasherBlockSize; i++) {
            oKeyWords[i] ^= 1549556828;
            iKeyWords[i] ^= 909522486;
          }
          oKey.sigBytes = iKey.sigBytes = hasherBlockSizeBytes;
          this.reset();
        },
        reset: function() {
          var hasher = this._hasher;
          hasher.reset();
          hasher.update(this._iKey);
        },
        update: function(messageUpdate) {
          this._hasher.update(messageUpdate);
          return this;
        },
        finalize: function(messageUpdate) {
          var hasher = this._hasher;
          var innerHash = hasher.finalize(messageUpdate);
          hasher.reset();
          var hmac2 = hasher.finalize(this._oKey.clone().concat(innerHash));
          return hmac2;
        }
      });
    })();
  });
})(hmac);
(function(module2, exports2) {
  (function(root2, factory, undef) {
    {
      module2.exports = factory(core.exports, sha1.exports, hmac.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function() {
      var C = CryptoJS;
      var C_lib = C.lib;
      var Base = C_lib.Base;
      var WordArray = C_lib.WordArray;
      var C_algo = C.algo;
      var MD5 = C_algo.MD5;
      var EvpKDF = C_algo.EvpKDF = Base.extend({
        cfg: Base.extend({
          keySize: 128 / 32,
          hasher: MD5,
          iterations: 1
        }),
        init: function(cfg) {
          this.cfg = this.cfg.extend(cfg);
        },
        compute: function(password, salt) {
          var block;
          var cfg = this.cfg;
          var hasher = cfg.hasher.create();
          var derivedKey = WordArray.create();
          var derivedKeyWords = derivedKey.words;
          var keySize = cfg.keySize;
          var iterations = cfg.iterations;
          while (derivedKeyWords.length < keySize) {
            if (block) {
              hasher.update(block);
            }
            block = hasher.update(password).finalize(salt);
            hasher.reset();
            for (var i = 1; i < iterations; i++) {
              block = hasher.finalize(block);
              hasher.reset();
            }
            derivedKey.concat(block);
          }
          derivedKey.sigBytes = keySize * 4;
          return derivedKey;
        }
      });
      C.EvpKDF = function(password, salt, cfg) {
        return EvpKDF.create(cfg).compute(password, salt);
      };
    })();
    return CryptoJS.EvpKDF;
  });
})(evpkdf);
var cipherCore = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory, undef) {
    {
      module2.exports = factory(core.exports, evpkdf.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    CryptoJS.lib.Cipher || function(undefined$1) {
      var C = CryptoJS;
      var C_lib = C.lib;
      var Base = C_lib.Base;
      var WordArray = C_lib.WordArray;
      var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm;
      var C_enc = C.enc;
      C_enc.Utf8;
      var Base64 = C_enc.Base64;
      var C_algo = C.algo;
      var EvpKDF = C_algo.EvpKDF;
      var Cipher = C_lib.Cipher = BufferedBlockAlgorithm.extend({
        cfg: Base.extend(),
        createEncryptor: function(key, cfg) {
          return this.create(this._ENC_XFORM_MODE, key, cfg);
        },
        createDecryptor: function(key, cfg) {
          return this.create(this._DEC_XFORM_MODE, key, cfg);
        },
        init: function(xformMode, key, cfg) {
          this.cfg = this.cfg.extend(cfg);
          this._xformMode = xformMode;
          this._key = key;
          this.reset();
        },
        reset: function() {
          BufferedBlockAlgorithm.reset.call(this);
          this._doReset();
        },
        process: function(dataUpdate) {
          this._append(dataUpdate);
          return this._process();
        },
        finalize: function(dataUpdate) {
          if (dataUpdate) {
            this._append(dataUpdate);
          }
          var finalProcessedData = this._doFinalize();
          return finalProcessedData;
        },
        keySize: 128 / 32,
        ivSize: 128 / 32,
        _ENC_XFORM_MODE: 1,
        _DEC_XFORM_MODE: 2,
        _createHelper: function() {
          function selectCipherStrategy(key) {
            if (typeof key == "string") {
              return PasswordBasedCipher;
            } else {
              return SerializableCipher;
            }
          }
          return function(cipher) {
            return {
              encrypt: function(message, key, cfg) {
                return selectCipherStrategy(key).encrypt(cipher, message, key, cfg);
              },
              decrypt: function(ciphertext, key, cfg) {
                return selectCipherStrategy(key).decrypt(cipher, ciphertext, key, cfg);
              }
            };
          };
        }()
      });
      C_lib.StreamCipher = Cipher.extend({
        _doFinalize: function() {
          var finalProcessedBlocks = this._process(true);
          return finalProcessedBlocks;
        },
        blockSize: 1
      });
      var C_mode = C.mode = {};
      var BlockCipherMode = C_lib.BlockCipherMode = Base.extend({
        createEncryptor: function(cipher, iv) {
          return this.Encryptor.create(cipher, iv);
        },
        createDecryptor: function(cipher, iv) {
          return this.Decryptor.create(cipher, iv);
        },
        init: function(cipher, iv) {
          this._cipher = cipher;
          this._iv = iv;
        }
      });
      var CBC = C_mode.CBC = function() {
        var CBC2 = BlockCipherMode.extend();
        CBC2.Encryptor = CBC2.extend({
          processBlock: function(words, offset) {
            var cipher = this._cipher;
            var blockSize = cipher.blockSize;
            xorBlock.call(this, words, offset, blockSize);
            cipher.encryptBlock(words, offset);
            this._prevBlock = words.slice(offset, offset + blockSize);
          }
        });
        CBC2.Decryptor = CBC2.extend({
          processBlock: function(words, offset) {
            var cipher = this._cipher;
            var blockSize = cipher.blockSize;
            var thisBlock = words.slice(offset, offset + blockSize);
            cipher.decryptBlock(words, offset);
            xorBlock.call(this, words, offset, blockSize);
            this._prevBlock = thisBlock;
          }
        });
        function xorBlock(words, offset, blockSize) {
          var block;
          var iv = this._iv;
          if (iv) {
            block = iv;
            this._iv = undefined$1;
          } else {
            block = this._prevBlock;
          }
          for (var i = 0; i < blockSize; i++) {
            words[offset + i] ^= block[i];
          }
        }
        return CBC2;
      }();
      var C_pad = C.pad = {};
      var Pkcs7 = C_pad.Pkcs7 = {
        pad: function(data2, blockSize) {
          var blockSizeBytes = blockSize * 4;
          var nPaddingBytes = blockSizeBytes - data2.sigBytes % blockSizeBytes;
          var paddingWord = nPaddingBytes << 24 | nPaddingBytes << 16 | nPaddingBytes << 8 | nPaddingBytes;
          var paddingWords = [];
          for (var i = 0; i < nPaddingBytes; i += 4) {
            paddingWords.push(paddingWord);
          }
          var padding = WordArray.create(paddingWords, nPaddingBytes);
          data2.concat(padding);
        },
        unpad: function(data2) {
          var nPaddingBytes = data2.words[data2.sigBytes - 1 >>> 2] & 255;
          data2.sigBytes -= nPaddingBytes;
        }
      };
      C_lib.BlockCipher = Cipher.extend({
        cfg: Cipher.cfg.extend({
          mode: CBC,
          padding: Pkcs7
        }),
        reset: function() {
          var modeCreator;
          Cipher.reset.call(this);
          var cfg = this.cfg;
          var iv = cfg.iv;
          var mode = cfg.mode;
          if (this._xformMode == this._ENC_XFORM_MODE) {
            modeCreator = mode.createEncryptor;
          } else {
            modeCreator = mode.createDecryptor;
            this._minBufferSize = 1;
          }
          if (this._mode && this._mode.__creator == modeCreator) {
            this._mode.init(this, iv && iv.words);
          } else {
            this._mode = modeCreator.call(mode, this, iv && iv.words);
            this._mode.__creator = modeCreator;
          }
        },
        _doProcessBlock: function(words, offset) {
          this._mode.processBlock(words, offset);
        },
        _doFinalize: function() {
          var finalProcessedBlocks;
          var padding = this.cfg.padding;
          if (this._xformMode == this._ENC_XFORM_MODE) {
            padding.pad(this._data, this.blockSize);
            finalProcessedBlocks = this._process(true);
          } else {
            finalProcessedBlocks = this._process(true);
            padding.unpad(finalProcessedBlocks);
          }
          return finalProcessedBlocks;
        },
        blockSize: 128 / 32
      });
      var CipherParams = C_lib.CipherParams = Base.extend({
        init: function(cipherParams) {
          this.mixIn(cipherParams);
        },
        toString: function(formatter) {
          return (formatter || this.formatter).stringify(this);
        }
      });
      var C_format = C.format = {};
      var OpenSSLFormatter = C_format.OpenSSL = {
        stringify: function(cipherParams) {
          var wordArray;
          var ciphertext = cipherParams.ciphertext;
          var salt = cipherParams.salt;
          if (salt) {
            wordArray = WordArray.create([1398893684, 1701076831]).concat(salt).concat(ciphertext);
          } else {
            wordArray = ciphertext;
          }
          return wordArray.toString(Base64);
        },
        parse: function(openSSLStr) {
          var salt;
          var ciphertext = Base64.parse(openSSLStr);
          var ciphertextWords = ciphertext.words;
          if (ciphertextWords[0] == 1398893684 && ciphertextWords[1] == 1701076831) {
            salt = WordArray.create(ciphertextWords.slice(2, 4));
            ciphertextWords.splice(0, 4);
            ciphertext.sigBytes -= 16;
          }
          return CipherParams.create({ ciphertext, salt });
        }
      };
      var SerializableCipher = C_lib.SerializableCipher = Base.extend({
        cfg: Base.extend({
          format: OpenSSLFormatter
        }),
        encrypt: function(cipher, message, key, cfg) {
          cfg = this.cfg.extend(cfg);
          var encryptor = cipher.createEncryptor(key, cfg);
          var ciphertext = encryptor.finalize(message);
          var cipherCfg = encryptor.cfg;
          return CipherParams.create({
            ciphertext,
            key,
            iv: cipherCfg.iv,
            algorithm: cipher,
            mode: cipherCfg.mode,
            padding: cipherCfg.padding,
            blockSize: cipher.blockSize,
            formatter: cfg.format
          });
        },
        decrypt: function(cipher, ciphertext, key, cfg) {
          cfg = this.cfg.extend(cfg);
          ciphertext = this._parse(ciphertext, cfg.format);
          var plaintext = cipher.createDecryptor(key, cfg).finalize(ciphertext.ciphertext);
          return plaintext;
        },
        _parse: function(ciphertext, format) {
          if (typeof ciphertext == "string") {
            return format.parse(ciphertext, this);
          } else {
            return ciphertext;
          }
        }
      });
      var C_kdf = C.kdf = {};
      var OpenSSLKdf = C_kdf.OpenSSL = {
        execute: function(password, keySize, ivSize, salt) {
          if (!salt) {
            salt = WordArray.random(64 / 8);
          }
          var key = EvpKDF.create({ keySize: keySize + ivSize }).compute(password, salt);
          var iv = WordArray.create(key.words.slice(keySize), ivSize * 4);
          key.sigBytes = keySize * 4;
          return CipherParams.create({ key, iv, salt });
        }
      };
      var PasswordBasedCipher = C_lib.PasswordBasedCipher = SerializableCipher.extend({
        cfg: SerializableCipher.cfg.extend({
          kdf: OpenSSLKdf
        }),
        encrypt: function(cipher, message, password, cfg) {
          cfg = this.cfg.extend(cfg);
          var derivedParams = cfg.kdf.execute(password, cipher.keySize, cipher.ivSize);
          cfg.iv = derivedParams.iv;
          var ciphertext = SerializableCipher.encrypt.call(this, cipher, message, derivedParams.key, cfg);
          ciphertext.mixIn(derivedParams);
          return ciphertext;
        },
        decrypt: function(cipher, ciphertext, password, cfg) {
          cfg = this.cfg.extend(cfg);
          ciphertext = this._parse(ciphertext, cfg.format);
          var derivedParams = cfg.kdf.execute(password, cipher.keySize, cipher.ivSize, ciphertext.salt);
          cfg.iv = derivedParams.iv;
          var plaintext = SerializableCipher.decrypt.call(this, cipher, ciphertext, derivedParams.key, cfg);
          return plaintext;
        }
      });
    }();
  });
})(cipherCore);
(function(module2, exports2) {
  (function(root2, factory, undef) {
    {
      module2.exports = factory(core.exports, encBase64.exports, md5$1.exports, evpkdf.exports, cipherCore.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    (function() {
      var C = CryptoJS;
      var C_lib = C.lib;
      var BlockCipher = C_lib.BlockCipher;
      var C_algo = C.algo;
      var SBOX = [];
      var INV_SBOX = [];
      var SUB_MIX_0 = [];
      var SUB_MIX_1 = [];
      var SUB_MIX_2 = [];
      var SUB_MIX_3 = [];
      var INV_SUB_MIX_0 = [];
      var INV_SUB_MIX_1 = [];
      var INV_SUB_MIX_2 = [];
      var INV_SUB_MIX_3 = [];
      (function() {
        var d = [];
        for (var i = 0; i < 256; i++) {
          if (i < 128) {
            d[i] = i << 1;
          } else {
            d[i] = i << 1 ^ 283;
          }
        }
        var x = 0;
        var xi = 0;
        for (var i = 0; i < 256; i++) {
          var sx = xi ^ xi << 1 ^ xi << 2 ^ xi << 3 ^ xi << 4;
          sx = sx >>> 8 ^ sx & 255 ^ 99;
          SBOX[x] = sx;
          INV_SBOX[sx] = x;
          var x2 = d[x];
          var x4 = d[x2];
          var x8 = d[x4];
          var t = d[sx] * 257 ^ sx * 16843008;
          SUB_MIX_0[x] = t << 24 | t >>> 8;
          SUB_MIX_1[x] = t << 16 | t >>> 16;
          SUB_MIX_2[x] = t << 8 | t >>> 24;
          SUB_MIX_3[x] = t;
          var t = x8 * 16843009 ^ x4 * 65537 ^ x2 * 257 ^ x * 16843008;
          INV_SUB_MIX_0[sx] = t << 24 | t >>> 8;
          INV_SUB_MIX_1[sx] = t << 16 | t >>> 16;
          INV_SUB_MIX_2[sx] = t << 8 | t >>> 24;
          INV_SUB_MIX_3[sx] = t;
          if (!x) {
            x = xi = 1;
          } else {
            x = x2 ^ d[d[d[x8 ^ x2]]];
            xi ^= d[d[xi]];
          }
        }
      })();
      var RCON = [0, 1, 2, 4, 8, 16, 32, 64, 128, 27, 54];
      var AES = C_algo.AES = BlockCipher.extend({
        _doReset: function() {
          var t;
          if (this._nRounds && this._keyPriorReset === this._key) {
            return;
          }
          var key = this._keyPriorReset = this._key;
          var keyWords = key.words;
          var keySize = key.sigBytes / 4;
          var nRounds = this._nRounds = keySize + 6;
          var ksRows = (nRounds + 1) * 4;
          var keySchedule = this._keySchedule = [];
          for (var ksRow = 0; ksRow < ksRows; ksRow++) {
            if (ksRow < keySize) {
              keySchedule[ksRow] = keyWords[ksRow];
            } else {
              t = keySchedule[ksRow - 1];
              if (!(ksRow % keySize)) {
                t = t << 8 | t >>> 24;
                t = SBOX[t >>> 24] << 24 | SBOX[t >>> 16 & 255] << 16 | SBOX[t >>> 8 & 255] << 8 | SBOX[t & 255];
                t ^= RCON[ksRow / keySize | 0] << 24;
              } else if (keySize > 6 && ksRow % keySize == 4) {
                t = SBOX[t >>> 24] << 24 | SBOX[t >>> 16 & 255] << 16 | SBOX[t >>> 8 & 255] << 8 | SBOX[t & 255];
              }
              keySchedule[ksRow] = keySchedule[ksRow - keySize] ^ t;
            }
          }
          var invKeySchedule = this._invKeySchedule = [];
          for (var invKsRow = 0; invKsRow < ksRows; invKsRow++) {
            var ksRow = ksRows - invKsRow;
            if (invKsRow % 4) {
              var t = keySchedule[ksRow];
            } else {
              var t = keySchedule[ksRow - 4];
            }
            if (invKsRow < 4 || ksRow <= 4) {
              invKeySchedule[invKsRow] = t;
            } else {
              invKeySchedule[invKsRow] = INV_SUB_MIX_0[SBOX[t >>> 24]] ^ INV_SUB_MIX_1[SBOX[t >>> 16 & 255]] ^ INV_SUB_MIX_2[SBOX[t >>> 8 & 255]] ^ INV_SUB_MIX_3[SBOX[t & 255]];
            }
          }
        },
        encryptBlock: function(M, offset) {
          this._doCryptBlock(M, offset, this._keySchedule, SUB_MIX_0, SUB_MIX_1, SUB_MIX_2, SUB_MIX_3, SBOX);
        },
        decryptBlock: function(M, offset) {
          var t = M[offset + 1];
          M[offset + 1] = M[offset + 3];
          M[offset + 3] = t;
          this._doCryptBlock(M, offset, this._invKeySchedule, INV_SUB_MIX_0, INV_SUB_MIX_1, INV_SUB_MIX_2, INV_SUB_MIX_3, INV_SBOX);
          var t = M[offset + 1];
          M[offset + 1] = M[offset + 3];
          M[offset + 3] = t;
        },
        _doCryptBlock: function(M, offset, keySchedule, SUB_MIX_02, SUB_MIX_12, SUB_MIX_22, SUB_MIX_32, SBOX2) {
          var nRounds = this._nRounds;
          var s0 = M[offset] ^ keySchedule[0];
          var s1 = M[offset + 1] ^ keySchedule[1];
          var s2 = M[offset + 2] ^ keySchedule[2];
          var s3 = M[offset + 3] ^ keySchedule[3];
          var ksRow = 4;
          for (var round = 1; round < nRounds; round++) {
            var t0 = SUB_MIX_02[s0 >>> 24] ^ SUB_MIX_12[s1 >>> 16 & 255] ^ SUB_MIX_22[s2 >>> 8 & 255] ^ SUB_MIX_32[s3 & 255] ^ keySchedule[ksRow++];
            var t1 = SUB_MIX_02[s1 >>> 24] ^ SUB_MIX_12[s2 >>> 16 & 255] ^ SUB_MIX_22[s3 >>> 8 & 255] ^ SUB_MIX_32[s0 & 255] ^ keySchedule[ksRow++];
            var t2 = SUB_MIX_02[s2 >>> 24] ^ SUB_MIX_12[s3 >>> 16 & 255] ^ SUB_MIX_22[s0 >>> 8 & 255] ^ SUB_MIX_32[s1 & 255] ^ keySchedule[ksRow++];
            var t3 = SUB_MIX_02[s3 >>> 24] ^ SUB_MIX_12[s0 >>> 16 & 255] ^ SUB_MIX_22[s1 >>> 8 & 255] ^ SUB_MIX_32[s2 & 255] ^ keySchedule[ksRow++];
            s0 = t0;
            s1 = t1;
            s2 = t2;
            s3 = t3;
          }
          var t0 = (SBOX2[s0 >>> 24] << 24 | SBOX2[s1 >>> 16 & 255] << 16 | SBOX2[s2 >>> 8 & 255] << 8 | SBOX2[s3 & 255]) ^ keySchedule[ksRow++];
          var t1 = (SBOX2[s1 >>> 24] << 24 | SBOX2[s2 >>> 16 & 255] << 16 | SBOX2[s3 >>> 8 & 255] << 8 | SBOX2[s0 & 255]) ^ keySchedule[ksRow++];
          var t2 = (SBOX2[s2 >>> 24] << 24 | SBOX2[s3 >>> 16 & 255] << 16 | SBOX2[s0 >>> 8 & 255] << 8 | SBOX2[s1 & 255]) ^ keySchedule[ksRow++];
          var t3 = (SBOX2[s3 >>> 24] << 24 | SBOX2[s0 >>> 16 & 255] << 16 | SBOX2[s1 >>> 8 & 255] << 8 | SBOX2[s2 & 255]) ^ keySchedule[ksRow++];
          M[offset] = t0;
          M[offset + 1] = t1;
          M[offset + 2] = t2;
          M[offset + 3] = t3;
        },
        keySize: 256 / 32
      });
      C.AES = BlockCipher._createHelper(AES);
    })();
    return CryptoJS.AES;
  });
})(aes);
var modeEcb = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory, undef) {
    {
      module2.exports = factory(core.exports, cipherCore.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    CryptoJS.mode.ECB = function() {
      var ECB = CryptoJS.lib.BlockCipherMode.extend();
      ECB.Encryptor = ECB.extend({
        processBlock: function(words, offset) {
          this._cipher.encryptBlock(words, offset);
        }
      });
      ECB.Decryptor = ECB.extend({
        processBlock: function(words, offset) {
          this._cipher.decryptBlock(words, offset);
        }
      });
      return ECB;
    }();
    return CryptoJS.mode.ECB;
  });
})(modeEcb);
var encUtf8 = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory) {
    {
      module2.exports = factory(core.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    return CryptoJS.enc.Utf8;
  });
})(encUtf8);
var padPkcs7 = { exports: {} };
(function(module2, exports2) {
  (function(root2, factory, undef) {
    {
      module2.exports = factory(core.exports, cipherCore.exports);
    }
  })(commonjsGlobal, function(CryptoJS) {
    return CryptoJS.pad.Pkcs7;
  });
})(padPkcs7);
function encryptByMd5(password) {
  return md5(password).toString();
}
const encodeObject = {
  version: "gDsc2",
  msgid: "WD8F2",
  appid: "qNfHK",
  token: "5a84j",
  dc: "bGL9m",
  userip: "BIabK",
  except: "cLu2D",
  private: "N95Rx",
  timestamp: "RTZHW",
  sign: "UsaD6",
  result: "HEdz0",
  error: "Q3n26",
  code: "7l1VQ",
  reason: "KGNbS",
  centers: "MAr3e",
  type: "HciWv",
  netType: "Nt9Fp",
  id: "wcFiU",
  url: "VKtYg",
  roomid: "jJkwz",
  description: "Dkh9h",
  maxusers: "2fhfU",
  maxsstreams: "VuS9j",
  video: "Z8uVb",
  audio: "hV3vC",
  bitrate: "5AWX3",
  starttime: "9IVUW",
  duration: "SP2Nc",
  usetoken: "qZTa2",
  info: "uJE9f",
  userid: "QbzON",
  username: "JAAwd",
  logintype: "CxmM8",
  logininfo: "ERsUh",
  apitoken: "PNmMm",
  room: "df2eS",
  roomtoken: "JyYtq",
  urls: "ILzXv",
  streamindex: "2fcNI",
  streamname: "rWO7s",
  janus: "ToFgo",
  usenewid: "ilA0U",
  set: "W1gdg",
  path: "UVDsE",
  callbackurl: "WJ77a",
  param: "X7tLF",
  stoptime: "J84qY",
  state: "U6UrN",
  recordid: "8ctec"
};
const encodeMap = /* @__PURE__ */ new Map();
const decodeMap = /* @__PURE__ */ new Map();
for (const [key, value] of Object.entries(encodeObject)) {
  encodeMap.set(key, value);
  decodeMap.set(value, key);
}
function encodeFormData(data2) {
  if (!data2) {
    return {};
  }
  let encodeData = {};
  for (const [key, value] of Object.entries(data2)) {
    const encodeKey = encodeMap.get(key) || key;
    encodeData[encodeKey] = value;
  }
  const signStr = getSignUnencrypted(encodeData);
  const signMd5 = encryptByMd5(signStr);
  encodeData[encodeMap.get("sign")] = signMd5;
  return encodeData;
}
function decodeResponseData(data2) {
  if (!data2) {
    return {};
  }
  let decodeData = {};
  if (Array.isArray(data2)) {
    const decodeData2 = [];
    data2.forEach((item) => {
      if (typeof item == "object") {
        let decodeItem = {};
        for (let [key, value] of Object.entries(item)) {
          const decodeKey = decodeMap.get(key) || key;
          if (value && typeof value == "object") {
            value = decodeResponseData(value);
          }
          decodeItem[decodeKey] = value;
        }
        decodeData2.push(decodeItem);
      } else {
        decodeData2.push(item);
      }
    });
    return decodeData2;
  } else {
    for (let [key, value] of Object.entries(data2)) {
      const decodeKey = decodeMap.get(key) || key;
      if (value && typeof value == "object") {
        value = decodeResponseData(value);
      }
      decodeData[decodeKey] = value;
    }
  }
  return decodeData;
}
function getSignUnencrypted(data2) {
  let arr = [];
  for (var key in data2) {
    arr.push(key);
  }
  arr.sort();
  let str = "";
  for (var i in arr) {
    str += arr[i] + "=" + data2[arr[i]] + ",";
  }
  return str.substr(0, str.length - 1);
}
var axios$2 = { exports: {} };
var bind$2 = function bind(fn, thisArg) {
  return function wrap() {
    var args = new Array(arguments.length);
    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i];
    }
    return fn.apply(thisArg, args);
  };
};
var bind$1 = bind$2;
var toString = Object.prototype.toString;
var kindOf = function(cache) {
  return function(thing) {
    var str = toString.call(thing);
    return cache[str] || (cache[str] = str.slice(8, -1).toLowerCase());
  };
}(/* @__PURE__ */ Object.create(null));
function kindOfTest(type) {
  type = type.toLowerCase();
  return function isKindOf(thing) {
    return kindOf(thing) === type;
  };
}
function isArray$2(val) {
  return Array.isArray(val);
}
function isUndefined(val) {
  return typeof val === "undefined";
}
function isBuffer$2(val) {
  return val !== null && !isUndefined(val) && val.constructor !== null && !isUndefined(val.constructor) && typeof val.constructor.isBuffer === "function" && val.constructor.isBuffer(val);
}
var isArrayBuffer = kindOfTest("ArrayBuffer");
function isArrayBufferView(val) {
  var result;
  if (typeof ArrayBuffer !== "undefined" && ArrayBuffer.isView) {
    result = ArrayBuffer.isView(val);
  } else {
    result = val && val.buffer && isArrayBuffer(val.buffer);
  }
  return result;
}
function isString(val) {
  return typeof val === "string";
}
function isNumber(val) {
  return typeof val === "number";
}
function isObject$1(val) {
  return val !== null && typeof val === "object";
}
function isPlainObject(val) {
  if (kindOf(val) !== "object") {
    return false;
  }
  var prototype2 = Object.getPrototypeOf(val);
  return prototype2 === null || prototype2 === Object.prototype;
}
var isDate = kindOfTest("Date");
var isFile = kindOfTest("File");
var isBlob = kindOfTest("Blob");
var isFileList = kindOfTest("FileList");
function isFunction$1(val) {
  return toString.call(val) === "[object Function]";
}
function isStream(val) {
  return isObject$1(val) && isFunction$1(val.pipe);
}
function isFormData(thing) {
  var pattern = "[object FormData]";
  return thing && (typeof FormData === "function" && thing instanceof FormData || toString.call(thing) === pattern || isFunction$1(thing.toString) && thing.toString() === pattern);
}
var isURLSearchParams = kindOfTest("URLSearchParams");
function trim(str) {
  return str.trim ? str.trim() : str.replace(/^\s+|\s+$/g, "");
}
function isStandardBrowserEnv() {
  if (typeof navigator !== "undefined" && (navigator.product === "ReactNative" || navigator.product === "NativeScript" || navigator.product === "NS")) {
    return false;
  }
  return typeof window !== "undefined" && typeof document !== "undefined";
}
function forEach(obj, fn) {
  if (obj === null || typeof obj === "undefined") {
    return;
  }
  if (typeof obj !== "object") {
    obj = [obj];
  }
  if (isArray$2(obj)) {
    for (var i = 0, l = obj.length; i < l; i++) {
      fn.call(null, obj[i], i, obj);
    }
  } else {
    for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        fn.call(null, obj[key], key, obj);
      }
    }
  }
}
function merge() {
  var result = {};
  function assignValue2(val, key) {
    if (isPlainObject(result[key]) && isPlainObject(val)) {
      result[key] = merge(result[key], val);
    } else if (isPlainObject(val)) {
      result[key] = merge({}, val);
    } else if (isArray$2(val)) {
      result[key] = val.slice();
    } else {
      result[key] = val;
    }
  }
  for (var i = 0, l = arguments.length; i < l; i++) {
    forEach(arguments[i], assignValue2);
  }
  return result;
}
function extend(a, b, thisArg) {
  forEach(b, function assignValue2(val, key) {
    if (thisArg && typeof val === "function") {
      a[key] = bind$1(val, thisArg);
    } else {
      a[key] = val;
    }
  });
  return a;
}
function stripBOM(content) {
  if (content.charCodeAt(0) === 65279) {
    content = content.slice(1);
  }
  return content;
}
function inherits(constructor, superConstructor, props, descriptors2) {
  constructor.prototype = Object.create(superConstructor.prototype, descriptors2);
  constructor.prototype.constructor = constructor;
  props && Object.assign(constructor.prototype, props);
}
function toFlatObject(sourceObj, destObj, filter) {
  var props;
  var i;
  var prop;
  var merged = {};
  destObj = destObj || {};
  do {
    props = Object.getOwnPropertyNames(sourceObj);
    i = props.length;
    while (i-- > 0) {
      prop = props[i];
      if (!merged[prop]) {
        destObj[prop] = sourceObj[prop];
        merged[prop] = true;
      }
    }
    sourceObj = Object.getPrototypeOf(sourceObj);
  } while (sourceObj && (!filter || filter(sourceObj, destObj)) && sourceObj !== Object.prototype);
  return destObj;
}
function endsWith(str, searchString, position) {
  str = String(str);
  if (position === void 0 || position > str.length) {
    position = str.length;
  }
  position -= searchString.length;
  var lastIndex = str.indexOf(searchString, position);
  return lastIndex !== -1 && lastIndex === position;
}
function toArray(thing) {
  if (!thing)
    return null;
  var i = thing.length;
  if (isUndefined(i))
    return null;
  var arr = new Array(i);
  while (i-- > 0) {
    arr[i] = thing[i];
  }
  return arr;
}
var isTypedArray$2 = function(TypedArray) {
  return function(thing) {
    return TypedArray && thing instanceof TypedArray;
  };
}(typeof Uint8Array !== "undefined" && Object.getPrototypeOf(Uint8Array));
var utils$h = {
  isArray: isArray$2,
  isArrayBuffer,
  isBuffer: isBuffer$2,
  isFormData,
  isArrayBufferView,
  isString,
  isNumber,
  isObject: isObject$1,
  isPlainObject,
  isUndefined,
  isDate,
  isFile,
  isBlob,
  isFunction: isFunction$1,
  isStream,
  isURLSearchParams,
  isStandardBrowserEnv,
  forEach,
  merge,
  extend,
  trim,
  stripBOM,
  inherits,
  toFlatObject,
  kindOf,
  kindOfTest,
  endsWith,
  toArray,
  isTypedArray: isTypedArray$2,
  isFileList
};
var utils$g = utils$h;
function encode(val) {
  return encodeURIComponent(val).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
var buildURL$2 = function buildURL(url, params, paramsSerializer) {
  if (!params) {
    return url;
  }
  var serializedParams;
  if (paramsSerializer) {
    serializedParams = paramsSerializer(params);
  } else if (utils$g.isURLSearchParams(params)) {
    serializedParams = params.toString();
  } else {
    var parts = [];
    utils$g.forEach(params, function serialize(val, key) {
      if (val === null || typeof val === "undefined") {
        return;
      }
      if (utils$g.isArray(val)) {
        key = key + "[]";
      } else {
        val = [val];
      }
      utils$g.forEach(val, function parseValue(v) {
        if (utils$g.isDate(v)) {
          v = v.toISOString();
        } else if (utils$g.isObject(v)) {
          v = JSON.stringify(v);
        }
        parts.push(encode(key) + "=" + encode(v));
      });
    });
    serializedParams = parts.join("&");
  }
  if (serializedParams) {
    var hashmarkIndex = url.indexOf("#");
    if (hashmarkIndex !== -1) {
      url = url.slice(0, hashmarkIndex);
    }
    url += (url.indexOf("?") === -1 ? "?" : "&") + serializedParams;
  }
  return url;
};
var utils$f = utils$h;
function InterceptorManager$1() {
  this.handlers = [];
}
InterceptorManager$1.prototype.use = function use(fulfilled, rejected, options) {
  this.handlers.push({
    fulfilled,
    rejected,
    synchronous: options ? options.synchronous : false,
    runWhen: options ? options.runWhen : null
  });
  return this.handlers.length - 1;
};
InterceptorManager$1.prototype.eject = function eject(id) {
  if (this.handlers[id]) {
    this.handlers[id] = null;
  }
};
InterceptorManager$1.prototype.forEach = function forEach2(fn) {
  utils$f.forEach(this.handlers, function forEachHandler(h) {
    if (h !== null) {
      fn(h);
    }
  });
};
var InterceptorManager_1 = InterceptorManager$1;
var utils$e = utils$h;
var normalizeHeaderName$1 = function normalizeHeaderName(headers, normalizedName) {
  utils$e.forEach(headers, function processHeader(value, name) {
    if (name !== normalizedName && name.toUpperCase() === normalizedName.toUpperCase()) {
      headers[normalizedName] = value;
      delete headers[name];
    }
  });
};
var utils$d = utils$h;
function AxiosError$5(message, code, config, request2, response) {
  Error.call(this);
  this.message = message;
  this.name = "AxiosError";
  code && (this.code = code);
  config && (this.config = config);
  request2 && (this.request = request2);
  response && (this.response = response);
}
utils$d.inherits(AxiosError$5, Error, {
  toJSON: function toJSON() {
    return {
      message: this.message,
      name: this.name,
      description: this.description,
      number: this.number,
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      config: this.config,
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});
var prototype = AxiosError$5.prototype;
var descriptors = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED"
].forEach(function(code) {
  descriptors[code] = { value: code };
});
Object.defineProperties(AxiosError$5, descriptors);
Object.defineProperty(prototype, "isAxiosError", { value: true });
AxiosError$5.from = function(error, code, config, request2, response, customProps) {
  var axiosError = Object.create(prototype);
  utils$d.toFlatObject(error, axiosError, function filter(obj) {
    return obj !== Error.prototype;
  });
  AxiosError$5.call(axiosError, error.message, code, config, request2, response);
  axiosError.name = error.name;
  customProps && Object.assign(axiosError, customProps);
  return axiosError;
};
var AxiosError_1 = AxiosError$5;
var transitional = {
  silentJSONParsing: true,
  forcedJSONParsing: true,
  clarifyTimeoutError: false
};
var utils$c = utils$h;
function toFormData$1(obj, formData) {
  formData = formData || new FormData();
  var stack = [];
  function convertValue(value) {
    if (value === null)
      return "";
    if (utils$c.isDate(value)) {
      return value.toISOString();
    }
    if (utils$c.isArrayBuffer(value) || utils$c.isTypedArray(value)) {
      return typeof Blob === "function" ? new Blob([value]) : Buffer.from(value);
    }
    return value;
  }
  function build(data2, parentKey) {
    if (utils$c.isPlainObject(data2) || utils$c.isArray(data2)) {
      if (stack.indexOf(data2) !== -1) {
        throw Error("Circular reference detected in " + parentKey);
      }
      stack.push(data2);
      utils$c.forEach(data2, function each(value, key) {
        if (utils$c.isUndefined(value))
          return;
        var fullKey = parentKey ? parentKey + "." + key : key;
        var arr;
        if (value && !parentKey && typeof value === "object") {
          if (utils$c.endsWith(key, "{}")) {
            value = JSON.stringify(value);
          } else if (utils$c.endsWith(key, "[]") && (arr = utils$c.toArray(value))) {
            arr.forEach(function(el) {
              !utils$c.isUndefined(el) && formData.append(fullKey, convertValue(el));
            });
            return;
          }
        }
        build(value, fullKey);
      });
      stack.pop();
    } else {
      formData.append(parentKey, convertValue(data2));
    }
  }
  build(obj);
  return formData;
}
var toFormData_1 = toFormData$1;
var AxiosError$4 = AxiosError_1;
var settle$1 = function settle(resolve, reject, response) {
  var validateStatus2 = response.config.validateStatus;
  if (!response.status || !validateStatus2 || validateStatus2(response.status)) {
    resolve(response);
  } else {
    reject(new AxiosError$4("Request failed with status code " + response.status, [AxiosError$4.ERR_BAD_REQUEST, AxiosError$4.ERR_BAD_RESPONSE][Math.floor(response.status / 100) - 4], response.config, response.request, response));
  }
};
var utils$b = utils$h;
var cookies$1 = utils$b.isStandardBrowserEnv() ? function standardBrowserEnv() {
  return {
    write: function write(name, value, expires, path, domain, secure) {
      var cookie = [];
      cookie.push(name + "=" + encodeURIComponent(value));
      if (utils$b.isNumber(expires)) {
        cookie.push("expires=" + new Date(expires).toGMTString());
      }
      if (utils$b.isString(path)) {
        cookie.push("path=" + path);
      }
      if (utils$b.isString(domain)) {
        cookie.push("domain=" + domain);
      }
      if (secure === true) {
        cookie.push("secure");
      }
      document.cookie = cookie.join("; ");
    },
    read: function read(name) {
      var match = document.cookie.match(new RegExp("(^|;\\s*)(" + name + ")=([^;]*)"));
      return match ? decodeURIComponent(match[3]) : null;
    },
    remove: function remove(name) {
      this.write(name, "", Date.now() - 864e5);
    }
  };
}() : function nonStandardBrowserEnv() {
  return {
    write: function write() {
    },
    read: function read() {
      return null;
    },
    remove: function remove() {
    }
  };
}();
var isAbsoluteURL$1 = function isAbsoluteURL(url) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(url);
};
var combineURLs$1 = function combineURLs(baseURL, relativeURL) {
  return relativeURL ? baseURL.replace(/\/+$/, "") + "/" + relativeURL.replace(/^\/+/, "") : baseURL;
};
var isAbsoluteURL2 = isAbsoluteURL$1;
var combineURLs2 = combineURLs$1;
var buildFullPath$2 = function buildFullPath(baseURL, requestedURL) {
  if (baseURL && !isAbsoluteURL2(requestedURL)) {
    return combineURLs2(baseURL, requestedURL);
  }
  return requestedURL;
};
var utils$a = utils$h;
var ignoreDuplicateOf = [
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
];
var parseHeaders$1 = function parseHeaders(headers) {
  var parsed = {};
  var key;
  var val;
  var i;
  if (!headers) {
    return parsed;
  }
  utils$a.forEach(headers.split("\n"), function parser(line) {
    i = line.indexOf(":");
    key = utils$a.trim(line.substr(0, i)).toLowerCase();
    val = utils$a.trim(line.substr(i + 1));
    if (key) {
      if (parsed[key] && ignoreDuplicateOf.indexOf(key) >= 0) {
        return;
      }
      if (key === "set-cookie") {
        parsed[key] = (parsed[key] ? parsed[key] : []).concat([val]);
      } else {
        parsed[key] = parsed[key] ? parsed[key] + ", " + val : val;
      }
    }
  });
  return parsed;
};
var utils$9 = utils$h;
var isURLSameOrigin$1 = utils$9.isStandardBrowserEnv() ? function standardBrowserEnv2() {
  var msie = /(msie|trident)/i.test(navigator.userAgent);
  var urlParsingNode = document.createElement("a");
  var originURL;
  function resolveURL(url) {
    var href = url;
    if (msie) {
      urlParsingNode.setAttribute("href", href);
      href = urlParsingNode.href;
    }
    urlParsingNode.setAttribute("href", href);
    return {
      href: urlParsingNode.href,
      protocol: urlParsingNode.protocol ? urlParsingNode.protocol.replace(/:$/, "") : "",
      host: urlParsingNode.host,
      search: urlParsingNode.search ? urlParsingNode.search.replace(/^\?/, "") : "",
      hash: urlParsingNode.hash ? urlParsingNode.hash.replace(/^#/, "") : "",
      hostname: urlParsingNode.hostname,
      port: urlParsingNode.port,
      pathname: urlParsingNode.pathname.charAt(0) === "/" ? urlParsingNode.pathname : "/" + urlParsingNode.pathname
    };
  }
  originURL = resolveURL(window.location.href);
  return function isURLSameOrigin2(requestURL) {
    var parsed = utils$9.isString(requestURL) ? resolveURL(requestURL) : requestURL;
    return parsed.protocol === originURL.protocol && parsed.host === originURL.host;
  };
}() : function nonStandardBrowserEnv2() {
  return function isURLSameOrigin2() {
    return true;
  };
}();
var AxiosError$3 = AxiosError_1;
var utils$8 = utils$h;
function CanceledError$3(message) {
  AxiosError$3.call(this, message == null ? "canceled" : message, AxiosError$3.ERR_CANCELED);
  this.name = "CanceledError";
}
utils$8.inherits(CanceledError$3, AxiosError$3, {
  __CANCEL__: true
});
var CanceledError_1 = CanceledError$3;
var parseProtocol$1 = function parseProtocol(url) {
  var match = /^([-+\w]{1,25})(:?\/\/|:)/.exec(url);
  return match && match[1] || "";
};
var utils$7 = utils$h;
var settle2 = settle$1;
var cookies = cookies$1;
var buildURL$1 = buildURL$2;
var buildFullPath$1 = buildFullPath$2;
var parseHeaders2 = parseHeaders$1;
var isURLSameOrigin = isURLSameOrigin$1;
var transitionalDefaults$1 = transitional;
var AxiosError$2 = AxiosError_1;
var CanceledError$2 = CanceledError_1;
var parseProtocol2 = parseProtocol$1;
var xhr = function xhrAdapter(config) {
  return new Promise(function dispatchXhrRequest(resolve, reject) {
    var requestData = config.data;
    var requestHeaders = config.headers;
    var responseType = config.responseType;
    var onCanceled;
    function done() {
      if (config.cancelToken) {
        config.cancelToken.unsubscribe(onCanceled);
      }
      if (config.signal) {
        config.signal.removeEventListener("abort", onCanceled);
      }
    }
    if (utils$7.isFormData(requestData) && utils$7.isStandardBrowserEnv()) {
      delete requestHeaders["Content-Type"];
    }
    var request2 = new XMLHttpRequest();
    if (config.auth) {
      var username = config.auth.username || "";
      var password = config.auth.password ? unescape(encodeURIComponent(config.auth.password)) : "";
      requestHeaders.Authorization = "Basic " + btoa(username + ":" + password);
    }
    var fullPath = buildFullPath$1(config.baseURL, config.url);
    request2.open(config.method.toUpperCase(), buildURL$1(fullPath, config.params, config.paramsSerializer), true);
    request2.timeout = config.timeout;
    function onloadend() {
      if (!request2) {
        return;
      }
      var responseHeaders = "getAllResponseHeaders" in request2 ? parseHeaders2(request2.getAllResponseHeaders()) : null;
      var responseData = !responseType || responseType === "text" || responseType === "json" ? request2.responseText : request2.response;
      var response = {
        data: responseData,
        status: request2.status,
        statusText: request2.statusText,
        headers: responseHeaders,
        config,
        request: request2
      };
      settle2(function _resolve(value) {
        resolve(value);
        done();
      }, function _reject(err) {
        reject(err);
        done();
      }, response);
      request2 = null;
    }
    if ("onloadend" in request2) {
      request2.onloadend = onloadend;
    } else {
      request2.onreadystatechange = function handleLoad() {
        if (!request2 || request2.readyState !== 4) {
          return;
        }
        if (request2.status === 0 && !(request2.responseURL && request2.responseURL.indexOf("file:") === 0)) {
          return;
        }
        setTimeout(onloadend);
      };
    }
    request2.onabort = function handleAbort() {
      if (!request2) {
        return;
      }
      reject(new AxiosError$2("Request aborted", AxiosError$2.ECONNABORTED, config, request2));
      request2 = null;
    };
    request2.onerror = function handleError() {
      reject(new AxiosError$2("Network Error", AxiosError$2.ERR_NETWORK, config, request2, request2));
      request2 = null;
    };
    request2.ontimeout = function handleTimeout() {
      var timeoutErrorMessage = config.timeout ? "timeout of " + config.timeout + "ms exceeded" : "timeout exceeded";
      var transitional3 = config.transitional || transitionalDefaults$1;
      if (config.timeoutErrorMessage) {
        timeoutErrorMessage = config.timeoutErrorMessage;
      }
      reject(new AxiosError$2(timeoutErrorMessage, transitional3.clarifyTimeoutError ? AxiosError$2.ETIMEDOUT : AxiosError$2.ECONNABORTED, config, request2));
      request2 = null;
    };
    if (utils$7.isStandardBrowserEnv()) {
      var xsrfValue = (config.withCredentials || isURLSameOrigin(fullPath)) && config.xsrfCookieName ? cookies.read(config.xsrfCookieName) : void 0;
      if (xsrfValue) {
        requestHeaders[config.xsrfHeaderName] = xsrfValue;
      }
    }
    if ("setRequestHeader" in request2) {
      utils$7.forEach(requestHeaders, function setRequestHeader(val, key) {
        if (typeof requestData === "undefined" && key.toLowerCase() === "content-type") {
          delete requestHeaders[key];
        } else {
          request2.setRequestHeader(key, val);
        }
      });
    }
    if (!utils$7.isUndefined(config.withCredentials)) {
      request2.withCredentials = !!config.withCredentials;
    }
    if (responseType && responseType !== "json") {
      request2.responseType = config.responseType;
    }
    if (typeof config.onDownloadProgress === "function") {
      request2.addEventListener("progress", config.onDownloadProgress);
    }
    if (typeof config.onUploadProgress === "function" && request2.upload) {
      request2.upload.addEventListener("progress", config.onUploadProgress);
    }
    if (config.cancelToken || config.signal) {
      onCanceled = function(cancel) {
        if (!request2) {
          return;
        }
        reject(!cancel || cancel && cancel.type ? new CanceledError$2() : cancel);
        request2.abort();
        request2 = null;
      };
      config.cancelToken && config.cancelToken.subscribe(onCanceled);
      if (config.signal) {
        config.signal.aborted ? onCanceled() : config.signal.addEventListener("abort", onCanceled);
      }
    }
    if (!requestData) {
      requestData = null;
    }
    var protocol = parseProtocol2(fullPath);
    if (protocol && ["http", "https", "file"].indexOf(protocol) === -1) {
      reject(new AxiosError$2("Unsupported protocol " + protocol + ":", AxiosError$2.ERR_BAD_REQUEST, config));
      return;
    }
    request2.send(requestData);
  });
};
var _null = null;
var utils$6 = utils$h;
var normalizeHeaderName2 = normalizeHeaderName$1;
var AxiosError$1 = AxiosError_1;
var transitionalDefaults = transitional;
var toFormData = toFormData_1;
var DEFAULT_CONTENT_TYPE = {
  "Content-Type": "application/x-www-form-urlencoded"
};
function setContentTypeIfUnset(headers, value) {
  if (!utils$6.isUndefined(headers) && utils$6.isUndefined(headers["Content-Type"])) {
    headers["Content-Type"] = value;
  }
}
function getDefaultAdapter() {
  var adapter;
  if (typeof XMLHttpRequest !== "undefined") {
    adapter = xhr;
  } else if (typeof process !== "undefined" && Object.prototype.toString.call(process) === "[object process]") {
    adapter = xhr;
  }
  return adapter;
}
function stringifySafely(rawValue, parser, encoder) {
  if (utils$6.isString(rawValue)) {
    try {
      (parser || JSON.parse)(rawValue);
      return utils$6.trim(rawValue);
    } catch (e) {
      if (e.name !== "SyntaxError") {
        throw e;
      }
    }
  }
  return (encoder || JSON.stringify)(rawValue);
}
var defaults$3 = {
  transitional: transitionalDefaults,
  adapter: getDefaultAdapter(),
  transformRequest: [function transformRequest(data2, headers) {
    normalizeHeaderName2(headers, "Accept");
    normalizeHeaderName2(headers, "Content-Type");
    if (utils$6.isFormData(data2) || utils$6.isArrayBuffer(data2) || utils$6.isBuffer(data2) || utils$6.isStream(data2) || utils$6.isFile(data2) || utils$6.isBlob(data2)) {
      return data2;
    }
    if (utils$6.isArrayBufferView(data2)) {
      return data2.buffer;
    }
    if (utils$6.isURLSearchParams(data2)) {
      setContentTypeIfUnset(headers, "application/x-www-form-urlencoded;charset=utf-8");
      return data2.toString();
    }
    var isObjectPayload = utils$6.isObject(data2);
    var contentType = headers && headers["Content-Type"];
    var isFileList2;
    if ((isFileList2 = utils$6.isFileList(data2)) || isObjectPayload && contentType === "multipart/form-data") {
      var _FormData = this.env && this.env.FormData;
      return toFormData(isFileList2 ? { "files[]": data2 } : data2, _FormData && new _FormData());
    } else if (isObjectPayload || contentType === "application/json") {
      setContentTypeIfUnset(headers, "application/json");
      return stringifySafely(data2);
    }
    return data2;
  }],
  transformResponse: [function transformResponse(data2) {
    var transitional3 = this.transitional || defaults$3.transitional;
    var silentJSONParsing = transitional3 && transitional3.silentJSONParsing;
    var forcedJSONParsing = transitional3 && transitional3.forcedJSONParsing;
    var strictJSONParsing = !silentJSONParsing && this.responseType === "json";
    if (strictJSONParsing || forcedJSONParsing && utils$6.isString(data2) && data2.length) {
      try {
        return JSON.parse(data2);
      } catch (e) {
        if (strictJSONParsing) {
          if (e.name === "SyntaxError") {
            throw AxiosError$1.from(e, AxiosError$1.ERR_BAD_RESPONSE, this, null, this.response);
          }
          throw e;
        }
      }
    }
    return data2;
  }],
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: _null
  },
  validateStatus: function validateStatus(status) {
    return status >= 200 && status < 300;
  },
  headers: {
    common: {
      "Accept": "application/json, text/plain, */*"
    }
  }
};
utils$6.forEach(["delete", "get", "head"], function forEachMethodNoData(method) {
  defaults$3.headers[method] = {};
});
utils$6.forEach(["post", "put", "patch"], function forEachMethodWithData(method) {
  defaults$3.headers[method] = utils$6.merge(DEFAULT_CONTENT_TYPE);
});
var defaults_1 = defaults$3;
var utils$5 = utils$h;
var defaults$2 = defaults_1;
var transformData$1 = function transformData(data2, headers, fns) {
  var context = this || defaults$2;
  utils$5.forEach(fns, function transform(fn) {
    data2 = fn.call(context, data2, headers);
  });
  return data2;
};
var isCancel$1 = function isCancel(value) {
  return !!(value && value.__CANCEL__);
};
var utils$4 = utils$h;
var transformData2 = transformData$1;
var isCancel2 = isCancel$1;
var defaults$1 = defaults_1;
var CanceledError$1 = CanceledError_1;
function throwIfCancellationRequested(config) {
  if (config.cancelToken) {
    config.cancelToken.throwIfRequested();
  }
  if (config.signal && config.signal.aborted) {
    throw new CanceledError$1();
  }
}
var dispatchRequest$1 = function dispatchRequest(config) {
  throwIfCancellationRequested(config);
  config.headers = config.headers || {};
  config.data = transformData2.call(config, config.data, config.headers, config.transformRequest);
  config.headers = utils$4.merge(config.headers.common || {}, config.headers[config.method] || {}, config.headers);
  utils$4.forEach(["delete", "get", "head", "post", "put", "patch", "common"], function cleanHeaderConfig(method) {
    delete config.headers[method];
  });
  var adapter = config.adapter || defaults$1.adapter;
  return adapter(config).then(function onAdapterResolution(response) {
    throwIfCancellationRequested(config);
    response.data = transformData2.call(config, response.data, response.headers, config.transformResponse);
    return response;
  }, function onAdapterRejection(reason) {
    if (!isCancel2(reason)) {
      throwIfCancellationRequested(config);
      if (reason && reason.response) {
        reason.response.data = transformData2.call(config, reason.response.data, reason.response.headers, config.transformResponse);
      }
    }
    return Promise.reject(reason);
  });
};
var utils$3 = utils$h;
var mergeConfig$2 = function mergeConfig(config1, config2) {
  config2 = config2 || {};
  var config = {};
  function getMergedValue(target, source2) {
    if (utils$3.isPlainObject(target) && utils$3.isPlainObject(source2)) {
      return utils$3.merge(target, source2);
    } else if (utils$3.isPlainObject(source2)) {
      return utils$3.merge({}, source2);
    } else if (utils$3.isArray(source2)) {
      return source2.slice();
    }
    return source2;
  }
  function mergeDeepProperties(prop) {
    if (!utils$3.isUndefined(config2[prop])) {
      return getMergedValue(config1[prop], config2[prop]);
    } else if (!utils$3.isUndefined(config1[prop])) {
      return getMergedValue(void 0, config1[prop]);
    }
  }
  function valueFromConfig2(prop) {
    if (!utils$3.isUndefined(config2[prop])) {
      return getMergedValue(void 0, config2[prop]);
    }
  }
  function defaultToConfig2(prop) {
    if (!utils$3.isUndefined(config2[prop])) {
      return getMergedValue(void 0, config2[prop]);
    } else if (!utils$3.isUndefined(config1[prop])) {
      return getMergedValue(void 0, config1[prop]);
    }
  }
  function mergeDirectKeys(prop) {
    if (prop in config2) {
      return getMergedValue(config1[prop], config2[prop]);
    } else if (prop in config1) {
      return getMergedValue(void 0, config1[prop]);
    }
  }
  var mergeMap = {
    "url": valueFromConfig2,
    "method": valueFromConfig2,
    "data": valueFromConfig2,
    "baseURL": defaultToConfig2,
    "transformRequest": defaultToConfig2,
    "transformResponse": defaultToConfig2,
    "paramsSerializer": defaultToConfig2,
    "timeout": defaultToConfig2,
    "timeoutMessage": defaultToConfig2,
    "withCredentials": defaultToConfig2,
    "adapter": defaultToConfig2,
    "responseType": defaultToConfig2,
    "xsrfCookieName": defaultToConfig2,
    "xsrfHeaderName": defaultToConfig2,
    "onUploadProgress": defaultToConfig2,
    "onDownloadProgress": defaultToConfig2,
    "decompress": defaultToConfig2,
    "maxContentLength": defaultToConfig2,
    "maxBodyLength": defaultToConfig2,
    "beforeRedirect": defaultToConfig2,
    "transport": defaultToConfig2,
    "httpAgent": defaultToConfig2,
    "httpsAgent": defaultToConfig2,
    "cancelToken": defaultToConfig2,
    "socketPath": defaultToConfig2,
    "responseEncoding": defaultToConfig2,
    "validateStatus": mergeDirectKeys
  };
  utils$3.forEach(Object.keys(config1).concat(Object.keys(config2)), function computeConfigValue(prop) {
    var merge2 = mergeMap[prop] || mergeDeepProperties;
    var configValue = merge2(prop);
    utils$3.isUndefined(configValue) && merge2 !== mergeDirectKeys || (config[prop] = configValue);
  });
  return config;
};
var data = {
  "version": "0.27.2"
};
var VERSION = data.version;
var AxiosError = AxiosError_1;
var validators$1 = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach(function(type, i) {
  validators$1[type] = function validator2(thing) {
    return typeof thing === type || "a" + (i < 1 ? "n " : " ") + type;
  };
});
var deprecatedWarnings = {};
validators$1.transitional = function transitional2(validator2, version, message) {
  function formatMessage(opt, desc) {
    return "[Axios v" + VERSION + "] Transitional option '" + opt + "'" + desc + (message ? ". " + message : "");
  }
  return function(value, opt, opts) {
    if (validator2 === false) {
      throw new AxiosError(formatMessage(opt, " has been removed" + (version ? " in " + version : "")), AxiosError.ERR_DEPRECATED);
    }
    if (version && !deprecatedWarnings[opt]) {
      deprecatedWarnings[opt] = true;
      console.warn(formatMessage(opt, " has been deprecated since v" + version + " and will be removed in the near future"));
    }
    return validator2 ? validator2(value, opt, opts) : true;
  };
};
function assertOptions(options, schema, allowUnknown) {
  if (typeof options !== "object") {
    throw new AxiosError("options must be an object", AxiosError.ERR_BAD_OPTION_VALUE);
  }
  var keys2 = Object.keys(options);
  var i = keys2.length;
  while (i-- > 0) {
    var opt = keys2[i];
    var validator2 = schema[opt];
    if (validator2) {
      var value = options[opt];
      var result = value === void 0 || validator2(value, opt, options);
      if (result !== true) {
        throw new AxiosError("option " + opt + " must be " + result, AxiosError.ERR_BAD_OPTION_VALUE);
      }
      continue;
    }
    if (allowUnknown !== true) {
      throw new AxiosError("Unknown option " + opt, AxiosError.ERR_BAD_OPTION);
    }
  }
}
var validator$1 = {
  assertOptions,
  validators: validators$1
};
var utils$2 = utils$h;
var buildURL2 = buildURL$2;
var InterceptorManager = InterceptorManager_1;
var dispatchRequest2 = dispatchRequest$1;
var mergeConfig$1 = mergeConfig$2;
var buildFullPath2 = buildFullPath$2;
var validator = validator$1;
var validators = validator.validators;
function Axios$1(instanceConfig) {
  this.defaults = instanceConfig;
  this.interceptors = {
    request: new InterceptorManager(),
    response: new InterceptorManager()
  };
}
Axios$1.prototype.request = function request(configOrUrl, config) {
  if (typeof configOrUrl === "string") {
    config = config || {};
    config.url = configOrUrl;
  } else {
    config = configOrUrl || {};
  }
  config = mergeConfig$1(this.defaults, config);
  if (config.method) {
    config.method = config.method.toLowerCase();
  } else if (this.defaults.method) {
    config.method = this.defaults.method.toLowerCase();
  } else {
    config.method = "get";
  }
  var transitional3 = config.transitional;
  if (transitional3 !== void 0) {
    validator.assertOptions(transitional3, {
      silentJSONParsing: validators.transitional(validators.boolean),
      forcedJSONParsing: validators.transitional(validators.boolean),
      clarifyTimeoutError: validators.transitional(validators.boolean)
    }, false);
  }
  var requestInterceptorChain = [];
  var synchronousRequestInterceptors = true;
  this.interceptors.request.forEach(function unshiftRequestInterceptors(interceptor) {
    if (typeof interceptor.runWhen === "function" && interceptor.runWhen(config) === false) {
      return;
    }
    synchronousRequestInterceptors = synchronousRequestInterceptors && interceptor.synchronous;
    requestInterceptorChain.unshift(interceptor.fulfilled, interceptor.rejected);
  });
  var responseInterceptorChain = [];
  this.interceptors.response.forEach(function pushResponseInterceptors(interceptor) {
    responseInterceptorChain.push(interceptor.fulfilled, interceptor.rejected);
  });
  var promise;
  if (!synchronousRequestInterceptors) {
    var chain = [dispatchRequest2, void 0];
    Array.prototype.unshift.apply(chain, requestInterceptorChain);
    chain = chain.concat(responseInterceptorChain);
    promise = Promise.resolve(config);
    while (chain.length) {
      promise = promise.then(chain.shift(), chain.shift());
    }
    return promise;
  }
  var newConfig = config;
  while (requestInterceptorChain.length) {
    var onFulfilled = requestInterceptorChain.shift();
    var onRejected = requestInterceptorChain.shift();
    try {
      newConfig = onFulfilled(newConfig);
    } catch (error) {
      onRejected(error);
      break;
    }
  }
  try {
    promise = dispatchRequest2(newConfig);
  } catch (error) {
    return Promise.reject(error);
  }
  while (responseInterceptorChain.length) {
    promise = promise.then(responseInterceptorChain.shift(), responseInterceptorChain.shift());
  }
  return promise;
};
Axios$1.prototype.getUri = function getUri(config) {
  config = mergeConfig$1(this.defaults, config);
  var fullPath = buildFullPath2(config.baseURL, config.url);
  return buildURL2(fullPath, config.params, config.paramsSerializer);
};
utils$2.forEach(["delete", "get", "head", "options"], function forEachMethodNoData2(method) {
  Axios$1.prototype[method] = function(url, config) {
    return this.request(mergeConfig$1(config || {}, {
      method,
      url,
      data: (config || {}).data
    }));
  };
});
utils$2.forEach(["post", "put", "patch"], function forEachMethodWithData2(method) {
  function generateHTTPMethod(isForm) {
    return function httpMethod(url, data2, config) {
      return this.request(mergeConfig$1(config || {}, {
        method,
        headers: isForm ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url,
        data: data2
      }));
    };
  }
  Axios$1.prototype[method] = generateHTTPMethod();
  Axios$1.prototype[method + "Form"] = generateHTTPMethod(true);
});
var Axios_1 = Axios$1;
var CanceledError = CanceledError_1;
function CancelToken(executor) {
  if (typeof executor !== "function") {
    throw new TypeError("executor must be a function.");
  }
  var resolvePromise;
  this.promise = new Promise(function promiseExecutor(resolve) {
    resolvePromise = resolve;
  });
  var token = this;
  this.promise.then(function(cancel) {
    if (!token._listeners)
      return;
    var i;
    var l = token._listeners.length;
    for (i = 0; i < l; i++) {
      token._listeners[i](cancel);
    }
    token._listeners = null;
  });
  this.promise.then = function(onfulfilled) {
    var _resolve;
    var promise = new Promise(function(resolve) {
      token.subscribe(resolve);
      _resolve = resolve;
    }).then(onfulfilled);
    promise.cancel = function reject() {
      token.unsubscribe(_resolve);
    };
    return promise;
  };
  executor(function cancel(message) {
    if (token.reason) {
      return;
    }
    token.reason = new CanceledError(message);
    resolvePromise(token.reason);
  });
}
CancelToken.prototype.throwIfRequested = function throwIfRequested() {
  if (this.reason) {
    throw this.reason;
  }
};
CancelToken.prototype.subscribe = function subscribe(listener) {
  if (this.reason) {
    listener(this.reason);
    return;
  }
  if (this._listeners) {
    this._listeners.push(listener);
  } else {
    this._listeners = [listener];
  }
};
CancelToken.prototype.unsubscribe = function unsubscribe(listener) {
  if (!this._listeners) {
    return;
  }
  var index = this._listeners.indexOf(listener);
  if (index !== -1) {
    this._listeners.splice(index, 1);
  }
};
CancelToken.source = function source() {
  var cancel;
  var token = new CancelToken(function executor(c) {
    cancel = c;
  });
  return {
    token,
    cancel
  };
};
var CancelToken_1 = CancelToken;
var spread = function spread2(callback) {
  return function wrap(arr) {
    return callback.apply(null, arr);
  };
};
var utils$1 = utils$h;
var isAxiosError = function isAxiosError2(payload) {
  return utils$1.isObject(payload) && payload.isAxiosError === true;
};
var utils = utils$h;
var bind2 = bind$2;
var Axios = Axios_1;
var mergeConfig2 = mergeConfig$2;
var defaults = defaults_1;
function createInstance(defaultConfig) {
  var context = new Axios(defaultConfig);
  var instance = bind2(Axios.prototype.request, context);
  utils.extend(instance, Axios.prototype, context);
  utils.extend(instance, context);
  instance.create = function create(instanceConfig) {
    return createInstance(mergeConfig2(defaultConfig, instanceConfig));
  };
  return instance;
}
var axios$1 = createInstance(defaults);
axios$1.Axios = Axios;
axios$1.CanceledError = CanceledError_1;
axios$1.CancelToken = CancelToken_1;
axios$1.isCancel = isCancel$1;
axios$1.VERSION = data.version;
axios$1.toFormData = toFormData_1;
axios$1.AxiosError = AxiosError_1;
axios$1.Cancel = axios$1.CanceledError;
axios$1.all = function all(promises) {
  return Promise.all(promises);
};
axios$1.spread = spread;
axios$1.isAxiosError = isAxiosError;
axios$2.exports = axios$1;
axios$2.exports.default = axios$1;
var axios = axios$2.exports;
var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
var freeGlobal$1 = freeGlobal;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root = freeGlobal$1 || freeSelf || Function("return this")();
var root$1 = root;
var Symbol$1 = root$1.Symbol;
var Symbol$2 = Symbol$1;
var objectProto$c = Object.prototype;
var hasOwnProperty$9 = objectProto$c.hasOwnProperty;
var nativeObjectToString$1 = objectProto$c.toString;
var symToStringTag$1 = Symbol$2 ? Symbol$2.toStringTag : void 0;
function getRawTag(value) {
  var isOwn = hasOwnProperty$9.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var objectProto$b = Object.prototype;
var nativeObjectToString = objectProto$b.toString;
function objectToString(value) {
  return nativeObjectToString.call(value);
}
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$2 ? Symbol$2.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
function isObjectLike(value) {
  return value != null && typeof value == "object";
}
var isArray = Array.isArray;
var isArray$1 = isArray;
function isObject(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var asyncTag = "[object AsyncFunction]", funcTag$2 = "[object Function]", genTag$1 = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction(value) {
  if (!isObject(value)) {
    return false;
  }
  var tag = baseGetTag(value);
  return tag == funcTag$2 || tag == genTag$1 || tag == asyncTag || tag == proxyTag;
}
var coreJsData = root$1["__core-js_shared__"];
var coreJsData$1 = coreJsData;
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(coreJsData$1 && coreJsData$1.keys && coreJsData$1.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var funcProto$1 = Function.prototype;
var funcToString$1 = funcProto$1.toString;
function toSource(func) {
  if (func != null) {
    try {
      return funcToString$1.call(func);
    } catch (e) {
    }
    try {
      return func + "";
    } catch (e) {
    }
  }
  return "";
}
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto = Function.prototype, objectProto$a = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$8 = objectProto$a.hasOwnProperty;
var reIsNative = RegExp("^" + funcToString.call(hasOwnProperty$8).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
function baseIsNative(value) {
  if (!isObject(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource(value));
}
function getValue(object, key) {
  return object == null ? void 0 : object[key];
}
function getNative(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : void 0;
}
var WeakMap = getNative(root$1, "WeakMap");
var WeakMap$1 = WeakMap;
var objectCreate = Object.create;
var baseCreate = function() {
  function object() {
  }
  return function(proto) {
    if (!isObject(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object();
    object.prototype = void 0;
    return result;
  };
}();
var baseCreate$1 = baseCreate;
function copyArray(source2, array) {
  var index = -1, length = source2.length;
  array || (array = Array(length));
  while (++index < length) {
    array[index] = source2[index];
  }
  return array;
}
var defineProperty = function() {
  try {
    var func = getNative(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e) {
  }
}();
var defineProperty$1 = defineProperty;
function arrayEach(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}
var MAX_SAFE_INTEGER$1 = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER$1 : length;
  return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
function baseAssignValue(object, key, value) {
  if (key == "__proto__" && defineProperty$1) {
    defineProperty$1(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
function eq(value, other) {
  return value === other || value !== value && other !== other;
}
var objectProto$9 = Object.prototype;
var hasOwnProperty$7 = objectProto$9.hasOwnProperty;
function assignValue(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$7.call(object, key) && eq(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
function copyObject(source2, props, object, customizer) {
  var isNew = !object;
  object || (object = {});
  var index = -1, length = props.length;
  while (++index < length) {
    var key = props[index];
    var newValue = customizer ? customizer(object[key], source2[key], key, object, source2) : void 0;
    if (newValue === void 0) {
      newValue = source2[key];
    }
    if (isNew) {
      baseAssignValue(object, key, newValue);
    } else {
      assignValue(object, key, newValue);
    }
  }
  return object;
}
var MAX_SAFE_INTEGER = 9007199254740991;
function isLength(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}
function isArrayLike(value) {
  return value != null && isLength(value.length) && !isFunction(value);
}
var objectProto$8 = Object.prototype;
function isPrototype(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$8;
  return value === proto;
}
function baseTimes(n, iteratee) {
  var index = -1, result = Array(n);
  while (++index < n) {
    result[index] = iteratee(index);
  }
  return result;
}
var argsTag$2 = "[object Arguments]";
function baseIsArguments(value) {
  return isObjectLike(value) && baseGetTag(value) == argsTag$2;
}
var objectProto$7 = Object.prototype;
var hasOwnProperty$6 = objectProto$7.hasOwnProperty;
var propertyIsEnumerable$1 = objectProto$7.propertyIsEnumerable;
var isArguments = baseIsArguments(function() {
  return arguments;
}()) ? baseIsArguments : function(value) {
  return isObjectLike(value) && hasOwnProperty$6.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
};
var isArguments$1 = isArguments;
function stubFalse() {
  return false;
}
var freeExports$2 = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule$2 = freeExports$2 && typeof module == "object" && module && !module.nodeType && module;
var moduleExports$2 = freeModule$2 && freeModule$2.exports === freeExports$2;
var Buffer$2 = moduleExports$2 ? root$1.Buffer : void 0;
var nativeIsBuffer = Buffer$2 ? Buffer$2.isBuffer : void 0;
var isBuffer = nativeIsBuffer || stubFalse;
var isBuffer$1 = isBuffer;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$2 = "[object Boolean]", dateTag$2 = "[object Date]", errorTag$1 = "[object Error]", funcTag$1 = "[object Function]", mapTag$4 = "[object Map]", numberTag$2 = "[object Number]", objectTag$2 = "[object Object]", regexpTag$2 = "[object RegExp]", setTag$4 = "[object Set]", stringTag$2 = "[object String]", weakMapTag$2 = "[object WeakMap]";
var arrayBufferTag$2 = "[object ArrayBuffer]", dataViewTag$3 = "[object DataView]", float32Tag$2 = "[object Float32Array]", float64Tag$2 = "[object Float64Array]", int8Tag$2 = "[object Int8Array]", int16Tag$2 = "[object Int16Array]", int32Tag$2 = "[object Int32Array]", uint8Tag$2 = "[object Uint8Array]", uint8ClampedTag$2 = "[object Uint8ClampedArray]", uint16Tag$2 = "[object Uint16Array]", uint32Tag$2 = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag$2] = typedArrayTags[float64Tag$2] = typedArrayTags[int8Tag$2] = typedArrayTags[int16Tag$2] = typedArrayTags[int32Tag$2] = typedArrayTags[uint8Tag$2] = typedArrayTags[uint8ClampedTag$2] = typedArrayTags[uint16Tag$2] = typedArrayTags[uint32Tag$2] = true;
typedArrayTags[argsTag$1] = typedArrayTags[arrayTag$1] = typedArrayTags[arrayBufferTag$2] = typedArrayTags[boolTag$2] = typedArrayTags[dataViewTag$3] = typedArrayTags[dateTag$2] = typedArrayTags[errorTag$1] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$4] = typedArrayTags[numberTag$2] = typedArrayTags[objectTag$2] = typedArrayTags[regexpTag$2] = typedArrayTags[setTag$4] = typedArrayTags[stringTag$2] = typedArrayTags[weakMapTag$2] = false;
function baseIsTypedArray(value) {
  return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
}
function baseUnary(func) {
  return function(value) {
    return func(value);
  };
}
var freeExports$1 = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule$1 = freeExports$1 && typeof module == "object" && module && !module.nodeType && module;
var moduleExports$1 = freeModule$1 && freeModule$1.exports === freeExports$1;
var freeProcess = moduleExports$1 && freeGlobal$1.process;
var nodeUtil = function() {
  try {
    var types = freeModule$1 && freeModule$1.require && freeModule$1.require("util").types;
    if (types) {
      return types;
    }
    return freeProcess && freeProcess.binding && freeProcess.binding("util");
  } catch (e) {
  }
}();
var nodeUtil$1 = nodeUtil;
var nodeIsTypedArray = nodeUtil$1 && nodeUtil$1.isTypedArray;
var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;
var isTypedArray$1 = isTypedArray;
var objectProto$6 = Object.prototype;
var hasOwnProperty$5 = objectProto$6.hasOwnProperty;
function arrayLikeKeys(value, inherited) {
  var isArr = isArray$1(value), isArg = !isArr && isArguments$1(value), isBuff = !isArr && !isArg && isBuffer$1(value), isType = !isArr && !isArg && !isBuff && isTypedArray$1(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? baseTimes(value.length, String) : [], length = result.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$5.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex(key, length)))) {
      result.push(key);
    }
  }
  return result;
}
function overArg(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}
var nativeKeys = overArg(Object.keys, Object);
var nativeKeys$1 = nativeKeys;
var objectProto$5 = Object.prototype;
var hasOwnProperty$4 = objectProto$5.hasOwnProperty;
function baseKeys(object) {
  if (!isPrototype(object)) {
    return nativeKeys$1(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$4.call(object, key) && key != "constructor") {
      result.push(key);
    }
  }
  return result;
}
function keys(object) {
  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
}
function nativeKeysIn(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}
var objectProto$4 = Object.prototype;
var hasOwnProperty$3 = objectProto$4.hasOwnProperty;
function baseKeysIn(object) {
  if (!isObject(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty$3.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
function keysIn(object) {
  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
}
var nativeCreate = getNative(Object, "create");
var nativeCreate$1 = nativeCreate;
function hashClear() {
  this.__data__ = nativeCreate$1 ? nativeCreate$1(null) : {};
  this.size = 0;
}
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
var objectProto$3 = Object.prototype;
var hasOwnProperty$2 = objectProto$3.hasOwnProperty;
function hashGet(key) {
  var data2 = this.__data__;
  if (nativeCreate$1) {
    var result = data2[key];
    return result === HASH_UNDEFINED$1 ? void 0 : result;
  }
  return hasOwnProperty$2.call(data2, key) ? data2[key] : void 0;
}
var objectProto$2 = Object.prototype;
var hasOwnProperty$1 = objectProto$2.hasOwnProperty;
function hashHas(key) {
  var data2 = this.__data__;
  return nativeCreate$1 ? data2[key] !== void 0 : hasOwnProperty$1.call(data2, key);
}
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function hashSet(key, value) {
  var data2 = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data2[key] = nativeCreate$1 && value === void 0 ? HASH_UNDEFINED : value;
  return this;
}
function Hash(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
Hash.prototype.clear = hashClear;
Hash.prototype["delete"] = hashDelete;
Hash.prototype.get = hashGet;
Hash.prototype.has = hashHas;
Hash.prototype.set = hashSet;
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete(key) {
  var data2 = this.__data__, index = assocIndexOf(data2, key);
  if (index < 0) {
    return false;
  }
  var lastIndex = data2.length - 1;
  if (index == lastIndex) {
    data2.pop();
  } else {
    splice.call(data2, index, 1);
  }
  --this.size;
  return true;
}
function listCacheGet(key) {
  var data2 = this.__data__, index = assocIndexOf(data2, key);
  return index < 0 ? void 0 : data2[index][1];
}
function listCacheHas(key) {
  return assocIndexOf(this.__data__, key) > -1;
}
function listCacheSet(key, value) {
  var data2 = this.__data__, index = assocIndexOf(data2, key);
  if (index < 0) {
    ++this.size;
    data2.push([key, value]);
  } else {
    data2[index][1] = value;
  }
  return this;
}
function ListCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
ListCache.prototype.clear = listCacheClear;
ListCache.prototype["delete"] = listCacheDelete;
ListCache.prototype.get = listCacheGet;
ListCache.prototype.has = listCacheHas;
ListCache.prototype.set = listCacheSet;
var Map$1 = getNative(root$1, "Map");
var Map$2 = Map$1;
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    "hash": new Hash(),
    "map": new (Map$2 || ListCache)(),
    "string": new Hash()
  };
}
function isKeyable(value) {
  var type = typeof value;
  return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
}
function getMapData(map, key) {
  var data2 = map.__data__;
  return isKeyable(key) ? data2[typeof key == "string" ? "string" : "hash"] : data2.map;
}
function mapCacheDelete(key) {
  var result = getMapData(this, key)["delete"](key);
  this.size -= result ? 1 : 0;
  return result;
}
function mapCacheGet(key) {
  return getMapData(this, key).get(key);
}
function mapCacheHas(key) {
  return getMapData(this, key).has(key);
}
function mapCacheSet(key, value) {
  var data2 = getMapData(this, key), size = data2.size;
  data2.set(key, value);
  this.size += data2.size == size ? 0 : 1;
  return this;
}
function MapCache(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
MapCache.prototype.clear = mapCacheClear;
MapCache.prototype["delete"] = mapCacheDelete;
MapCache.prototype.get = mapCacheGet;
MapCache.prototype.has = mapCacheHas;
MapCache.prototype.set = mapCacheSet;
function arrayPush(array, values) {
  var index = -1, length = values.length, offset = array.length;
  while (++index < length) {
    array[offset + index] = values[index];
  }
  return array;
}
var getPrototype = overArg(Object.getPrototypeOf, Object);
var getPrototype$1 = getPrototype;
function stackClear() {
  this.__data__ = new ListCache();
  this.size = 0;
}
function stackDelete(key) {
  var data2 = this.__data__, result = data2["delete"](key);
  this.size = data2.size;
  return result;
}
function stackGet(key) {
  return this.__data__.get(key);
}
function stackHas(key) {
  return this.__data__.has(key);
}
var LARGE_ARRAY_SIZE = 200;
function stackSet(key, value) {
  var data2 = this.__data__;
  if (data2 instanceof ListCache) {
    var pairs = data2.__data__;
    if (!Map$2 || pairs.length < LARGE_ARRAY_SIZE - 1) {
      pairs.push([key, value]);
      this.size = ++data2.size;
      return this;
    }
    data2 = this.__data__ = new MapCache(pairs);
  }
  data2.set(key, value);
  this.size = data2.size;
  return this;
}
function Stack(entries) {
  var data2 = this.__data__ = new ListCache(entries);
  this.size = data2.size;
}
Stack.prototype.clear = stackClear;
Stack.prototype["delete"] = stackDelete;
Stack.prototype.get = stackGet;
Stack.prototype.has = stackHas;
Stack.prototype.set = stackSet;
function baseAssign(object, source2) {
  return object && copyObject(source2, keys(source2), object);
}
function baseAssignIn(object, source2) {
  return object && copyObject(source2, keysIn(source2), object);
}
var freeExports = typeof exports == "object" && exports && !exports.nodeType && exports;
var freeModule = freeExports && typeof module == "object" && module && !module.nodeType && module;
var moduleExports = freeModule && freeModule.exports === freeExports;
var Buffer$1 = moduleExports ? root$1.Buffer : void 0, allocUnsafe = Buffer$1 ? Buffer$1.allocUnsafe : void 0;
function cloneBuffer(buffer, isDeep) {
  if (isDeep) {
    return buffer.slice();
  }
  var length = buffer.length, result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
  buffer.copy(result);
  return result;
}
function arrayFilter(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
function stubArray() {
  return [];
}
var objectProto$1 = Object.prototype;
var propertyIsEnumerable = objectProto$1.propertyIsEnumerable;
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;
var getSymbols = !nativeGetSymbols$1 ? stubArray : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols$1(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
var getSymbols$1 = getSymbols;
function copySymbols(source2, object) {
  return copyObject(source2, getSymbols$1(source2), object);
}
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
  var result = [];
  while (object) {
    arrayPush(result, getSymbols$1(object));
    object = getPrototype$1(object);
  }
  return result;
};
var getSymbolsIn$1 = getSymbolsIn;
function copySymbolsIn(source2, object) {
  return copyObject(source2, getSymbolsIn$1(source2), object);
}
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray$1(object) ? result : arrayPush(result, symbolsFunc(object));
}
function getAllKeys(object) {
  return baseGetAllKeys(object, keys, getSymbols$1);
}
function getAllKeysIn(object) {
  return baseGetAllKeys(object, keysIn, getSymbolsIn$1);
}
var DataView = getNative(root$1, "DataView");
var DataView$1 = DataView;
var Promise$1 = getNative(root$1, "Promise");
var Promise$2 = Promise$1;
var Set = getNative(root$1, "Set");
var Set$1 = Set;
var mapTag$3 = "[object Map]", objectTag$1 = "[object Object]", promiseTag = "[object Promise]", setTag$3 = "[object Set]", weakMapTag$1 = "[object WeakMap]";
var dataViewTag$2 = "[object DataView]";
var dataViewCtorString = toSource(DataView$1), mapCtorString = toSource(Map$2), promiseCtorString = toSource(Promise$2), setCtorString = toSource(Set$1), weakMapCtorString = toSource(WeakMap$1);
var getTag = baseGetTag;
if (DataView$1 && getTag(new DataView$1(new ArrayBuffer(1))) != dataViewTag$2 || Map$2 && getTag(new Map$2()) != mapTag$3 || Promise$2 && getTag(Promise$2.resolve()) != promiseTag || Set$1 && getTag(new Set$1()) != setTag$3 || WeakMap$1 && getTag(new WeakMap$1()) != weakMapTag$1) {
  getTag = function(value) {
    var result = baseGetTag(value), Ctor = result == objectTag$1 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag$2;
        case mapCtorString:
          return mapTag$3;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$3;
        case weakMapCtorString:
          return weakMapTag$1;
      }
    }
    return result;
  };
}
var getTag$1 = getTag;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function initCloneArray(array) {
  var length = array.length, result = new array.constructor(length);
  if (length && typeof array[0] == "string" && hasOwnProperty.call(array, "index")) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}
var Uint8Array$1 = root$1.Uint8Array;
var Uint8Array$2 = Uint8Array$1;
function cloneArrayBuffer(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array$2(result).set(new Uint8Array$2(arrayBuffer));
  return result;
}
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
var reFlags = /\w*$/;
function cloneRegExp(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}
var symbolProto = Symbol$2 ? Symbol$2.prototype : void 0, symbolValueOf = symbolProto ? symbolProto.valueOf : void 0;
function cloneSymbol(symbol) {
  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
}
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", mapTag$2 = "[object Map]", numberTag$1 = "[object Number]", regexpTag$1 = "[object RegExp]", setTag$2 = "[object Set]", stringTag$1 = "[object String]", symbolTag$1 = "[object Symbol]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]", float32Tag$1 = "[object Float32Array]", float64Tag$1 = "[object Float64Array]", int8Tag$1 = "[object Int8Array]", int16Tag$1 = "[object Int16Array]", int32Tag$1 = "[object Int32Array]", uint8Tag$1 = "[object Uint8Array]", uint8ClampedTag$1 = "[object Uint8ClampedArray]", uint16Tag$1 = "[object Uint16Array]", uint32Tag$1 = "[object Uint32Array]";
function initCloneByTag(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$1:
      return cloneArrayBuffer(object);
    case boolTag$1:
    case dateTag$1:
      return new Ctor(+object);
    case dataViewTag$1:
      return cloneDataView(object, isDeep);
    case float32Tag$1:
    case float64Tag$1:
    case int8Tag$1:
    case int16Tag$1:
    case int32Tag$1:
    case uint8Tag$1:
    case uint8ClampedTag$1:
    case uint16Tag$1:
    case uint32Tag$1:
      return cloneTypedArray(object, isDeep);
    case mapTag$2:
      return new Ctor();
    case numberTag$1:
    case stringTag$1:
      return new Ctor(object);
    case regexpTag$1:
      return cloneRegExp(object);
    case setTag$2:
      return new Ctor();
    case symbolTag$1:
      return cloneSymbol(object);
  }
}
function initCloneObject(object) {
  return typeof object.constructor == "function" && !isPrototype(object) ? baseCreate$1(getPrototype$1(object)) : {};
}
var mapTag$1 = "[object Map]";
function baseIsMap(value) {
  return isObjectLike(value) && getTag$1(value) == mapTag$1;
}
var nodeIsMap = nodeUtil$1 && nodeUtil$1.isMap;
var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;
var isMap$1 = isMap;
var setTag$1 = "[object Set]";
function baseIsSet(value) {
  return isObjectLike(value) && getTag$1(value) == setTag$1;
}
var nodeIsSet = nodeUtil$1 && nodeUtil$1.isSet;
var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;
var isSet$1 = isSet;
var CLONE_DEEP_FLAG$1 = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG$1 = 4;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag = "[object Map]", numberTag = "[object Number]", objectTag = "[object Object]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag = "[object Symbol]", weakMapTag = "[object WeakMap]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var cloneableTags = {};
cloneableTags[argsTag] = cloneableTags[arrayTag] = cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] = cloneableTags[boolTag] = cloneableTags[dateTag] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag] = cloneableTags[numberTag] = cloneableTags[objectTag] = cloneableTags[regexpTag] = cloneableTags[setTag] = cloneableTags[stringTag] = cloneableTags[symbolTag] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
cloneableTags[errorTag] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
function baseClone(value, bitmask, customizer, key, object, stack) {
  var result, isDeep = bitmask & CLONE_DEEP_FLAG$1, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG$1;
  if (customizer) {
    result = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result !== void 0) {
    return result;
  }
  if (!isObject(value)) {
    return value;
  }
  var isArr = isArray$1(value);
  if (isArr) {
    result = initCloneArray(value);
    if (!isDeep) {
      return copyArray(value, result);
    }
  } else {
    var tag = getTag$1(value), isFunc = tag == funcTag || tag == genTag;
    if (isBuffer$1(value)) {
      return cloneBuffer(value, isDeep);
    }
    if (tag == objectTag || tag == argsTag || isFunc && !object) {
      result = isFlat || isFunc ? {} : initCloneObject(value);
      if (!isDeep) {
        return isFlat ? copySymbolsIn(value, baseAssignIn(result, value)) : copySymbols(value, baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = initCloneByTag(value, tag, isDeep);
    }
  }
  stack || (stack = new Stack());
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);
  if (isSet$1(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap$1(value)) {
    value.forEach(function(subValue, key2) {
      result.set(key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
    });
  }
  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;
  var props = isArr ? void 0 : keysFunc(value);
  arrayEach(props || value, function(subValue, key2) {
    if (props) {
      key2 = subValue;
      subValue = value[key2];
    }
    assignValue(result, key2, baseClone(subValue, bitmask, customizer, key2, value, stack));
  });
  return result;
}
var CLONE_DEEP_FLAG = 1, CLONE_SYMBOLS_FLAG = 4;
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
}
var getRandomValues;
var rnds8 = new Uint8Array(16);
function rng() {
  if (!getRandomValues) {
    getRandomValues = typeof crypto !== "undefined" && crypto.getRandomValues && crypto.getRandomValues.bind(crypto) || typeof msCrypto !== "undefined" && typeof msCrypto.getRandomValues === "function" && msCrypto.getRandomValues.bind(msCrypto);
    if (!getRandomValues) {
      throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");
    }
  }
  return getRandomValues(rnds8);
}
var REGEX = /^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;
function validate(uuid) {
  return typeof uuid === "string" && REGEX.test(uuid);
}
var byteToHex = [];
for (var i = 0; i < 256; ++i) {
  byteToHex.push((i + 256).toString(16).substr(1));
}
function stringify(arr) {
  var offset = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 0;
  var uuid = (byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + "-" + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + "-" + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + "-" + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + "-" + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]]).toLowerCase();
  if (!validate(uuid)) {
    throw TypeError("Stringified UUID is invalid");
  }
  return uuid;
}
function v4(options, buf, offset) {
  options = options || {};
  var rnds = options.random || (options.rng || rng)();
  rnds[6] = rnds[6] & 15 | 64;
  rnds[8] = rnds[8] & 63 | 128;
  if (buf) {
    offset = offset || 0;
    for (var i = 0; i < 16; ++i) {
      buf[offset + i] = rnds[i];
    }
    return buf;
  }
  return stringify(rnds);
}
class VAxios {
  constructor(options) {
    __publicField(this, "axiosInstance");
    __publicField(this, "options");
    this.options = options;
    this.axiosInstance = axios.create(options);
  }
  createAxios(config) {
    this.axiosInstance = axios.create(config);
  }
  getAxios() {
    return this.axiosInstance;
  }
  configAxios(config) {
    if (!this.axiosInstance) {
      return;
    }
    this.createAxios(config);
  }
  setHeader(headers) {
    if (!this.axiosInstance) {
      return;
    }
    Object.assign(this.axiosInstance.defaults.headers, headers);
  }
  supportFormData(config) {
    const headers = config.headers || this.options.headers;
    const contentType = (headers == null ? void 0 : headers["Content-Type"]) || (headers == null ? void 0 : headers["content-type"]);
    if (contentType !== "application/x-www-form-urlencoded;charset=UTF-8") {
      return config;
    }
    const fullData = {
      version: app.apiVersion,
      msgid: v4(),
      appid: app.appid,
      token: app.appToken,
      timestamp: Date.now(),
      ...config.data
    };
    const encodeData = encodeFormData(fullData);
    return {
      ...config,
      data: JSON.stringify(encodeData)
    };
  }
  get(config, options) {
    return this.request({ ...config, method: "GET" }, options);
  }
  post(config, options) {
    return this.request({ ...config, method: "POST" }, options);
  }
  put(config, options) {
    return this.request({ ...config, method: "PUT" }, options);
  }
  delete(config, options) {
    return this.request({ ...config, method: "DELETE" }, options);
  }
  request(config, options) {
    let conf = cloneDeep(config);
    const { requestOptions } = this.options;
    const opt = Object.assign({}, requestOptions, options);
    conf.requestOptions = opt;
    conf = this.supportFormData(conf);
    return new Promise((resolve, reject) => {
      this.axiosInstance.request(conf).then((res) => {
        if (res && res.data) {
          resolve(res.data);
        }
      }).catch((e) => {
        reject(e);
      });
    });
  }
}
function transformRequest2(data2, headers) {
  return data2;
}
function transformResponse2(data2) {
  data2 = decodeResponseData(JSON.parse(data2));
  console.log("decodeResponseData: ", data2);
  return data2;
}
function createAxios(opt) {
  return new VAxios({
    authenticationScheme: "",
    timeout: 10 * 1e3,
    headers: { "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8" },
    transformRequest: [transformRequest2],
    transformResponse: [transformResponse2],
    requestOptions: {
      joinPrefix: true,
      isReturnNativeResponse: false,
      isTransformResponse: true,
      joinParamsToUrl: false,
      formatDate: true,
      errorMessageMode: "message",
      joinTime: true
    }
  });
}
const defHttp = createAxios();
const getCenter = () => defHttp.post({
  url: `/gateway/getCenter`
});
class WpliveApp extends eventemitter3.exports.EventEmitter {
  constructor(options) {
    super();
    __publicField(this, "defaultCenterUrl");
    __publicField(this, "centerServers");
    __publicField(this, "iceServers");
    __publicField(this, "apiVersion");
    __publicField(this, "appid");
    __publicField(this, "appToken");
    __publicField(this, "serverOptions");
    const {
      defaultCenterUrl,
      centerServers,
      iceServers,
      apiVersion,
      appid,
      appToken
    } = options;
    this.defaultCenterUrl = defaultCenterUrl;
    this.centerServers = centerServers;
    this.iceServers = iceServers;
    this.apiVersion = apiVersion;
    this.appid = appid;
    this.appToken = appToken;
  }
}
const appOptions = {
  defaultCenterUrl: "",
  centerServers: [],
  iceServers: [
    { urls: "stun:stun.wpyun.com" },
    {
      urls: "turn:turn.wpyun.com",
      username: "1629758016:_kcctUj_ZxsjSoQSAAAB",
      credential: "HMFA7xjoHNTg0SWcSL/Ia55mYf0="
    }
  ],
  apiVersion: "0.2.0",
  appid: "landing-meet",
  appToken: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyb2xlIjoibm9ybWFsIiwiYXBwaWQiOiJsYW5kaW5nLW1lZXQiLCJleHAiOjE2ODg3Nzk5NTZ9.wCBs_IjnPWQMrtvdzzweEqvda5k8Z0L7oTB-i5ULHwo"
};
const app = new WpliveApp(appOptions);
function registerApp(options) {
  app.appid = options.appid;
  app.apiVersion = options.apiVersion;
  app.appToken = options.appToken;
  return new Promise((resovle, reject) => {
    getWpliveCenterServers().then((centers) => {
      app.centerServers = centers;
      app.defaultCenterUrl = centers[0].url;
      resovle(app);
    }).catch((err) => {
      reject(err);
    });
  });
}
function getJanusServerUrl() {
  var _a;
  const options = (_a = app.serverOptions) == null ? void 0 : _a.normalOptions;
  if (options == null ? void 0 : options.urls) {
    let serverUrl = options == null ? void 0 : options.urls[0];
    options.urls.forEach((url) => {
      if (url.startsWith("ws")) {
        serverUrl = url;
      }
    });
    return serverUrl;
  }
  return void 0;
}
async function getWpliveCenterServers() {
  const serverCacheKey = "wplive-center-servers";
  let centers = getCache(serverCacheKey);
  if (!centers) {
    const result = await getCenter();
    centers = result.centers;
  }
  console.log("wplive center servers: ", centers);
  return centers;
}
var WpliveErrorName = /* @__PURE__ */ ((WpliveErrorName2) => {
  WpliveErrorName2["RequestError"] = "RequestError";
  WpliveErrorName2["InvalidTransformOrientation"] = "InvalidTransformOrientation";
  WpliveErrorName2["UnsupportedFileType"] = "UnsupportedFileType";
  WpliveErrorName2["InvalidBrowser"] = "InvalidBrowser";
  WpliveErrorName2["JanusClientInitError"] = "JanusClientInitError";
  WpliveErrorName2["CreateRoomError"] = "CreateRoomError";
  WpliveErrorName2["GetCanvasContextFailed"] = "GetCanvasContextFailed";
  return WpliveErrorName2;
})(WpliveErrorName || {});
class WpliveError {
  constructor(name, message) {
    __publicField(this, "stack");
    this.name = name;
    this.message = message;
    this.stack = new Error().stack;
  }
}
const getRoomInfo = (params) => defHttp.post({
  url: `${app.defaultCenterUrl}/getRoomInfo`,
  data: params
});
const requestRoom = (params) => {
  return defHttp.post({
    url: `${app.defaultCenterUrl}/requestRoom`,
    data: params
  });
};
const requestLogin = (params) => {
  return defHttp.post({
    url: `${app.defaultCenterUrl}/requestLogin`,
    data: params
  });
};
const requestPublish = (params) => {
  return defHttp.post({
    url: `${app.defaultCenterUrl}/requestPublish`,
    data: params
  });
};
var WpliveAppEvent = /* @__PURE__ */ ((WpliveAppEvent2) => {
  WpliveAppEvent2["PARTICIPANT_OUT"] = "PARTICIPANT_OUT";
  WpliveAppEvent2["PARTICIPANT_UPDATE"] = "PARTICIPANT_UPDATE";
  WpliveAppEvent2["TALKING_UPDATE"] = "TALKING_UPDATE";
  WpliveAppEvent2["JOIN_SUCCESS"] = "JOIN_SUCCESS";
  WpliveAppEvent2["DISCONNECT"] = "DISCONNECT";
  WpliveAppEvent2["ERROR"] = "ERROR";
  WpliveAppEvent2["ROOM_DESTORYED"] = "ROOM_DESTORYED";
  return WpliveAppEvent2;
})(WpliveAppEvent || {});
const roomPeerConnectionMap = /* @__PURE__ */ new Map();
function pc_log(prefix, args) {
  const _args = args && args.length > 0 ? args : [args || ""];
  const msg = `%c [ peerconnection ] ${prefix} `;
  console.log(msg, "color: #33CC66", ..._args);
}
function pc_error(prefix, args) {
  const _args = args && args.length > 0 ? args : [args || ""];
  const msg = `[ peerconnection error ] ${prefix} `;
  console.error(msg, ..._args);
}
async function doOffer(feed) {
  var _a;
  pc_log("doOffer, feed:", feed);
  if (!roomPeerConnectionMap.has(feed)) {
    const pc = new RTCPeerConnection({
      iceServers: app.iceServers
    });
    pc.onnegotiationneeded = (event) => pc_log("pc.onnegotiationneeded", event);
    pc.onicecandidate = (event) => {
      pc_log("pc.onicecandidate", event);
      trickle({ feed, candidate: event.candidate });
    };
    pc.oniceconnectionstatechange = () => {
      if (pc.iceConnectionState === "failed" || pc.iceConnectionState === "closed") {
        pc_log("pc.oniceconnectionstatechange");
        app.emit(WpliveAppEvent.DISCONNECT);
        removePeerConnection(feed);
      }
    };
    pc.ontrack = (event) => pc_log("pc.ontrack", event);
    roomPeerConnectionMap.set(feed, pc);
    try {
      const localStream = await navigator.mediaDevices.getUserMedia({
        audio: true,
        video: true
      });
      localStream.getTracks().forEach((track) => {
        pc_log("adding track", track);
        pc.addTrack(track, localStream);
      });
      _currentUser.stream = localStream;
      app.emit(WpliveAppEvent.JOIN_SUCCESS, {
        stream: localStream
      });
    } catch (e) {
      pc_error("error while doing offer", e);
      app.emit(WpliveAppEvent.DISCONNECT);
      removePeerConnection(feed);
      return;
    }
  } else {
    pc_log("Performing ICE restart");
    (_a = roomPeerConnectionMap.get(feed)) == null ? void 0 : _a.restartIce();
  }
  try {
    const pc = roomPeerConnectionMap.get(feed);
    const offer = await (pc == null ? void 0 : pc.createOffer());
    await (pc == null ? void 0 : pc.setLocalDescription(offer));
    pc_log("set local sdp OK");
    return offer;
  } catch (e) {
    pc_error("error while doing offer", e);
    app.emit(WpliveAppEvent.DISCONNECT);
    removePeerConnection(feed);
    return;
  }
}
async function doAnswer(peer, offer) {
  pc_log("doAnswer, peer:", peer);
  if (!roomPeerConnectionMap.has(peer.feed)) {
    const pc2 = new RTCPeerConnection({
      iceServers: app.iceServers
    });
    pc2.onnegotiationneeded = (event) => pc_log("pc.onnegotiationneeded", event);
    pc2.onicecandidate = (event) => trickle({ feed: peer.feed, candidate: event.candidate });
    pc2.oniceconnectionstatechange = () => {
      if (pc2.iceConnectionState === "failed" || pc2.iceConnectionState === "closed") {
        app.emit(WpliveAppEvent.PARTICIPANT_OUT, {
          userid: peer.feed,
          username: peer.display
        });
        removePeerConnection(peer.feed);
      }
    };
    pc2.ontrack = (event) => {
      pc_log("pc.ontrack", event.track);
      event.track.onunmute = (evt) => {
        pc_log("track.onunmute", evt);
        app.emit(WpliveAppEvent.PARTICIPANT_UPDATE, {
          type: "track-unmute",
          kind: evt.currentTarget.kind,
          userid: peer.feed,
          username: peer.display
        });
      };
      event.track.onmute = (evt) => {
        pc_log("track.onmute", evt);
        app.emit(WpliveAppEvent.PARTICIPANT_UPDATE, {
          type: "track-mute",
          kind: evt.currentTarget.kind,
          userid: peer.feed,
          username: peer.display
        });
      };
      event.track.onended = (evt) => {
        pc_log("track.onended", evt);
        app.emit(WpliveAppEvent.PARTICIPANT_UPDATE, {
          type: "track-end",
          kind: event.track.kind,
          userid: peer.feed,
          username: peer.display
        });
      };
      app.emit(WpliveAppEvent.PARTICIPANT_UPDATE, {
        type: "track-update",
        userid: peer.feed,
        username: peer.display,
        streams: event.streams,
        track: event.track
      });
    };
    roomPeerConnectionMap.set(peer.feed, pc2);
  }
  const pc = roomPeerConnectionMap.get(peer.feed);
  try {
    await (pc == null ? void 0 : pc.setRemoteDescription(offer));
    pc_log("set remote sdp OK");
    const answer = await (pc == null ? void 0 : pc.createAnswer());
    await (pc == null ? void 0 : pc.setLocalDescription(answer));
    pc_log("set local sdp OK");
    return answer;
  } catch (e) {
    pc_error("error creating subscriber answer", e);
    app.emit(WpliveAppEvent.PARTICIPANT_OUT, {
      userid: peer.feed,
      username: peer.display
    });
    removePeerConnection(peer.feed);
    throw e;
  }
}
function trickle({ feed, candidate }) {
  switch (candidate) {
    case "trickle":
      _janusRoom.roomHandle.trickle(candidate);
      break;
    case "trickle-complete":
      _janusRoom.roomHandle.trickleComplete();
      break;
  }
}
function removePeerConnection(feed) {
  if (!feed)
    return;
  let pc = roomPeerConnectionMap.get(feed);
  pc_log("closing peerconnection for feed", feed);
  if (pc) {
    closePeerConnection(pc);
    roomPeerConnectionMap.delete(feed);
  }
}
function closePeerConnection(pc) {
  if (!pc)
    return;
  pc.getSenders().forEach((sender) => {
    if (sender.track)
      sender.track.stop();
  });
  pc.getReceivers().forEach((receiver) => {
    if (receiver.track)
      receiver.track.stop();
  });
  pc.onnegotiationneeded = null;
  pc.onicecandidate = null;
  pc.oniceconnectionstatechange = null;
  pc.ontrack = null;
  pc.close();
}
const DEF_RETRY_TIME = 10;
const DEF_MAX_RETRIES = 5;
class Configuration {
  constructor({
    address,
    retry_time_secs,
    max_retries,
    is_admin = false,
    token
  }) {
    if (!address)
      throw new Error('invalid configuration, missing parameter "address"');
    if (Array.isArray(address) && address.length === 0)
      throw new Error('invalid configuration, empty parameter "address"');
    this.address = Array.isArray(address) ? address : [address];
    for (const server of this.address) {
      if (typeof server !== "object" || !server)
        throw new Error("invalid configuration, every element of address attribute must be an object");
      if (typeof server.url !== "string" || !server.url)
        throw new Error("invalid configuration, missing server url attribute ");
    }
    this.retry_time_secs = typeof retry_time_secs === "number" ? retry_time_secs : DEF_RETRY_TIME;
    this.max_retries = typeof max_retries === "number" ? max_retries : DEF_MAX_RETRIES;
    this.is_admin = is_admin;
    this.token = token;
  }
  getAddress() {
    return this.address;
  }
  getRetryTimeSeconds() {
    return this.retry_time_secs;
  }
  getMaxRetries() {
    return this.max_retries;
  }
  isAdmin() {
    return this.is_admin;
  }
}
const JANUS = {
  REQUEST: {
    SERVER_INFO: "info",
    CREATE_SESSION: "create",
    KEEPALIVE: "keepalive",
    DESTROY_SESSION: "destroy",
    ATTACH_PLUGIN: "attach",
    MESSAGE: "message",
    TRICKLE: "trickle",
    HANGUP: "hangup",
    DETACH_PLUGIN: "detach"
  },
  ACK: "ack",
  RESPONSE: {
    SUCCESS: "success",
    SERVER_INFO: "server_info",
    ERROR: "error"
  },
  EVENT: {
    EVENT: "event",
    DETACHED: "detached",
    HANGUP: "hangup",
    MEDIA: "media",
    TIMEOUT: "timeout",
    WEBRTCUP: "webrtcup",
    SLOWLINK: "slowlink",
    TRICKLE: "trickle"
  },
  ADMIN: {
    LIST_SESSIONS: "list_sessions",
    LIST_HANDLES: "list_handles",
    HANDLE_INFO: "handle_info",
    START_PCAP: "start_pcap",
    STOP_PCAP: "stop_pcap"
  }
};
const JANODE = {
  EVENT: {
    CONNECTION_CLOSED: "connection_closed",
    SESSION_DESTROYED: "session_destroyed",
    HANDLE_DETACHED: "handle_detached",
    HANDLE_HANGUP: "handle_hangup",
    HANDLE_MEDIA: "handle_media",
    HANDLE_WEBRTCUP: "handle_webrtcup",
    HANDLE_SLOWLINK: "handle_slowlink",
    HANDLE_TRICKLE: "handle_trickle",
    CONNECTION_ERROR: "connection_error"
  }
};
const isResponseData = (data2) => {
  if (typeof data2 === "object" && data2) {
    return Object.values(JANUS.RESPONSE).includes(data2.janus);
  }
  return false;
};
const isErrorData = (data2) => {
  if (typeof data2 === "object" && data2) {
    return data2.janus === JANUS.RESPONSE.ERROR;
  }
  return false;
};
const isTimeoutData = (data2) => {
  if (typeof data2 === "object" && data2) {
    return data2.janus === JANUS.EVENT.TIMEOUT;
  }
  return false;
};
const isAckData = (data2) => {
  if (typeof data2 === "object" && data2) {
    return data2.janus === JANUS.ACK;
  }
  return false;
};
const getNumericID = ((_) => {
  let now;
  let next = Math.floor(Number.MAX_SAFE_INTEGER * Math.random());
  return (_2) => {
    now = next;
    next = next + 1;
    if (next >= Number.MAX_SAFE_INTEGER)
      next = 0;
    return "" + now;
  };
})();
const newIterator = (list) => {
  const l = Array.from(list);
  const len = l.length;
  var i = 0;
  return {
    nextElem: (_) => l[i++ % len],
    currElem: (_) => l[i % len]
  };
};
const delayOp = (ms) => {
  return new Promise((resolve) => {
    setTimeout(resolve, ms);
  });
};
const checkUrl = (url_string, admitted) => {
  try {
    const protocol = new URL(url_string).protocol.slice(0, -1);
    return admitted.includes(protocol);
  } catch (e) {
  }
  return false;
};
const getCliArgument = (arg_name, arg_type, arg_default) => {
  if (typeof process === "undefined" || !Array.isArray(process.argv) || process.argv.length < 2)
    return arg_default;
  const args = process.argv.slice(2);
  let arg_val = void 0;
  for (const param of args) {
    if (param === `--${arg_name}`) {
      if (arg_type === "boolean")
        arg_val = true;
    } else if (param.startsWith(`--${arg_name}=`)) {
      arg_val = param.split("=").length > 1 ? param.split("=")[1] : arg_val;
      if (arg_val) {
        if (arg_type === "boolean") {
          if (arg_val.toLowerCase() === "false")
            arg_val = false;
          else if (arg_val.toLowerCase() === "true")
            arg_val = true;
          if (typeof arg_val !== "boolean")
            arg_val = void 0;
        }
        if (arg_type === "number") {
          arg_val = parseInt(arg_val);
          if (!Number.isInteger(arg_val))
            arg_val = void 0;
        }
      }
    }
  }
  arg_val = typeof arg_val !== "undefined" ? arg_val : arg_default;
  return arg_val;
};
const LEVELS_IDX = ["none", "error", "warn", "info", "verb", "debug"].reduce((obj, lvl, idx) => {
  obj[lvl] = idx;
  return obj;
}, {});
const DEFAULT_LEVEL = "info";
let log_verbosity = getCliArgument("janode-log", "string", DEFAULT_LEVEL);
const printout = (msg_verbosity, console_fn, ...args) => {
  if (LEVELS_IDX[msg_verbosity] > LEVELS_IDX[log_verbosity])
    return;
  const ts = new Date().toISOString();
  const prefix = `${ts} - ${msg_verbosity.toUpperCase().padEnd(5, " ")}:`;
  console_fn(prefix, ...args);
};
const Logger = {
  debug: (...args) => printout("debug", console.debug, ...args),
  verbose: (...args) => printout("verb", console.debug, ...args),
  info: (...args) => printout("info", console.info, ...args),
  warn: (...args) => printout("warn", console.warn, ...args),
  error: (...args) => printout("error", console.error, ...args),
  setLevel: (lvl = "") => {
    lvl = lvl.toLowerCase();
    if (lvl === "verbose")
      lvl = "verb";
    if (lvl === "warning")
      lvl = "warn";
    if (typeof LEVELS_IDX[lvl] === "number")
      log_verbosity = lvl;
    return log_verbosity;
  }
};
const LOG_NS$5 = "[handle.js]";
class Handle extends eventemitter3.exports.EventEmitter {
  constructor(session, id) {
    super();
    this._tm = session._tm;
    this._detaching = false;
    this._detached = false;
    this.session = session;
    this.id = id;
    this.name = `[${this.id}]`;
    this._sessionDestroyedListener = this._signalDetach.bind(this);
    this.session.once(JANODE.EVENT.SESSION_DESTROYED, this._sessionDestroyedListener);
    this.on("error", (e) => `${LOG_NS$5} ${this.name} catched unmanaged error ${e.message}`);
  }
  _signalDetach() {
    if (this._detached)
      return;
    this._detaching = false;
    this._detached = true;
    this.session.removeListener(JANODE.EVENT.SESSION_DESTROYED, this._sessionDestroyedListener);
    this._tm.closeAllTransactionsWithError(this, new Error("handle detached"));
    this.emit(JANODE.EVENT.HANDLE_DETACHED, { id: this.id });
    this.removeAllListeners();
  }
  _isTrickleTx(id) {
    const tx = this._tm.get(id);
    if (tx)
      return tx.request === JANUS.REQUEST.TRICKLE;
    return false;
  }
  _isHangupTx(id) {
    const tx = this._tm.get(id);
    if (tx)
      return tx.request === JANUS.REQUEST.HANGUP;
    return false;
  }
  _isDetachTx(id) {
    const tx = this._tm.get(id);
    if (tx)
      return tx.request === JANUS.REQUEST.DETACH_PLUGIN;
    return false;
  }
  _handleMessage(janus_message) {
    const { transaction, janus } = janus_message;
    if (transaction) {
      Logger.verbose(`${LOG_NS$5} ${this.name} received ${janus} for transaction ${transaction}`);
      if (this.ownsTransaction(transaction)) {
        if (isAckData(janus_message)) {
          if (this._isTrickleTx(transaction)) {
            this.closeTransactionWithSuccess(transaction, janus_message);
          }
          return;
        }
        if (isResponseData(janus_message)) {
          if (isErrorData(janus_message)) {
            const error = new Error(`${janus_message.error.code} ${janus_message.error.reason}`);
            this.closeTransactionWithError(transaction, error);
            return;
          }
          if (this._isHangupTx(transaction)) {
            this.closeTransactionWithSuccess(transaction, janus_message);
            return;
          }
          if (this._isDetachTx(transaction)) {
            this.closeTransactionWithSuccess(transaction, janus_message);
            return;
          }
          if (!this.handleMessage(janus_message)) {
            Logger.verbose(`${LOG_NS$5} ${this.name} received response could not be handled by the plugin`);
          }
          this.closeTransactionWithSuccess(transaction, janus_message);
          return;
        }
      }
    }
    const janode_event_data = {};
    switch (janus) {
      case JANUS.EVENT.EVENT: {
        if (!this.handleMessage(janus_message)) {
          Logger.warn(`${LOG_NS$5} ${this.name} received event could not be handled by the plugin`);
          const error = new Error("unmanaged event");
          this.closeTransactionWithError(transaction, error);
        } else {
          this.closeTransactionWithSuccess(transaction, janus_message);
        }
        break;
      }
      case JANUS.EVENT.DETACHED: {
        this._signalDetach();
        break;
      }
      case JANUS.EVENT.HANGUP: {
        if (typeof janus_message.reason !== "undefined")
          janode_event_data.reason = janus_message.reason;
        this.emit(JANODE.EVENT.HANDLE_HANGUP, janode_event_data);
        break;
      }
      case JANUS.EVENT.MEDIA: {
        if (typeof janus_message.type !== "undefined")
          janode_event_data.type = janus_message.type;
        if (typeof janus_message.receiving !== "undefined")
          janode_event_data.receiving = janus_message.receiving;
        this.emit(JANODE.EVENT.HANDLE_MEDIA, janode_event_data);
        break;
      }
      case JANUS.EVENT.WEBRTCUP: {
        this.emit(JANODE.EVENT.HANDLE_WEBRTCUP, janode_event_data);
        break;
      }
      case JANUS.EVENT.SLOWLINK: {
        if (typeof janus_message.uplink !== "undefined")
          janode_event_data.uplink = janus_message.uplink;
        if (typeof janus_message.nacks !== "undefined")
          janode_event_data.nacks = janus_message.nacks;
        this.emit(JANODE.EVENT.HANDLE_SLOWLINK, janode_event_data);
        break;
      }
      case JANUS.EVENT.TRICKLE: {
        const { completed, sdpMid, sdpMLineIndex, candidate } = janus_message.candidate;
        if (!completed) {
          janode_event_data.sdpMid = sdpMid;
          janode_event_data.sdpMLineIndex = sdpMLineIndex;
          janode_event_data.candidate = candidate;
        } else {
          janode_event_data.completed = true;
        }
        this.emit(JANODE.EVENT.HANDLE_TRICKLE, janode_event_data);
        break;
      }
      default:
        Logger.error(`${LOG_NS$5} ${this.name} unknown janus event directed to the handle ${JSON.stringify(janus_message)}`);
    }
  }
  _decorateRequest(request2) {
    request2.transaction = request2.transaction || getNumericID();
    request2.handle_id = request2.handle_id || this.id;
  }
  handleMessage() {
    return null;
  }
  ownsTransaction(id) {
    return this._tm.getTransactionOwner(id) === this;
  }
  closeTransactionWithError(id, error) {
    this._tm.closeTransactionWithError(id, this, error);
    return;
  }
  closeTransactionWithSuccess(id, data2) {
    this._tm.closeTransactionWithSuccess(id, this, data2);
    return;
  }
  async sendRequest(request2) {
    if (typeof request2 !== "object" || !request2) {
      const error = new Error("request must be an object");
      Logger.error(`${LOG_NS$5} ${this.name} ${error.message}`);
      throw error;
    }
    if (this._detached) {
      const error = new Error("unable to send request because handle has been detached");
      Logger.error(`${LOG_NS$5} ${this.name} ${error.message}`);
      throw error;
    }
    this._decorateRequest(request2);
    return new Promise((resolve, reject) => {
      this._tm.createTransaction(request2.transaction, this, request2.janus, resolve, reject);
      this.session.sendRequest(request2).catch((error) => {
        this.closeTransactionWithError(request2.transaction, error);
      });
    });
  }
  async detach() {
    if (this._detaching) {
      const error = new Error("detaching already in progress");
      Logger.verbose(`${LOG_NS$5} ${this.name} ${error.message}`);
      throw error;
    }
    if (this._detached) {
      const error = new Error("already detached");
      Logger.verbose(`${LOG_NS$5} ${this.name} ${error.message}`);
      throw error;
    }
    Logger.info(`${LOG_NS$5} ${this.name} detaching handle`);
    this._detaching = true;
    const request2 = {
      janus: JANUS.REQUEST.DETACH_PLUGIN
    };
    try {
      await this.sendRequest(request2);
      this._signalDetach();
      return;
    } catch ({ message }) {
      this._detaching = false;
      Logger.error(`${LOG_NS$5} ${this.name} error while detaching (${message})`);
    }
  }
  async hangup() {
    const request2 = {
      janus: JANUS.REQUEST.HANGUP
    };
    try {
      return this.sendRequest(request2);
    } catch (error) {
      Logger.error(`${LOG_NS$5} ${this.name} error while hanging up (${error.message})`);
      throw error;
    }
  }
  async trickle(candidate) {
    if (!candidate)
      return this.trickleComplete();
    if (typeof candidate !== "object") {
      const error = new Error("invalid candidate object");
      Logger.error(`${LOG_NS$5} ${this.name} ${error.message}`);
      throw error;
    }
    const request2 = {
      janus: JANUS.REQUEST.TRICKLE
    };
    if (Array.isArray(candidate)) {
      request2.candidates = candidate;
    } else {
      request2.candidate = candidate;
    }
    try {
      return this.sendRequest(request2);
    } catch (error) {
      Logger.error(`${LOG_NS$5} ${this.name} error on trickle (${error.message})`);
      throw error;
    }
  }
  async trickleComplete() {
    return this.trickle({
      completed: true
    });
  }
  async message(body, jsep) {
    const request2 = {
      janus: JANUS.REQUEST.MESSAGE,
      body,
      token: body.token
    };
    if (jsep)
      request2.jsep = jsep;
    try {
      return this.sendRequest(request2);
    } catch (error) {
      Logger.error(`${LOG_NS$5} ${this.name} error on message (${error.message})`);
      throw error;
    }
  }
}
const LOG_NS$4 = "[session.js]";
class Session extends eventemitter3.exports.EventEmitter {
  constructor(connection, id, token, ka_interval = 30) {
    super();
    this._tm = connection._tm;
    this._destroying = false;
    this._destroyed = false;
    this._handles = /* @__PURE__ */ new Map();
    this._ka_task = null;
    this.connection = connection;
    this.id = id;
    this.token = token;
    this.name = `[${this.id}]`;
    this._setKeepAlive(ka_interval * 1e3);
    this._closedListener = this._signalDestroy.bind(this);
    this._errorListener = this._signalDestroy.bind(this);
    this.connection.once(JANODE.EVENT.CONNECTION_CLOSED, this._closedListener);
    this.connection.once(JANODE.EVENT.CONNECTION_ERROR, this._errorListener);
    this.on("error", (e) => `${LOG_NS$4} ${this.name} catched unmanaged error ${e.message}`);
  }
  _signalDestroy() {
    if (this._destroyed)
      return;
    this._destroying = false;
    this._destroyed = true;
    this._unsetKeepAlive();
    this.connection.removeListener(JANODE.EVENT.CONNECTION_CLOSED, this._closedListener);
    this.connection.removeListener(JANODE.EVENT.CONNECTION_ERROR, this._errorListener);
    this._tm.closeAllTransactionsWithError(this, new Error("session destroyed"));
    this._handles.clear();
    this.emit(JANODE.EVENT.SESSION_DESTROYED, { id: this.id });
    this.removeAllListeners();
  }
  async _sendKeepAlive(timeout) {
    const request2 = {
      janus: JANUS.REQUEST.KEEPALIVE
    };
    let timeout_task;
    const timeout_ka = new Promise((_, reject) => {
      timeout_task = setTimeout((_2) => reject(new Error("timeout")), timeout);
    });
    Logger.verbose(`${LOG_NS$4} ${this.name} sending keep-alive (timeout=${timeout}ms)`);
    const ka_op = this.sendRequest(request2).then((_) => {
      Logger.verbose(`${LOG_NS$4} ${this.name} keep-alive OK`);
      clearTimeout(timeout_task);
    }).catch((e) => {
      Logger.error(`${LOG_NS$4} ${this.name} keep-alive error (${e.message})`);
      clearTimeout(timeout_task);
      throw e;
    });
    return Promise.race([ka_op, timeout_ka]);
  }
  _setKeepAlive(delay) {
    if (this._ka_task)
      return;
    const timeout = delay / 2;
    this._ka_task = setInterval((_) => {
      this._sendKeepAlive(timeout).catch(({ message }) => {
        if (!this._destroyed) {
          const error = new Error(`keep-alive failed (${message})`);
          Logger.error(`${LOG_NS$4} ${this.name} ${error.message}`);
        }
        this._signalDestroy();
      });
    }, delay);
    Logger.info(`${LOG_NS$4} ${this.name} session keep-alive task scheduled every ${delay} milliseconds`);
  }
  _unsetKeepAlive() {
    if (!this._ka_task)
      return;
    clearInterval(this._ka_task);
    this._ka_task = null;
    Logger.info(`${LOG_NS$4} ${this.name} session keep-alive task disabled`);
  }
  _isKeepaliveTx(id) {
    const tx = this._tm.get(id);
    if (tx)
      return tx.request === JANUS.REQUEST.KEEPALIVE;
    return false;
  }
  _handleMessage(janus_message) {
    const { sender, janus, transaction } = janus_message;
    if (sender) {
      const handle = this._handles.get(sender);
      if (!handle) {
        if (janus === JANUS.EVENT.HANDLE_DETACHED_PLUGIN) {
          Logger.verbose(`${LOG_NS$4} ${this.name} handle ${sender} not found for incoming message "${janus}"`);
          return;
        }
        Logger.verbose(`${LOG_NS$4} ${this.name} handle ${sender} not found for incoming message "${janus}"`);
        return;
      }
      handle._handleMessage(janus_message);
      return;
    }
    if (transaction) {
      const owner = this._tm.getTransactionOwner(transaction);
      const handle = owner ? this._handles.get(owner.id) : null;
      if (handle && handle === owner) {
        handle._handleMessage(janus_message);
        return;
      }
    }
    if (transaction) {
      Logger.verbose(`${LOG_NS$4} ${this.name} received ${janus} for transaction ${transaction}`);
      if (this._tm.getTransactionOwner(transaction) !== this) {
        Logger.warn(`${LOG_NS$4} ${this.name} transaction ${transaction} not found for incoming message ${janus}`);
        return;
      }
      if (isResponseData(janus_message) || this._isKeepaliveTx(transaction)) {
        if (isErrorData(janus_message)) {
          const error = new Error(`${janus_message.error.code} ${janus_message.error.reason}`);
          this._tm.closeTransactionWithError(transaction, this, error);
          return;
        }
        this._tm.closeTransactionWithSuccess(transaction, this, janus_message);
      }
      return;
    }
    if (isTimeoutData(janus_message)) {
      Logger.warn(`${LOG_NS$4} ${this.name} session timed out by Janus server!`);
      this._signalDestroy();
      return;
    }
    Logger.error(`${LOG_NS$4} ${this.name} unexpected janus message directed to the session ${JSON.stringify(janus_message)}`);
  }
  _decorateRequest(request2) {
    request2.transaction = request2.transaction || getNumericID();
    request2.session_id = request2.session_id || this.id;
    request2.token = this.token;
  }
  async sendRequest(request2) {
    if (typeof request2 !== "object" || !request2) {
      const error = new Error("request must be an object");
      Logger.error(`${LOG_NS$4} ${this.name} ${error.message}`);
      throw error;
    }
    if (this._destroyed) {
      const error = new Error("unable to send request because session has been destroyed");
      Logger.error(`${LOG_NS$4} ${this.name} ${error.message}`);
      throw error;
    }
    this._decorateRequest(request2);
    return new Promise((resolve, reject) => {
      this._tm.createTransaction(request2.transaction, this, request2.janus, resolve, reject);
      this.connection.sendRequest(request2).catch((error) => {
        this._tm.closeTransactionWithError(request2.transaction, this, error);
      });
    });
  }
  async destroy() {
    Logger.info(`${LOG_NS$4} ${this.name} destroying session`);
    if (this._destroying) {
      const error = new Error("destroying already in progress");
      Logger.warn(`${LOG_NS$4} ${this.name} ${error.message}`);
      throw error;
    }
    if (this._destroyed) {
      const error = new Error("session already destroyed");
      Logger.warn(`${LOG_NS$4} ${this.name} ${error.message}`);
      throw error;
    }
    this._destroying = true;
    const request2 = {
      janus: JANUS.REQUEST.DESTROY_SESSION
    };
    try {
      await this.sendRequest(request2);
      this._signalDestroy();
      return;
    } catch (error) {
      Logger.error(`${LOG_NS$4} ${this.name} error while destroying session (${error.message})`);
      this._destroying = false;
      throw error;
    }
  }
  async attach({ id, Handle: Handle$1 = Handle }, token) {
    Logger.info(`${LOG_NS$4} ${this.name} attaching new handle`);
    if (!id) {
      const error = new Error("plugin identifier null or not valid");
      throw error;
    }
    const request2 = {
      janus: JANUS.REQUEST.ATTACH_PLUGIN,
      plugin: id
    };
    try {
      const { data: data2 } = await this.sendRequest(request2);
      const handle_instance = new Handle$1(this, data2.id);
      this._handles.set(handle_instance.id, handle_instance);
      handle_instance.once(JANODE.EVENT.HANDLE_DETACHED, ({ id: id2 }) => {
        this._handles.delete(id2);
      });
      Logger.info(`${LOG_NS$4} ${this.name} handle attached (id=${handle_instance.id})`);
      return handle_instance;
    } catch (error) {
      Logger.error(`${LOG_NS$4} ${this.name} handle attach error (${error.message})`);
      throw error;
    }
  }
}
const LOG_NS$3 = "[tmanager.js]";
const debug = getCliArgument("debug-tx", "boolean", false);
class TransactionManager {
  constructor(id = getNumericID()) {
    this.transactions = /* @__PURE__ */ new Map();
    this.id = id;
    Logger.info(`${LOG_NS$3} [${this.id}] creating new transaction manager (debug=${debug})`);
    this._dbgtask = null;
  }
  clear() {
    Logger.info(`${LOG_NS$3} [${this.id}] clearing transaction manager`);
    clearInterval(this._dbgtask);
    this.transactions.clear();
  }
  has(id) {
    if (!id)
      return false;
    return this.transactions.has(id);
  }
  get(id) {
    if (!id)
      return null;
    if (!this.has(id))
      return null;
    return this.transactions.get(id);
  }
  size() {
    return this.transactions.size;
  }
  set(id, transaction) {
    if (!id)
      return;
    if (!transaction)
      return;
    this.transactions.set(id, transaction);
    if (debug && !this._dbgtask) {
      this._dbgtask = setInterval((_) => {
        Logger.info(`${LOG_NS$3} [${this.id}] TM DEBUG size=${this.size()}`);
      }, 5e3);
    }
  }
  delete(id) {
    if (!id)
      return;
    if (!this.has(id))
      return;
    this.transactions.delete(id);
  }
  getTransactionOwner(id) {
    if (!id)
      return;
    if (!this.has(id))
      return;
    return this.get(id).owner;
  }
  createTransaction(id, owner, request2, done, error) {
    if (this.has(id))
      return;
    const tx = {
      id,
      owner,
      request: request2,
      done,
      error
    };
    this.set(id, tx);
    Logger.verbose(`${LOG_NS$3} [${tx.owner.id}] created new transaction ${id}, request "${tx.request}"`);
    return tx;
  }
  closeTransactionWithError(id, owner, error) {
    const tx = this.get(id);
    if (!tx)
      return;
    if (tx.owner !== owner)
      return;
    this.delete(id);
    tx.error(error);
    Logger.verbose(`${LOG_NS$3} [${tx.owner.id}] closed with error transaction ${id}, request "${tx.request}"`);
    return tx;
  }
  closeAllTransactionsWithError(owner, error) {
    for (const [_, pendingTx] of this.transactions) {
      if (!owner || pendingTx.owner === owner)
        this.closeTransactionWithError(pendingTx.id, pendingTx.owner, error);
    }
  }
  closeTransactionWithSuccess(id, owner, data2) {
    const tx = this.get(id);
    if (!tx)
      return;
    if (tx.owner !== owner)
      return;
    this.delete(id);
    tx.done(data2);
    Logger.verbose(`${LOG_NS$3} [${tx.owner.id}] closed with success transaction ${id}, request "${tx.request}"`);
    return tx;
  }
}
var ws = null;
if (typeof WebSocket !== "undefined") {
  ws = WebSocket;
} else if (typeof MozWebSocket !== "undefined") {
  ws = MozWebSocket;
} else if (typeof commonjsGlobal !== "undefined") {
  ws = commonjsGlobal.WebSocket || commonjsGlobal.MozWebSocket;
} else if (typeof window !== "undefined") {
  ws = window.WebSocket || window.MozWebSocket;
} else if (typeof self !== "undefined") {
  ws = self.WebSocket || self.MozWebSocket;
}
var browser = ws;
const LOG_NS$2 = "[transport-ws.js]";
const API_WS = "janus-protocol";
const ADMIN_WS = "janus-admin-protocol";
const PING_TIME_SECS = 10;
const PING_TIME_WAIT_SECS = 5;
class TransportWs {
  constructor(connection) {
    this._connection = connection;
    this._ws = null;
    this._attempts = 0;
    this._opening = false;
    this._opened = false;
    this._closing = false;
    this._closed = false;
    this._ping_task = null;
    this.id = connection.id;
    this.name = `[${this.id}]`;
  }
  async _initWebSocket() {
    Logger.info(`${LOG_NS$2} ${this.name} trying connection with ${this._connection._address_iterator.currElem().url}`);
    return new Promise((resolve, reject) => {
      const ws2 = new browser(this._connection._address_iterator.currElem().url, [this._connection._config.isAdmin() ? ADMIN_WS : API_WS], { handshakeTimeout: 5e3 });
      ws2.addEventListener("open", (_) => {
        Logger.info(`${LOG_NS$2} ${this.name} websocket connected`);
        this._setPingTask(PING_TIME_SECS * 1e3);
        resolve(this);
      }, { once: true });
      ws2.addEventListener("close", ({ code, reason, wasClean }) => {
        Logger.info(`${LOG_NS$2} ${this.name} websocket closed code=${code} reason=${reason} clean=${wasClean}`);
        this._unsetPingTask();
        this._connection._signalClose(this._closing);
        this._closing = false;
        this._closed = true;
        if (typeof this._ws.removeAllListeners === "function")
          this._ws.removeAllListeners();
      }, { once: true });
      ws2.addEventListener("error", (error) => {
        Logger.error(`${LOG_NS$2} ${this.name} websocket error (${error.message})`);
        reject(error);
      }, { once: true });
      ws2.addEventListener("message", ({ data: data2 }) => {
        Logger.debug(`${LOG_NS$2} ${this.name} <ws RCV OK> ${data2}`);
        this._connection._handleMessage(JSON.parse(data2));
      });
      this._ws = ws2;
    });
  }
  async _attemptOpen() {
    this._opened = false;
    this._closing = false;
    this._closed = false;
    try {
      const conn = await this._initWebSocket();
      this._opening = false;
      this._opened = true;
      return conn;
    } catch (error) {
      this._attempts++;
      if (this._attempts >= this._connection._config.getMaxRetries()) {
        this._opening = false;
        const err = new Error("attempt limit exceeded");
        Logger.error(`${LOG_NS$2} ${this.name} connection failed, ${err.message}`);
        throw error;
      }
      Logger.error(`${LOG_NS$2} ${this.name} connection failed, will try again in ${this._connection._config.getRetryTimeSeconds()} seconds...`);
      await delayOp(this._connection._config.getRetryTimeSeconds() * 1e3);
      this._connection._address_iterator.nextElem();
      return this._attemptOpen();
    }
  }
  async open() {
    let error;
    if (this._opening)
      error = new Error("unable to open, websocket is already being opened");
    else if (this._opened)
      error = new Error("unable to open, websocket has already been opened");
    else if (this._closed)
      error = new Error("unable to open, websocket has already been closed");
    if (error) {
      Logger.error(`${LOG_NS$2} ${this.name} ${error.message}`);
      throw error;
    }
    this._opening = true;
    this._attempts = 0;
    return this._attemptOpen();
  }
  async _ping() {
    if (typeof this._ws.ping !== "function") {
      Logger.warn("ws ping not supported");
      return;
    }
    let timeout;
    const timeout_ping = new Promise((_, reject) => {
      timeout = setTimeout((_2) => reject(new Error("timeout")), PING_TIME_WAIT_SECS * 1e3);
    });
    const ping_op = new Promise((resolve, reject) => {
      const ping_data = "" + Date.now();
      this._ws.ping(ping_data, (error) => {
        if (error) {
          Logger.error(`${LOG_NS$2} ${this.name} websocket PING send error (${error.message})`);
          clearTimeout(timeout);
          return reject(error);
        }
        Logger.verbose(`${LOG_NS$2} ${this.name} websocket PING sent (${ping_data})`);
      });
      this._ws.once("pong", (data2) => {
        Logger.verbose(`${LOG_NS$2} ${this.name} websocket PONG received (${data2.toString()})`);
        clearTimeout(timeout);
        return resolve();
      });
    });
    return Promise.race([ping_op, timeout_ping]);
  }
  _setPingTask(delay) {
    if (typeof this._ws.ping !== "function") {
      Logger.warn("ws ping not supported");
      return;
    }
    if (this._ping_task)
      return;
    this._ping_task = setInterval(async (_) => {
      try {
        await this._ping();
      } catch ({ message }) {
        Logger.error(`${LOG_NS$2} ${this.name} websocket PING error (${message})`);
        this._ws.terminate();
      }
    }, delay);
    Logger.info(`${LOG_NS$2} ${this.name} websocket ping task scheduled every ${PING_TIME_SECS} seconds`);
  }
  _unsetPingTask() {
    if (!this._ping_task)
      return;
    clearInterval(this._ping_task);
    this._ping_task = null;
    Logger.info(`${LOG_NS$2} ${this.name} websocket ping task disabled`);
  }
  getRemoteHostname() {
    if (this._ws && this._ws.url) {
      return new URL(this._ws.url).hostname;
    }
    return null;
  }
  async close() {
    let error;
    if (!this._opened)
      error = new Error("unable to close, websocket has never been opened");
    else if (this._closing)
      error = new Error("unable to close, websocket is already being closed");
    else if (this._closed)
      error = new Error("unable to close, websocket has already been closed");
    if (error) {
      Logger.error(`${LOG_NS$2} ${this.name} ${error.message}`);
      throw error;
    }
    this._closing = true;
    return new Promise((resolve, reject) => {
      Logger.info(`${LOG_NS$2} ${this.name} closing websocket`);
      try {
        this._ws.close();
        this._ws.addEventListener("close", resolve, { once: true });
      } catch (e) {
        Logger.error(`${LOG_NS$2} ${this.name} error while closing websocket (${e.message})`);
        this._closing = false;
        reject(e);
        return;
      }
    });
  }
  async send(request2) {
    let error;
    if (!this._opened)
      error = new Error("unable to send request because connection has not been opened");
    else if (this._closed)
      error = new Error("unable to send request because connection has been closed");
    if (error) {
      Logger.error(`${LOG_NS$2} ${this.name} ${error.message}`);
      throw error;
    }
    const string_req = JSON.stringify(request2);
    return new Promise((resolve, reject) => {
      this._ws.send(string_req, { compress: false, binary: false }, (error2) => {
        if (error2) {
          Logger.error(`${LOG_NS$2} ${this.name} websocket send error (${error2.message})`);
          reject(error2);
          return;
        }
        Logger.debug(`${LOG_NS$2} ${this.name} <ws SND OK> ${string_req}`);
        resolve();
      });
    });
  }
}
const LOG_NS$1 = "[connection.js]";
class Connection extends eventemitter3.exports.EventEmitter {
  constructor(server_config) {
    super();
    this._config = server_config;
    this._tm = new TransactionManager();
    this._sessions = /* @__PURE__ */ new Map();
    this._address_iterator = newIterator(this._config.getAddress());
    this.id = parseInt(getNumericID());
    this.name = `[${this.id}]`;
    this._transport = {
      open: async (_) => {
        throw new Error('transport does not implement the "open" function');
      },
      close: async (_) => {
        throw new Error('transport does not implement the "close" function');
      },
      send: async (_) => {
        throw new Error('transport does not implement the "send" function');
      },
      getRemoteHostname: (_) => {
        throw new Error('transport does not implement the "getRemoteHostname" function');
      }
    };
    try {
      let transport;
      if (checkUrl(server_config.getAddress()[0].url, [
        "ws",
        "wss",
        "ws+unix",
        "wss+unix"
      ])) {
        transport = new TransportWs(this);
      }
      if (transport)
        this._transport = transport;
    } catch (error) {
      Logger.error(`${LOG_NS$1} ${this.name} error while initializing transport (${error.message})`);
    }
    this.on("error", (e) => `${LOG_NS$1} ${this.name} catched unmanaged error ${e.message}`);
  }
  _signalClose(graceful) {
    this._tm.closeAllTransactionsWithError(null, new Error("connection closed"));
    this._tm.clear();
    this._sessions.clear();
    if (graceful) {
      this.emit(JANODE.EVENT.CONNECTION_CLOSED, { id: this.id });
    } else {
      const error = new Error("unexpected disconnection");
      this.emit(JANODE.EVENT.CONNECTION_ERROR, error);
    }
    this.removeAllListeners();
  }
  async open() {
    await this._transport.open();
    return this;
  }
  _handleMessage(janus_message) {
    const { session_id, transaction, janus } = janus_message;
    if (session_id) {
      const session = this._sessions.get(session_id);
      if (!session) {
        Logger.warn(`${LOG_NS$1} ${this.name} session ${session_id} not found for incoming message ${janus}`);
        return;
      }
      try {
        session._handleMessage(janus_message);
      } catch (error) {
        Logger.error(`${LOG_NS$1} ${this.name} error while handling message (${error.message})`);
      }
      return;
    }
    if (transaction) {
      Logger.verbose(`${LOG_NS$1} ${this.name} received ${janus} for transaction ${transaction}`);
      if (this._tm.getTransactionOwner(transaction) !== this) {
        Logger.warn(`${LOG_NS$1} ${this.name} transaction ${transaction} not found for incoming messsage ${janus}`);
        return;
      }
      if (isResponseData(janus_message)) {
        if (isErrorData(janus_message)) {
          const error = new Error(`${janus_message.error.code} ${janus_message.error.reason}`);
          return this._tm.closeTransactionWithError(transaction, this, error);
        }
        this._tm.closeTransactionWithSuccess(transaction, this, janus_message);
      }
      return;
    }
    Logger.error(`${LOG_NS$1} ${this.name} unexpected janus message directed to the connection ${JSON.stringify(janus_message)}`);
  }
  _decorateRequest(request2) {
    request2.transaction = request2.transaction || getNumericID();
    if (this._config.token) {
      request2.token = this._config.token;
    }
    if (this._address_iterator.currElem().apisecret) {
      if (!this._config.isAdmin())
        request2.apisecret = request2.apisecret || this._address_iterator.currElem().apisecret;
      else
        request2.admin_secret = request2.admin_secret || this._address_iterator.currElem().apisecret;
    }
    if (this._address_iterator.currElem().token)
      request2.token = this._address_iterator.currElem().token;
  }
  async close() {
    await this._transport.close();
    return;
  }
  async sendRequest(request2) {
    this._decorateRequest(request2);
    return new Promise((resolve, reject) => {
      this._tm.createTransaction(request2.transaction, this, request2.janus, resolve, reject);
      this._transport.send(request2).catch((error) => {
        this._tm.closeTransactionWithError(request2.transaction, this, error);
        reject(error);
        return;
      });
    });
  }
  getRemoteHostname() {
    return this._transport.getRemoteHostname();
  }
  async create(token, ka_interval) {
    Logger.info(`${LOG_NS$1} ${this.name} creating new session`);
    const request2 = {
      janus: JANUS.REQUEST.CREATE_SESSION
    };
    try {
      const {
        data: { id }
      } = await this.sendRequest(request2);
      const session_instance = new Session(this, id, token, ka_interval);
      this._sessions.set(session_instance.id, session_instance);
      session_instance.once(JANODE.EVENT.SESSION_DESTROYED, ({ id: id2 }) => {
        this._sessions.delete(id2);
      });
      Logger.info(`${LOG_NS$1} ${this.name} session created (id=${id})`);
      return session_instance;
    } catch (error) {
      Logger.error(`${LOG_NS$1} ${this.name} session creation error (${error.message})`);
      throw error;
    }
  }
  async getInfo() {
    Logger.info(`${LOG_NS$1} ${this.name} requesting server info`);
    const request2 = {
      janus: JANUS.REQUEST.SERVER_INFO
    };
    return this.sendRequest(request2);
  }
  async listSessions() {
    Logger.verbose(`${LOG_NS$1} ${this.name} requesting session list`);
    const request2 = {
      janus: JANUS.ADMIN.LIST_SESSIONS
    };
    return this.sendRequest(request2);
  }
  async listHandles(session_id) {
    Logger.info(`${LOG_NS$1} ${this.name} requesting handle list`);
    if (!session_id) {
      const error = new Error("session_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    const request2 = {
      janus: JANUS.ADMIN.LIST_HANDLES,
      session_id
    };
    return this.sendRequest(request2);
  }
  async handleInfo(session_id, handle_id) {
    Logger.info(`${LOG_NS$1} ${this.name} requesting handle info`);
    if (!session_id) {
      const error = new Error("session_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    if (!handle_id) {
      const error = new Error("handle_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    const request2 = {
      janus: JANUS.ADMIN.HANDLE_INFO,
      session_id,
      handle_id
    };
    return this.sendRequest(request2);
  }
  async startPcap(session_id, handle_id, folder, filename, truncate) {
    Logger.info(`${LOG_NS$1} ${this.name} requesting pcap start for handle ${handle_id}`);
    if (!session_id) {
      const error = new Error("session_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    if (!handle_id) {
      const error = new Error("handle_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    if (typeof folder !== "string" || typeof filename !== "string") {
      const error = new Error("invalid folder or filename specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    const request2 = {
      janus: JANUS.ADMIN.START_PCAP,
      session_id,
      handle_id,
      folder,
      filename
    };
    if (typeof truncate === "number" && truncate > 0) {
      request2.truncate = truncate;
    }
    return this.sendRequest(request2);
  }
  async stopPcap(session_id, handle_id) {
    Logger.info(`${LOG_NS$1} ${this.name} requesting pcap stop for handle ${handle_id}`);
    if (!session_id) {
      const error = new Error("session_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    if (!handle_id) {
      const error = new Error("handle_id parameter not specified");
      Logger.error(`${LOG_NS$1} ${this.name} ${error.message}`);
      throw error;
    }
    const request2 = {
      janus: JANUS.ADMIN.STOP_PCAP,
      session_id,
      handle_id
    };
    return this.sendRequest(request2);
  }
}
const LOG_NS = "[janode.js]";
const { EVENT } = JANODE;
const connect$1 = (config = {}, key = null) => {
  Logger.info(`${LOG_NS} creating new connection`);
  const janus_server_list = Array.isArray(config) ? config : [config];
  let index = 0;
  if (typeof key === "number")
    index = key;
  if (typeof key === "string")
    index = janus_server_list.findIndex(({ server_key }) => server_key === key);
  if (!key)
    Logger.verbose(`${LOG_NS} omitted server key, falling back to the first server in configuration`);
  const server_raw_conf = janus_server_list[index];
  if (!server_raw_conf) {
    const error = new Error(`server configuration not defined for server #${key || index}`);
    Logger.error(`${LOG_NS} ${error.message}`);
    throw error;
  }
  const server_conf = new Configuration(server_raw_conf);
  Logger.verbose(`${LOG_NS} creating connection with server configuration ${JSON.stringify(server_conf)}`);
  const janus_connection = new Connection(server_conf);
  return janus_connection.open();
};
var Janode = {
  connect: connect$1,
  Logger,
  EVENT
};
const PLUGIN_ID = "janus.plugin.videoroom";
const REQUEST_JOIN = "join";
const REQUEST_CONFIGURE = "configure";
const REQUEST_JOIN_CONFIGURE = "joinandconfigure";
const REQUEST_LIST_PARTICIPANTS = "listparticipants";
const REQUEST_KICK = "kick";
const REQUEST_START = "start";
const REQUEST_PAUSE = "pause";
const REQUEST_PUBLISH = "publish";
const REQUEST_UNPUBLISH = "unpublish";
const REQUEST_LEAVE = "leave";
const REQUEST_EXISTS = "exists";
const REQUEST_LIST_ROOMS = "list";
const REQUEST_CREATE = "create";
const REQUEST_DESTROY = "destroy";
const REQUEST_ALLOW = "allowed";
const REQUEST_RTP_FWD_START = "rtp_forward";
const REQUEST_RTP_FWD_STOP = "stop_rtp_forward";
const REQUEST_RTP_FWD_LIST = "listforwarders";
const PTYPE_PUBLISHER = "publisher";
const PTYPE_LISTENER = "subscriber";
const PLUGIN_EVENT = {
  PUB_JOINED: "videoroom_joined",
  SUB_JOINED: "videoroom_subscribed",
  PUB_LIST: "videoroom_publisher_list",
  PARTICIPANTS_LIST: "videoroom_participants_list",
  PUB_PEER_JOINED: "videoroom_publisher_joined",
  STARTED: "videoroom_started",
  PAUSED: "videoroom_paused",
  CONFIGURED: "videoroom_configured",
  SLOW_LINK: "videoroom_slowlink",
  DISPLAY: "videoroom_display",
  UNPUBLISHED: "videoroom_unpublished",
  LEAVING: "videoroom_leaving",
  UPDATED: "videoroom_updated",
  KICKED: "videoroom_kicked",
  TALKING: "videoroom_talking",
  ALLOWED: "videoroom_allowed",
  EXISTS: "videoroom_exists",
  ROOMS_LIST: "videoroom_list",
  CREATED: "videoroom_created",
  DESTROYED: "videoroom_destroyed",
  RTP_FWD_STARTED: "videoroom_rtp_fwd_started",
  RTP_FWD_STOPPED: "videoroom_rtp_fwd_stopped",
  RTP_FWD_LIST: "videoroom_rtp_fwd_list",
  SUCCESS: "videoroom_success",
  ERROR: "videoroom_error"
};
class VideoRoomHandle extends Handle {
  constructor(session, id) {
    super(session, id);
    this.feed = null;
    this.room = null;
  }
  handleMessage(janus_message) {
    const { plugindata, jsep, transaction } = janus_message;
    if (plugindata && plugindata.data && plugindata.data.videoroom) {
      const message_data = plugindata.data;
      const { videoroom, error, error_code, room } = message_data;
      const janode_event = {
        event: null,
        data: {}
      };
      if (jsep)
        janode_event.data.jsep = jsep;
      if (room)
        janode_event.data.room = room;
      const emit = this.ownsTransaction(transaction) === false;
      janus_message._janode = janode_event;
      switch (videoroom) {
        case "success":
          if (typeof message_data.exists !== "undefined") {
            janode_event.data.exists = message_data.exists;
            janode_event.event = PLUGIN_EVENT.EXISTS;
            break;
          }
          if (typeof message_data.list !== "undefined") {
            janode_event.data.list = message_data.list;
            janode_event.event = PLUGIN_EVENT.ROOMS_LIST;
            break;
          }
          if (typeof message_data.allowed !== "undefined") {
            janode_event.data.list = message_data.allowed;
            janode_event.event = PLUGIN_EVENT.ALLOWED;
            break;
          }
          janode_event.event = PLUGIN_EVENT.SUCCESS;
          break;
        case "joined":
          this.room = room;
          this.feed = message_data.id;
          janode_event.data.feed = message_data.id;
          janode_event.data.private_id = message_data.private_id;
          janode_event.data.description = message_data.description;
          janode_event.data.publishers = message_data.publishers.map(({ id, display, talking }) => {
            const pub = {
              feed: id,
              display
            };
            if (typeof talking !== "undefined")
              pub.talking = talking;
            return pub;
          });
          janode_event.event = PLUGIN_EVENT.PUB_JOINED;
          break;
        case "attached":
          this.room = room;
          this.feed = message_data.id;
          janode_event.data.feed = message_data.id;
          janode_event.data.display = message_data.display;
          janode_event.event = PLUGIN_EVENT.SUB_JOINED;
          break;
        case "slow_link":
          janode_event.data.feed = this.feed;
          janode_event.data.bitrate = message_data["current-bitrate"];
          janode_event.event = PLUGIN_EVENT.SLOW_LINK;
          break;
        case "participants":
          janode_event.data.participants = message_data.participants.map(({ id, display, publisher, talking }) => {
            const peer = {
              feed: id,
              display,
              publisher
            };
            if (typeof talking !== "undefined")
              peer.talking = talking;
            return peer;
          });
          janode_event.event = PLUGIN_EVENT.PARTICIPANTS_LIST;
          break;
        case "created":
          janode_event.event = PLUGIN_EVENT.CREATED;
          janode_event.data.permanent = message_data.permanent;
          break;
        case "destroyed":
          janode_event.event = PLUGIN_EVENT.DESTROYED;
          break;
        case "rtp_forward":
          janode_event.data.feed = message_data.publisher_id;
          janode_event.data.forwarder = {
            host: message_data.rtp_stream.host
          };
          if (message_data.rtp_stream.audio) {
            janode_event.data.forwarder.audio_port = message_data.rtp_stream.audio;
            janode_event.data.forwarder.audio_rtcp_port = message_data.rtp_stream.audio_rtcp;
            janode_event.data.forwarder.audio_stream = message_data.rtp_stream.audio_stream_id;
          }
          if (message_data.rtp_stream.video) {
            janode_event.data.forwarder.video_port = message_data.rtp_stream.video;
            janode_event.data.forwarder.video_rtcp_port = message_data.rtp_stream.video_rtcp;
            janode_event.data.forwarder.video_stream = message_data.rtp_stream.video_stream_id;
          }
          if (message_data.rtp_stream.data) {
            janode_event.data.forwarder.data_port = message_data.rtp_stream.data;
            janode_event.data.forwarder.data_stream = message_data.rtp_stream.data_stream_id;
          }
          janode_event.event = PLUGIN_EVENT.RTP_FWD_STARTED;
          break;
        case "stop_rtp_forward":
          janode_event.data.feed = message_data.publisher_id;
          janode_event.data.stream = message_data.stream_id;
          janode_event.event = PLUGIN_EVENT.RTP_FWD_STOPPED;
          break;
        case "forwarders":
          if (janode_event.data.forwarders) {
            janode_event.data.forwarders = message_data.rtp_forwarders.map(({ publisher_id, rtp_forwarder }) => {
              const pub = {
                feed: publisher_id
              };
              pub.forwarders = rtp_forwarder.map((forw) => {
                const forwarder = {
                  host: forw.ip
                };
                if (forw.audio_stream_id) {
                  forwarder.audio_port = forw.port;
                  forwarder.audio_rtcp_port = forw.remote_rtcp_port;
                  forwarder.audio_stream = forw.audio_stream_id;
                }
                if (forw.video_stream_id) {
                  forwarder.video_port = forw.port;
                  forwarder.video_rtcp_port = forw.remote_rtcp_port;
                  forwarder.video_stream = forw.video_stream_id;
                }
                if (forw.data_stream_id) {
                  forwarder.data_port = forw.port;
                  forwarder.data_stream = forw.data_stream_id;
                }
                return forwarder;
              });
              return pub;
            });
          } else if (janode_event.data.publishers) {
            janode_event.data.forwarders = message_data.publishers.map(({ publisher_id, forwarders }) => {
              const pub = {
                feed: publisher_id
              };
              pub.forwarders = forwarders.map((forw) => {
                const forwarder = {
                  host: forw.host
                };
                if (forw.type === "audio") {
                  forwarder.audio_port = forw.port;
                  forwarder.audio_rtcp_port = forw.remote_rtcp_port;
                  forwarder.audio_stream = forw.stream_id;
                }
                if (forw.type === "video") {
                  forwarder.video_port = forw.port;
                  forwarder.video_rtcp_port = forw.remote_rtcp_port;
                  forwarder.video_stream = forw.stream_id;
                  if (typeof forw.substream !== "undefined") {
                    forwarder.substream = forw.substream;
                  }
                }
                if (forw.type === "data") {
                  forwarder.data_port = forw.port;
                  forwarder.data_stream = forw.stream_id;
                }
                if (typeof forw.ssrc !== "undefined")
                  forwarder.ssrc = forw.ssrc;
                if (typeof forw.pt !== "undefined")
                  forwarder.pt = forw.pt;
                if (typeof forw.srtp !== "undefined")
                  forwarder.srtp = forw.srtp;
                return forwarder;
              });
              return pub;
            });
          }
          janode_event.event = PLUGIN_EVENT.RTP_FWD_LIST;
          break;
        case "talking":
        case "stopped-talking":
          janode_event.data.feed = message_data.id;
          janode_event.data.talking = videoroom === "talking";
          janode_event.data.audio_level = message_data["audio-level-dBov-avg"];
          janode_event.event = PLUGIN_EVENT.TALKING;
          break;
        case "updated":
          janode_event.data.streams = message_data.streams;
          janode_event.event = PLUGIN_EVENT.UPDATED;
          break;
        case "event":
          if (error) {
            janode_event.event = PLUGIN_EVENT.ERROR;
            janode_event.data = new Error(`${error_code} ${error}`);
            janode_event.data._code = error_code;
            this.closeTransactionWithError(transaction, janode_event.data);
            break;
          }
          if (message_data.joining) {
            janode_event.event = PLUGIN_EVENT.PUB_PEER_JOINED;
            janode_event.data.feed = message_data.joining.id;
            if (message_data.joining.display)
              janode_event.data.display = message_data.joining.display;
            break;
          }
          if (message_data.publishers) {
            janode_event.event = PLUGIN_EVENT.PUB_LIST;
            janode_event.data.publishers = message_data.publishers.map(({ id, display, talking }) => {
              const pub = {
                feed: id,
                display
              };
              if (typeof talking !== "undefined")
                pub.talking = talking;
              return pub;
            });
            break;
          }
          if (typeof message_data.configured !== "undefined") {
            janode_event.event = PLUGIN_EVENT.CONFIGURED;
            janode_event.data.feed = this.feed;
            janode_event.data.configured = message_data.configured;
            break;
          }
          if (typeof message_data.display !== "undefined") {
            janode_event.event = PLUGIN_EVENT.DISPLAY;
            janode_event.data.feed = message_data.id;
            janode_event.data.display = message_data.display;
            break;
          }
          if (typeof message_data.started !== "undefined") {
            janode_event.event = PLUGIN_EVENT.STARTED;
            janode_event.data.feed = this.feed;
            janode_event.data.started = message_data.started;
            break;
          }
          if (typeof message_data.paused !== "undefined") {
            janode_event.event = PLUGIN_EVENT.PAUSED;
            janode_event.data.feed = this.feed;
            janode_event.data.paused = message_data.paused;
            break;
          }
          if (typeof message_data.unpublished !== "undefined") {
            janode_event.event = PLUGIN_EVENT.UNPUBLISHED;
            janode_event.data.feed = message_data.unpublished === "ok" ? this.feed : message_data.unpublished;
            break;
          }
          if (typeof message_data.leaving !== "undefined") {
            janode_event.event = PLUGIN_EVENT.LEAVING;
            janode_event.data.feed = message_data.leaving === "ok" ? this.feed : message_data.leaving;
            if (message_data.reason)
              janode_event.data.reason = message_data.reason;
            break;
          }
          if (typeof message_data.kicked !== "undefined") {
            janode_event.event = PLUGIN_EVENT.KICKED;
            janode_event.data.feed = message_data.kicked;
            break;
          }
          if (typeof message_data.left !== "undefined") {
            janode_event.event = PLUGIN_EVENT.LEAVING;
            janode_event.data.feed = this.feed;
            break;
          }
      }
      if (janode_event.event) {
        this.closeTransactionWithSuccess(transaction, janus_message);
        if (emit)
          this.emit(janode_event.event, janode_event.data);
        return janode_event;
      }
    }
    return null;
  }
  async joinPublisher({
    room,
    feed,
    audio,
    video,
    data: data2,
    bitrate,
    record,
    filename,
    display,
    token,
    pin
  }) {
    const body = {
      request: REQUEST_JOIN,
      ptype: PTYPE_PUBLISHER,
      room
    };
    if (typeof feed === "string" || typeof feed === "number")
      body.id = feed;
    if (typeof display === "string")
      body.display = display;
    if (typeof audio === "boolean")
      body.audio = audio;
    if (typeof video === "boolean")
      body.video = video;
    if (typeof data2 === "boolean")
      body.data = data2;
    if (typeof bitrate === "number")
      body.bitrate = bitrate;
    if (typeof record === "boolean")
      body.record = record;
    if (typeof filename === "string")
      body.filename = filename;
    if (typeof token === "string")
      body.token = token;
    if (typeof pin === "string")
      body.pin = pin;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.PUB_JOINED) {
      if (body.display)
        evtdata.display = body.display;
      return evtdata;
    }
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async joinConfigurePublisher({
    room,
    feed,
    audio,
    video,
    data: data2,
    bitrate,
    record,
    filename,
    display,
    token,
    pin,
    jsep
  }) {
    const body = {
      request: REQUEST_JOIN_CONFIGURE,
      ptype: PTYPE_PUBLISHER,
      room
    };
    if (typeof feed === "string" || typeof feed === "number")
      body.id = feed;
    if (typeof display === "string")
      body.display = display;
    if (typeof audio === "boolean")
      body.audio = audio;
    if (typeof video === "boolean")
      body.video = video;
    if (typeof data2 === "boolean")
      body.data = data2;
    if (typeof bitrate === "number")
      body.bitrate = bitrate;
    if (typeof record === "boolean")
      body.record = record;
    if (typeof filename === "string")
      body.filename = filename;
    if (typeof token === "string")
      body.token = token;
    if (typeof pin === "string")
      body.pin = pin;
    const response = await this.message(body, jsep).catch((e) => {
      if (jsep && e._code && e._code >= 429 && e._code <= 437 && e._code != 434)
        this.hangup().catch(() => {
        });
      throw e;
    });
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.PUB_JOINED) {
      if (body.display)
        evtdata.display = body.display;
      return evtdata;
    }
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async configure({
    audio,
    video,
    data: data2,
    bitrate,
    record,
    filename,
    display,
    restart,
    update,
    jsep
  }) {
    const body = {
      request: REQUEST_CONFIGURE
    };
    if (typeof audio === "boolean")
      body.audio = audio;
    if (typeof video === "boolean")
      body.video = video;
    if (typeof data2 === "boolean")
      body.data = data2;
    if (typeof bitrate === "number")
      body.bitrate = bitrate;
    if (typeof record === "boolean")
      body.record = record;
    if (typeof filename === "string")
      body.filename = filename;
    if (typeof display === "string")
      body.display = display;
    if (typeof restart === "boolean")
      body.restart = restart;
    if (typeof update === "boolean")
      body.update = update;
    const response = await this.message(body, jsep).catch((e) => {
      if (jsep && e._code && e._code >= 429 && e._code <= 437 && e._code != 434)
        this.hangup().catch(() => {
        });
      throw e;
    });
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.CONFIGURED && evtdata.configured === "ok") {
      if (body.display)
        evtdata.display = body.display;
      if (typeof body.request === "boolean")
        evtdata.restart = body.restart;
      if (typeof body.update === "boolean")
        evtdata.update = body.update;
      return evtdata;
    }
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async publish({
    audio,
    video,
    data: data2,
    bitrate,
    record,
    filename,
    display,
    jsep
  }) {
    if (typeof jsep === "object" && jsep && jsep.type !== "offer") {
      const error2 = new Error("jsep must be an offer");
      return Promise.reject(error2);
    }
    const body = {
      request: REQUEST_PUBLISH
    };
    if (typeof audio === "boolean")
      body.audio = audio;
    if (typeof video === "boolean")
      body.video = video;
    if (typeof data2 === "boolean")
      body.data = data2;
    if (typeof bitrate === "number")
      body.bitrate = bitrate;
    if (typeof record === "boolean")
      body.record = record;
    if (typeof filename === "string")
      body.filename = filename;
    if (typeof display === "string")
      body.display = display;
    const response = await this.message(body, jsep).catch((e) => {
      if (jsep && e._code && e._code >= 429 && e._code <= 437 && e._code != 434)
        this.hangup().catch(() => {
        });
      throw e;
    });
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.CONFIGURED && evtdata.configured === "ok") {
      if (body.display)
        evtdata.display = body.display;
      return evtdata;
    }
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async unpublish() {
    const body = {
      request: REQUEST_UNPUBLISH
    };
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.UNPUBLISHED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async joinSubscriber({ room, feed, audio, video, data: data2, private_id, token }) {
    const body = {
      request: REQUEST_JOIN,
      ptype: PTYPE_LISTENER,
      room,
      feed
    };
    if (typeof audio === "boolean")
      body.audio = audio;
    if (typeof video === "boolean")
      body.video = video;
    if (typeof data2 === "boolean")
      body.data = data2;
    if (typeof token === "string")
      body.token = token;
    if (private_id)
      body.private_id = private_id;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.SUB_JOINED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async joinListener(params) {
    return this.joinSubscriber(params);
  }
  async start({ jsep }) {
    const body = {
      request: REQUEST_START
    };
    const response = await this.message(body, jsep);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.STARTED && evtdata.started === "ok")
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async pause() {
    const body = {
      request: REQUEST_PAUSE
    };
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.PAUSED && evtdata.paused === "ok")
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async leave() {
    const body = {
      request: REQUEST_LEAVE
    };
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.LEAVING)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async listParticipants({ room, secret }) {
    const body = {
      request: REQUEST_LIST_PARTICIPANTS,
      room
    };
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.PARTICIPANTS_LIST)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async kick({ room, feed, secret }) {
    const body = {
      request: REQUEST_KICK,
      room,
      id: feed
    };
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.SUCCESS) {
      evtdata.room = body.room;
      evtdata.feed = body.id;
      return evtdata;
    }
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async exists({ room }) {
    const body = {
      request: REQUEST_EXISTS,
      room
    };
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.EXISTS)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async list() {
    const body = {
      request: REQUEST_LIST_ROOMS
    };
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.ROOMS_LIST)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async create({
    room,
    description,
    max_publishers,
    permanent,
    is_private,
    secret,
    pin,
    bitrate,
    bitrate_cap,
    fir_freq,
    audiocodec,
    videocodec,
    talking_events,
    talking_level_threshold,
    talking_packets_threshold,
    record,
    rec_dir,
    videoorient,
    h264_profile
  }) {
    const body = {
      request: REQUEST_CREATE
    };
    if (typeof room === "string" || typeof room === "number")
      body.room = room;
    if (typeof description === "string")
      body.description = description;
    if (typeof max_publishers === "number")
      body.publishers = max_publishers;
    if (typeof permanent === "boolean")
      body.permanent = permanent;
    if (typeof is_private === "boolean")
      body.is_private = is_private;
    if (typeof secret === "string")
      body.secret = secret;
    if (typeof pin === "string")
      body.pin = pin;
    if (typeof bitrate === "number")
      body.bitrate = bitrate;
    if (typeof bitrate_cap === "boolean")
      body.bitrate_cap = bitrate_cap;
    if (typeof fir_freq === "number")
      body.fir_freq = fir_freq;
    if (typeof audiocodec === "string")
      body.audiocodec = audiocodec;
    if (typeof videocodec === "string")
      body.videocodec = videocodec;
    if (typeof talking_events === "boolean")
      body.audiolevel_event = talking_events;
    if (typeof talking_level_threshold === "number" && talking_level_threshold >= 0 && talking_level_threshold <= 127)
      body.audio_level_average = talking_level_threshold;
    if (typeof talking_packets_threshold === "number" && talking_packets_threshold > 0)
      body.audio_active_packets = talking_packets_threshold;
    if (typeof record === "boolean")
      body.record = record;
    if (typeof rec_dir === "string")
      body.rec_dir = rec_dir;
    if (typeof videoorient === "boolean")
      body.videoorient_ext = videoorient;
    if (typeof h264_profile === "string")
      body.h264_profile = h264_profile;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.CREATED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async destroy({ room, permanent, secret }) {
    const body = {
      request: REQUEST_DESTROY,
      room
    };
    if (typeof permanent === "boolean")
      body.permanent = permanent;
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.DESTROYED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async allow({ room, action, list, secret }) {
    const body = {
      request: REQUEST_ALLOW,
      room,
      action
    };
    if (list && list.length > 0)
      body.allowed = list;
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.ALLOWED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async startForward({
    room,
    feed,
    host,
    audio_port,
    audio_rtcp_port,
    audio_ssrc,
    video_port,
    video_rtcp_port,
    video_ssrc,
    data_port,
    secret,
    admin_key
  }) {
    const body = {
      request: REQUEST_RTP_FWD_START,
      room,
      publisher_id: feed
    };
    if (typeof host === "string")
      body.host = host;
    if (typeof audio_port === "number")
      body.audio_port = audio_port;
    if (typeof audio_rtcp_port === "number")
      body.audio_rtcp_port = audio_rtcp_port;
    if (typeof audio_ssrc === "number")
      body.audio_ssrc = audio_ssrc;
    if (typeof video_port === "number")
      body.video_port = video_port;
    if (typeof video_rtcp_port === "number")
      body.video_rtcp_port = video_rtcp_port;
    if (typeof video_ssrc === "number")
      body.video_ssrc = video_ssrc;
    if (typeof data_port === "number")
      body.data_port = data_port;
    if (typeof secret === "string")
      body.secret = secret;
    if (typeof admin_key === "string")
      body.admin_key = admin_key;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.RTP_FWD_STARTED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async stopForward({ room, feed, stream, secret }) {
    const body = {
      request: REQUEST_RTP_FWD_STOP,
      room,
      publisher_id: feed,
      stream_id: stream
    };
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.RTP_FWD_STOPPED)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
  async listForward({ room, secret }) {
    const body = {
      request: REQUEST_RTP_FWD_LIST,
      room
    };
    if (typeof secret === "string")
      body.secret = secret;
    const response = await this.message(body);
    const { event, data: evtdata } = response._janode || {};
    if (event === PLUGIN_EVENT.RTP_FWD_LIST)
      return evtdata;
    const error = new Error(`unexpected response to ${body.request} request`);
    throw error;
  }
}
var VideoRoomPlugin = {
  id: PLUGIN_ID,
  Handle: VideoRoomHandle,
  EVENT: {
    VIDEOROOM_PUB_PEER_JOINED: PLUGIN_EVENT.PUB_PEER_JOINED,
    VIDEOROOM_PUB_LIST: PLUGIN_EVENT.PUB_LIST,
    VIDEOROOM_DESTROYED: PLUGIN_EVENT.DESTROYED,
    VIDEOROOM_UNPUBLISHED: PLUGIN_EVENT.UNPUBLISHED,
    VIDEOROOM_LEAVING: PLUGIN_EVENT.LEAVING,
    VIDEOROOM_DISPLAY: PLUGIN_EVENT.DISPLAY,
    VIDEOROOM_SLOWLINK: PLUGIN_EVENT.SLOW_LINK,
    VIDEOROOM_TALKING: PLUGIN_EVENT.TALKING,
    VIDEOROOM_KICKED: PLUGIN_EVENT.KICKED,
    VIDEOROOM_UPDATED: PLUGIN_EVENT.UPDATED,
    VIDEOROOM_ERROR: PLUGIN_EVENT.ERROR
  }
};
(window.RTCPeerConnection || window.webkitRTCPeerConnection || window.mozRTCPeerConnection).bind(window);
async function connect(options, user) {
  const janusServerUrl = getJanusServerUrl();
  vr_log(`will connect janus with: ${janusServerUrl}`);
  const connection = await Janode.connect({
    is_admin: false,
    address: {
      url: janusServerUrl
    },
    token: options.apitoken
  });
  const session = await connection.create(options.apitoken);
  _janusRoom.session = session;
  return await session.attach(VideoRoomPlugin, options.apitoken);
}
function vr_log(prefix, args) {
  const _args = args && args.length > 0 ? args : [args || ""];
  const ts = new Date().toISOString();
  const msg = `%c [ ${ts} ] ${prefix} `;
  console.log(msg, "color: #CC00CC", ..._args);
}
async function join(options) {
  var _a;
  const roomHandle = await connect(options);
  const joinResp = await roomHandle.joinPublisher({
    room: options.room,
    feed: options.id,
    display: _currentUser.username,
    audio: true,
    video: true,
    token: options.apitoken
  });
  _currentUser.feed = options.id;
  _janusRoom.roomid = joinResp.room;
  vr_log("joinResp", joinResp);
  try {
    const offer = await doOffer(joinResp.feed);
    const configureData = await roomHandle.configure({
      feed: options.id,
      audio: true,
      video: true,
      data: true,
      jsep: offer
    });
    try {
      let pc = roomPeerConnectionMap.get(options.id);
      await (pc == null ? void 0 : pc.setRemoteDescription(configureData.jsep));
      console.log("configure remote sdp OK");
      if (configureData.jsep.type === "offer") {
        const answer = await doAnswer({ feed: options.id, display: _currentUser.username }, configureData.jsep);
        _janusRoom.roomHandle.start({ feed: configureData.feed, jsep: answer });
      }
    } catch (e) {
      console.log("error while doing answer", e);
    }
    vr_log("joinResp.publishers", joinResp.publishers);
    _janusRoom.privateId = joinResp.private_id;
    (_a = joinResp.publishers) == null ? void 0 : _a.forEach(async (publisher) => {
      await subscribe2(publisher);
    });
  } catch (e) {
    console.error("error while doing offer", e);
  }
  addEventHandler(roomHandle);
  return roomHandle;
}
function addEventHandler(roomHandle) {
  roomHandle.on("videoroom_talking", (evtdata) => {
    vr_log("talking:", evtdata);
    app.emit(WpliveAppEvent.TALKING_UPDATE, evtdata);
  });
  roomHandle.on("videoroom_kicked", (evtdata) => {
    vr_log("kicked:", evtdata);
  });
  roomHandle.on("videoroom_leaving", (evtdata) => {
    vr_log("leave:", evtdata);
    app.emit(WpliveAppEvent.PARTICIPANT_OUT, {
      userid: evtdata.feed,
      username: evtdata.display
    });
    detach(evtdata.feed);
  });
  roomHandle.on("videoroom_destroyed", () => {
    vr_log("room destroyed!");
    app.emit(WpliveAppEvent.ROOM_DESTORYED);
  });
  roomHandle.on("videoroom_publisher_list", (evtdata) => {
    var _a;
    vr_log("publishers updated!", evtdata);
    (_a = evtdata.publishers) == null ? void 0 : _a.forEach(async (publisher) => {
      await subscribe2(publisher);
    });
  });
  roomHandle.on("videoroom_publisher_joined", (evtdata) => {
    vr_log("publishers updated!", evtdata);
  });
  roomHandle.on("videoroom_updated", (evtdata) => {
    vr_log("A multistream subscription has been updated.", evtdata);
  });
  roomHandle.on("videoroom_error", (evtdata) => {
    vr_log("videoroom error!", evtdata);
  });
}
function detach(feed) {
  var _a, _b;
  const handle = (_a = _janusRoom.subscribeHandles) == null ? void 0 : _a.get(feed);
  (_b = _janusRoom.subscribeHandles) == null ? void 0 : _b.delete(feed);
  roomPeerConnectionMap.delete(feed);
  if (handle)
    handle.detach();
}
async function subscribe2(publisher) {
  var _a;
  vr_log("subscribe to: ", publisher);
  const handle = await _janusRoom.session.attach(VideoRoomPlugin);
  (_a = _janusRoom.subscribeHandles) == null ? void 0 : _a.set(publisher.id, handle);
  const subscribeResp = await handle.joinSubscriber({
    room: _janusRoom.roomid,
    feed: publisher.feed,
    display: publisher.display,
    private_id: _janusRoom.privateId,
    token: _janusRoom.apiToken
  });
  vr_log("subscribe resp", subscribeResp);
  try {
    const answer = await doAnswer({ feed: subscribeResp.feed, display: subscribeResp.display }, subscribeResp.jsep);
    handle.start({ feed: subscribeResp.feed, jsep: answer });
  } catch (e) {
    console.log("error while doing answer", e);
  }
}
let _wpliveRoom = { roomid: "" };
let _janusRoom = { roomid: "", subscribeHandles: /* @__PURE__ */ new Map() };
let _currentUser = { userid: "", username: "" };
async function enterRoom(user, roomid) {
  var _a, _b;
  let roomInfo;
  if (roomid) {
    const resp = await getRoomInfo({ roomid });
    if (resp.result === "success") {
      console.log("room is exists, roomid: ", roomid);
      roomInfo = resp.info;
    }
  }
  if (!roomid) {
    roomid = v4();
  }
  if (!roomInfo) {
    const success = await createRoom(roomid);
    if (!success) {
      throw new WpliveError(WpliveErrorName.CreateRoomError, "\u521B\u5EFA\u623F\u95F4\u5931\u8D251\uFF01");
    }
    console.log(`room ${roomid} is created`);
    const resp = await getRoomInfo({ roomid });
    if (resp.result === "success") {
      roomInfo = resp.info;
    } else {
      throw new WpliveError(WpliveErrorName.CreateRoomError, "\u83B7\u53D6\u623F\u95F4\u4FE1\u606F\u5931\u8D25\uFF01");
    }
  }
  if (!roomInfo) {
    throw new WpliveError(WpliveErrorName.CreateRoomError, "\u521B\u5EFA\u623F\u95F4\u5931\u8D252\uFF01");
  }
  console.log("roomInfo: ", roomInfo);
  const serverOptions = await getJanusOptions(user, roomInfo);
  console.log("serverOptions: ", serverOptions);
  app.serverOptions = serverOptions;
  _wpliveRoom = { ...roomInfo };
  _currentUser = { ...user };
  if ((_a = serverOptions == null ? void 0 : serverOptions.normalOptions) == null ? void 0 : _a.urls) {
    let options = serverOptions == null ? void 0 : serverOptions.normalOptions;
    const roomHandle = await join(options);
    console.log(`%c ::::::::::::::::::::::::::::::`, "color: rgb(162, 255, 23)");
    console.log(`%c ${JSON.stringify({
      token: options.apitoken,
      room: options.room,
      server: getJanusServerUrl()
    })}`, "font-size: 18px;color: rgb(162, 255, 23)");
    console.log(`%c ::::::::::::::::::::::::::::::`, "color: rgb(162, 255, 23)", roomHandle);
    _janusRoom.roomHandle = roomHandle;
  }
  if ((_b = serverOptions == null ? void 0 : serverOptions.publishOptions) == null ? void 0 : _b.urls) {
    serverOptions == null ? void 0 : serverOptions.publishOptions;
  }
  return _wpliveRoom;
}
function leaveRoom() {
  if (!_janusRoom.roomHandle) {
    console.error(`leaveRoom error! roomHandle is null`);
    return Promise.reject();
  }
  const roomHandle = _janusRoom.roomHandle;
  return roomHandle.leave();
}
function destoryRoom() {
  if (!_janusRoom.session) {
    console.error(`destoryRoom error! session is null`);
    return Promise.reject();
  }
  const session = _janusRoom.session;
  return session.destory();
}
async function createRoom(roomid) {
  let room = { roomid };
  const resp = await requestRoom(room);
  return resp.result === "success";
}
async function getJanusOptions(user, wpliveRoom) {
  const requestLoginParams = {
    roomid: wpliveRoom.roomid,
    userid: user.userid,
    username: user.username
  };
  let options = await getNormalJanusOptions(requestLoginParams);
  const requestPublishParams = {
    roomid: wpliveRoom.roomid,
    userid: user.userid,
    streamindex: 0
  };
  let publishOptions = await getJanusPublishOptions(requestPublishParams);
  return {
    normalOptions: options,
    publishOptions
  };
}
async function getNormalJanusOptions(requestLoginParams) {
  const resp = await requestLogin(requestLoginParams);
  let options = void 0;
  if (resp.logininfo) {
    const { id, apitoken, room, roomtoken, urls } = resp.logininfo;
    options = {
      id,
      apitoken,
      roomtoken,
      room,
      urls
    };
  }
  return options;
}
async function getJanusPublishOptions(requestPublishParams) {
  const resp = await requestPublish(requestPublishParams);
  let options = void 0;
  if (resp.info) {
    const { id, apitoken, room, roomtoken, urls } = resp.info;
    options = {
      id,
      apitoken,
      roomtoken,
      room,
      urls
    };
  }
  return options;
}
var MediaType = /* @__PURE__ */ ((MediaType2) => {
  MediaType2["VIDEO"] = "video";
  MediaType2["AUDIO"] = "audio";
  return MediaType2;
})(MediaType || {});
async function mute(mediaType) {
  const stream = _currentUser.stream;
  if (!stream) {
    return;
  }
  switch (mediaType) {
    case MediaType.AUDIO:
      stream.getAudioTracks()[0].enabled = false;
      break;
    case MediaType.VIDEO:
      stream.getVideoTracks()[0].enabled = false;
      break;
  }
}
async function unmute(mediaType) {
  const stream = _currentUser.stream;
  if (!stream) {
    return;
  }
  switch (mediaType) {
    case MediaType.AUDIO:
      stream.getAudioTracks()[0].enabled = true;
      break;
    case MediaType.VIDEO:
      stream.getVideoTracks()[0].enabled = true;
      break;
  }
}
function getAudioDevices() {
  return new Promise((resolve, reject) => {
    navigator.mediaDevices.enumerateDevices().then((mediaDevicesInfo) => {
      const devices = mediaDevicesInfo.filter((item) => item.kind == "audioinput" || item.kind == "audiooutput");
      resolve(devices);
    }).catch((e) => {
      reject([]);
    });
  });
}
function getVideoDevices() {
  return new Promise((resolve, reject) => {
    navigator.mediaDevices.enumerateDevices().then((mediaDevicesInfo) => {
      const devices = mediaDevicesInfo.filter((item) => item.kind == "videoinput");
      resolve(devices);
    }).catch((e) => {
      reject([]);
    });
  });
}
function replaceStream(stream) {
  const feed = _currentUser.feed;
  const pc = roomPeerConnectionMap.get(feed || "");
  if (!pc) {
    return Promise.reject(`no peer finded for feed: ${feed}`);
  }
  replaceTrack(pc, stream);
}
function replaceTrack(pc, stream) {
  if (!pc || !stream) {
    return;
  }
  pc.getSenders().forEach((sender) => {
    var _a;
    let kind = (_a = sender.track) == null ? void 0 : _a.kind;
    let _track = stream.getTracks().filter((item) => item.kind === kind)[0];
    if (_track) {
      sender.replaceTrack(_track);
    }
  });
}
function switchDevice(deviceId, kind, options) {
  const feed = _currentUser.feed;
  const pc = roomPeerConnectionMap.get(feed || "");
  if (!pc) {
    return Promise.reject(`no peer finded for feed: ${feed}`);
  }
  if (!options || !options.audio || !options.video) {
    options = {
      audio: true,
      video: true
    };
  }
  switch (kind) {
    case "video":
      const videoConstraints = {
        advanced: [{ deviceId }]
      };
      options.video = videoConstraints;
      break;
    case "audio":
      const audioConstraints = {
        advanced: [{ deviceId }]
      };
      options.audio = audioConstraints;
      options.video = true;
      break;
    default:
      options = {
        audio: true,
        video: true
      };
      break;
  }
  return new Promise((resolve, reject) => {
    navigator.mediaDevices.getUserMedia(options).then((stream) => {
      replaceTrack(pc, stream);
      resolve(stream);
    }).catch((e) => {
      reject(e);
    });
  });
}
function changeStreamToDesktop(options) {
  const feed = _currentUser.feed;
  const pc = roomPeerConnectionMap.get(feed || "");
  if (!pc) {
    return Promise.reject(`no peer finded for feed: ${feed}`);
  }
  let defaultOptions = {
    video: {
      width: { max: 1280 },
      height: { max: 720 },
      frameRate: { ideal: 30 }
    }
  };
  if (!options) {
    options = defaultOptions;
  } else {
    options.video = defaultOptions.video;
  }
  return new Promise((resolve, reject) => {
    try {
      navigator.mediaDevices.getDisplayMedia(options).then((desktopStream) => {
        replaceTrack(pc, desktopStream);
        resolve(desktopStream);
      });
    } catch (e) {
      reject(e);
    }
  });
}
export { changeStreamToDesktop, destoryRoom, enterRoom, getAudioDevices, getVideoDevices, leaveRoom, mute, registerApp, replaceStream, switchDevice, unmute };
